// ----------------------------------------------------------------------------
// This View handles the AcklandsDetail Dialog
// ----------------------------------------------------------------------------
AcklandsDetail = new Class(
{
	Extends : DialogView,

	// ************************************************************************
	// ************************************************************************
	//     MEMBER VARIABLES
	// ************************************************************************
	// ************************************************************************

	// ********** Add variables for each data field here **********

	_appState : null,
	
	_title1 : null,
	_title1text : null,
	_title2 : null,
	_title2text : null,
	_info : null,
	_details : null,
	_text1title : null,
	_text1text : null,
	_text2title : null,
	_text2text : null,
	_text3title : null,
	_text3text : null,
	_btnFacebook : null,
	_btnPinterest : null,
	_urlPinterest : null,
	
	_url : null,
	_url1 : null,
	_url2 : null,
	
	_buttons : null,
	_buttons_ul : null,
	
	_images_panel : null,
	_imagesLarge : null,
	_imagesThumbs : null,
	_currentImage : null,
	_currentIndex : -1,
	_interval : null,
	_myTimer : null,
	
	
	// ************************************************************************
	// ************************************************************************
	//     CONSTRUCTOR
	// ************************************************************************
	// ************************************************************************	

	initialize : function()
	{
		this.parent('AcklandsDetail', this);
		this._appState = Facade.getInstance().retrieveProxy(AppState.NAME);
	},

	// ------------------------------------------------------------------------
	// This is a proxy for the UIMediator listNotificationInterests function.
	// 
	// This function returns the list of notifications to register this view for.
	//
	// @return {String[]} - the array of notification names to act upon.
	// ------------------------------------------------------------------------
	listNotificationInterests : function()
	{
		return	[
					ApplicationFacade.ORIENTATION_CHANGED,
				];
	},

	// ------------------------------------------------------------------------
	// This is a proxy for the UIMediator handleNotification function.
	//
	// This function is called to handle all notifications listed in the 
	// listNotificationInterests function
	//
	// Arguments:
	//     notification (Notification) - The notification to act upon
	// ------------------------------------------------------------------------
	handleNotification : function(notification)
	{
		switch(notification.getName())
		{
			case ApplicationFacade.ORIENTATION_CHANGED:
				this._doLayout();
				this._onResize();
				break;
		}
	},

	// ------------------------------------------------------------------------
	// After LoadComponentCommand instantiates the component, then this function
	// is called to pass the arguments and actually create the DOM objects.
	//
	// Arguments: 
	//     theBasePath (String) - Contains the component base path
	//     theDialogData (Object) - Contains argument data for the dialog
	// ------------------------------------------------------------------------
	init : function(theBasePath, theDialogData)
	{		
		this.parent(theDialogData,
		{
			basePath : theBasePath,
			title:  '',
			landscapeWidth:     750,
			landscapeHeight:    400,
			portraitWidth:      600,
			portraitHeight:     750,
			_ie_comma_safety : 0	// Keep as last option (doesn't have trailing comma)
		});
	},

	// ************************************************************************
	// ************************************************************************
	//     PROTECTED FUNCTIONS
	// ************************************************************************
	// ************************************************************************

	// ------------------------------------------------------------------------
	// The Dialog DOM content (if any) is loaded by the time this function is
	// called so here we create and add any extra UIComponents and attach
	// event listeners.
	// ------------------------------------------------------------------------
	_onContentLoaded : function()
	{
		this.parent();
		
		// ********** Load the loading image here **********
		var sku_str = this._data.find('sku').text();
		var serviceUrl = REMOTE_PATH_TO_SERVICES + this._getBasePath() + 'ServiceREIItemDB.php' + CacheMgr.getInstance().getResourceCacheArg('RelId','?')

		// Request JSON string from service
		this._request = new Request(
		{
			url: serviceUrl,  // service URL
			data: {'sku':sku_str},
			format: 'json', // string format passed back from service
			method: 'get',  // request type
			// populate dialog after a successful call to service
			onSuccess:function(json_text)
			{
				var parsed_json = JSON.decode(json_text); // covert JSON string to JSON object
				this._loadData(parsed_json);
			}.bind(this),
			// display alert if a problem occurs
			onFailure: function(xhr)
			{
				Facade.getInstance().sendNotification(ApplicationFacade.ALERT_OK, {message:'Unable to Access Product Info'});
				return;
			}.bind(this)
		}).send();
	},
		
	_loadData : function(itemDetail)
	{
	/*
		if (!itemDetail || itemDetail.length == 0)
		{
				//Facade.getInstance().sendNotification(ApplicationFacade.ALERT_OK, {message:'Unable to Access Product Info'});
				return;			
		}	
	*/
	
		this._title1 = this._widgetRootElement.getElement('#AcklandsDetail_title1');
		this._title1text = this._widgetRootElement.getElement('#AcklandsDetail_title1_text');
		this._title2 = this._widgetRootElement.getElement('#AcklandsDetail_title2');
		this._title2text = this._widgetRootElement.getElement('#AcklandsDetail_title2_text');
		this._media = this._widgetRootElement.getElement('#AcklandsDetail_media');
		this._info = this._widgetRootElement.getElement('#AcklandsDetail_info');
		this._details = this._widgetRootElement.getElement('#AcklandsDetail_details');
		this._url1 = this._widgetRootElement.getElement('#AcklandsDetail_url1');
		this._url2 = this._widgetRootElement.getElement('#AcklandsDetail_url2');
		this._text1title = this._widgetRootElement.getElement('#AcklandsDetail_text1title');
		this._text1text = this._widgetRootElement.getElement('#AcklandsDetail_text1text');
		this._text2title = this._widgetRootElement.getElement('#AcklandsDetail_text2title');
		this._text2text = this._widgetRootElement.getElement('#AcklandsDetail_text2text');
		this._text3title = this._widgetRootElement.getElement('#AcklandsDetail_text3title');
		this._text3text = this._widgetRootElement.getElement('#AcklandsDetail_text3text');
		this._btnFacebook = this._widgetRootElement.getElement('#AcklandsDetail_Facebook_li');
		this._btnPinterest = this._widgetRootElement.getElement('#AcklandsDetail_Pinterest_li');
		this._desc = this._widgetRootElement.getElement('#AcklandsDetail_description');
		this._buttons = this._widgetRootElement.getElement('#AcklandsDetail_buttons');
		this._buttons_ul = this._widgetRootElement.getElement('#AcklandsDetail_buttons_ul');
		this._images_panel = this._widgetRootElement.getElement('#AcklandsDetail_images_panel');
		this._imagesLarge = this._widgetRootElement.getElement('#AcklandsDetail_images_large');
		this._imagesThumbs = this._widgetRootElement.getElement('#AcklandsDetail_images_thumbs');

		
		// ********** Load the dialog text data content here **********
		var this_title = '';//itemDetail.title;
		if (this._data.find('title').text() !== '')
			this_title = this._data.find('title').text();
		if (this_title == null)
			this_title = '';
			
		var this_desc = '';//itemDetail.desc;
		if (this._data.find('desc').text() !== '')
			this_desc = this._data.find('desc').text();
		if (this_desc == null)
			this_desc = '';			
			
		var this_text1title = '';//itemDetail.text1title;
		if (this._data.find('text1title').text() !== '')
			this_text1title = this._data.find('text1title').text();
		if (this_text1title == null)
			this_text1title = '';			
			
		var this_text1text = '';//itemDetail.text1text;
		if (this._data.find('text1text').text() !== '')
			this_text1text = this._data.find('text1text').text();	
		if (this_text1text == null)
			this_text1text = '';			
			
		var this_text2title = '';//itemDetail.text2title;
		if (this._data.find('text2title').text() !== '')
			this_text2title = this._data.find('text2title').text();
		if (this_text2title == null)
			this_text2title = '';			
			
		var this_text2text = '';//itemDetail.text2text;
		if (this._data.find('text2text').text() !== '')
			this_text2text = this._data.find('text2text').text();
		if (this_text2text == null)
			this_text2text = '';			
			
		var this_text3title = '';//itemDetail.text3title;
		if (this._data.find('text3title').text() !== '')
			this_text3title = this._data.find('text3title').text();
		if (this_text3title == null)
			this_text3title = '';			
			
		var this_text3text = '';//itemDetail.text3text;
		if (this._data.find('text3text').text() !== '')
			this_text3text = this._data.find('text3text').text();	
		if (this_text3text == null)
			this_text3text = '';											
			
		this._url = '';//itemDetail.buynow;
		if (this._data.find('buynow').text() !== '')
			this._url = this._data.find('buynow').text();
		if (this._url == null)
			this._url = '';			
			
		var soc_url = '';//this._data.find('url').text();
		if (this._data.find('url').text() !== '')
			soc_url = this._data.find('url').text();	
		if (soc_url == null)
			soc_url = '';
					
		var pin_desc = '';//itemDetail.pin_desc;
		if (this._data.find('pinterest').find('pin_desc').text() !== '')
			pin_desc = this._data.find('pinterest').find('pin_desc').text();
		if (pin_desc == null)
			pin_desc = '';			
			
		var pin_img = '';//itemDetail.pin_img;
		if (this._data.find('pinterest').find('pin_img').text() !== '')
			pin_img = this._data.find('pinterest').find('pin_img').text();	
		if (pin_img == null)
			pin_img = '';								
						
		var this_images = '';//itemDetail.img;
		if (this._data.find('images').find('img').text() !== '')
			this_images = this._data.find('images').find('img');	
		if (this_images == null)
			this_images = '';									
		
		this._title1text.set('html', this_title);
		this._title2text.set('html', this_title);
		
		if (this_desc == '')
			this._widgetRootElement.getElement('#AcklandsDetail_desc').dispose();
		else
			this._desc.set('html', this_desc);
		
		if (this_text1title == '' && this_text1text == '')
			this._widgetRootElement.getElement('#AcklandsDetail_text1').dispose();
		else {
			this._text1title.set('html', this_text1title);
			this._text1text.set('html', this_text1text);
		}
		
		if (this_text2title == '' && this_text2text == '')
			this._widgetRootElement.getElement('#AcklandsDetail_text2').dispose();
		else {
			this._text2title.set('html', this_text2title);
			this._text2text.set('html', this_text2text);
		}
		
		if (this_text3title == '' && this_text3text == '')
			this._widgetRootElement.getElement('#AcklandsDetail_text3').dispose();
		else {
			this._text3title.set('html', this_text3title);
			this._text3text.set('html', this_text3text);
		}
		
		this._widgetRootElement.getElement('#AcklandsDetail_description_container').mooTouchAdd({'scroll':true});
		
		
		// ********** Load the url content here **********
		
		if (this._url == '') {
			this._url1.dispose();
			this._url2.dispose();
		} else {
			this._url1.addEvent('click', this._onClickUrlLink.bind(this));
			this._url2.addEvent('click', this._onClickUrlLink.bind(this));
			this._url1.mooTouchAdd({'click':true});
			this._url2.mooTouchAdd({'click':true});
		}
			
		// ********** Load the social buttons here **********
		
		var theAppId = Skin.getInstance().get('ShareFacebookAppId','271868539554994');
		if (soc_url == '' || theAppId == '') {
			this._btnFacebook.dispose();
		} else {
			var fb_link = '//www.facebook.com/plugins/like.php?href='+encodeURIComponent(soc_url)+'&send=false&layout=button_count&width=90&show_faces=false&font=arial&colorscheme=light&action=like&height=21&appId='+theAppId;
			this._widgetRootElement.getElement('#AcklandsDetail_Facebook_li iframe').setAttribute('src', fb_link);
		}


		if (!this._widgetRootElement.getElement('#AcklandsDetail_Pinterest_li') && !this._widgetRootElement.getElement('#AcklandsDetail_Facebook_li'))
			this._widgetRootElement.getElement('#AcklandsDetail_social_ul').dispose();
		
		if (soc_url == '' || pin_desc == '' || pin_img == '') {
			this._btnPinterest.dispose();
		} else {
			// set href for pinterest code to work correctly
			this._urlPinterest = 'http://pinterest.com/pin/create/button/?url='+encodeURIComponent(soc_url)+'%2F&amp;media='+encodeURIComponent(pin_img)+'&amp;description='+encodeURIComponent(pin_desc);
			this._widgetRootElement.getElement('#AcklandsDetail_Pinterest_li a').setAttribute('href', this._urlPinterest);
			this._btnPinterest.addEvent('click', this._onClickPinterestLink.bind(this));
			this._btnPinterest.mooTouchAdd({'click':true});
		}

		if (this._widgetRootElement.getElement('#AcklandsDetail_social_ul').getElements('li').length == 0)
			this._widgetRootElement.getElement('#AcklandsDetail_social').dispose();

		
		// ********** Load the media content here **********
		
		// load images
		if (this_images.length) {
			for (var i = 0; i < this_images.length; i++)
			{
				var divL = this._imagesLarge;
				var div = document.createElement('div');
				div.setAttribute('class', 'AcklandsDetail_images_div')
				var img = document.createElement('img');
				var img_src = this_images[i].childNodes[0].nodeValue;
				this._setImage(img, img_src);
				divL.appendChild(div);
				div.appendChild(img);
			}
			
			// This is necessary for IE
			this._widgetRootElement.getElement('#AcklandsDetail_images_large').getElements('.AcklandsDetail_images_div').each(function(el)
			{
				el.setStyles({'opacity':0,'z-index':1});
			}
			.bind(this));
			
			// load thumbs
			if (this_images.length > 1) {
				for (var i = 0; i < this_images.length; i++)
				{
					var ul = this._widgetRootElement.getElement('#AcklandsDetail_images_thumbs_ul');
					var li = document.createElement('li');
					li.setAttribute('rel', i + 1);
					ul.appendChild(li);
				}

				// thumbs event handlers
				this._widgetRootElement.getElement('#AcklandsDetail_images_thumbs_ul').getElements('li').each(function(el)
				{
					el.addEvent('click', function(e) {
						var count = el.getAttribute('rel');
						this._showImage(parseInt(count)-1);
					}
					.bind(this));
					el.mooTouchAdd({'click':true});
				}
				.bind(this));
			}
			else {
				this._imagesThumbs.dispose();
				this._widgetRootElement.getElement('#AcklandsDetail_images_large').addClass('nothumbs');
			}
		}
		else
			this._images_panel.dispose();
		
		
		// default media to show
		if (Browser.Platform.mobile) {
			if (this._widgetRootElement.getElement('#AcklandsDetail_images_panel')) {
				if (this._widgetRootElement.getElement('#AcklandsDetail_description_container').getElements('div').length !== 0)
					this._createBtnImages();
				else
					this._widgetRootElement.getElement('#AcklandsDetail_images_panel').setStyle('visibility', 'visible');
				//this._details.hide();
			}
		}
		var mediaChildren = this._media.getElements('div');
		if (mediaChildren.length == 0)
			this._media.dispose();
		
		
		this._doLayout();

		// ********** Load the pinterest script here **********
		(function(d){
			var f = d.getElementsByTagName('SCRIPT')[0], p = d.createElement('SCRIPT');
			p.type = 'text/javascript';
			p.async = true;
			p.src = '//assets.pinterest.com/js/pinit.js';
			f.parentNode.insertBefore(p, f);
		}(document));


		
		this._show();
	},

	// ------------------------------------------------------------------------
	// hide and show elements before the page is shown
	// ------------------------------------------------------------------------
	_doLayout : function()
	{
		if (Browser.Platform.tablet) {
			if (DeviceMgr.getInstance().isOrientationPortrait()) {
				this._title2.hide();
				this._title1.show();
				if (this._widgetRootElement.getElement('#AcklandsDetail_url2'))
					this._url2.hide();
				if (this._widgetRootElement.getElement('#AcklandsDetail_url1'))
					this._url1.show();
				if (this._widgetRootElement.getElement('#AcklandsDetail_media'))
					this._media.erase('class').addClass('twelve columns');
				this._info.erase('class').addClass('twelve columns');
			}
			else {
				this._title1.hide();
				this._title2.show();
				if (this._widgetRootElement.getElement('#AcklandsDetail_url1'))
					this._url1.hide();
				if (this._widgetRootElement.getElement('#AcklandsDetail_url2'))
					this._url2.show();
				if (this._widgetRootElement.getElement('#AcklandsDetail_media')) {
					this._media.erase('class').addClass('six columns');
					this._info.erase('class').addClass('six columns');
				}
				else
					this._info.erase('class').addClass('twelve columns');
				this._details.erase('class').addClass('twelve columns');
			}
		}
		else if (Browser.Platform.mobile) {
			this._title2.hide();
			if (this._widgetRootElement.getElement('#AcklandsDetail_url2'))
				this._url2.hide();
			if (this._widgetRootElement.getElement('#AcklandsDetail_media')) {
				this._media.erase('class').addClass('twelve columns');
			}
			this._info.erase('class').addClass('twelve columns');
		}
		else {
			this._title1.hide();
			if (this._widgetRootElement.getElement('#AcklandsDetail_url1'))
				this._url1.hide();
			if (!this._widgetRootElement.getElement('#AcklandsDetail_media'))
				this._info.erase('class').addClass('twelve columns');
		}
		
		
		setTimeout(function() {
			// vertically size elements
			var popUpH = jQuery('#AcklandsDetail_DialogContent').outerHeight(true);
			var buttonsH = jQuery('#AcklandsDetail_buttons').outerHeight(true);
			
			if (Browser.Platform.tablet && DeviceMgr.getInstance().isOrientationPortrait()) {
				var titleH = jQuery('#AcklandsDetail_title1').outerHeight(true);
				var urlH = jQuery('#AcklandsDetail_url1').outerHeight(true);
				if (jQuery('#AcklandsDetail_media').length > 0) {
					var mediaH = popUpH * 4/8;
					jQuery('#AcklandsDetail_media').css('height', mediaH);
				}
				else
					var mediaH = 0;
				var scrollH = popUpH - titleH - urlH - mediaH - buttonsH - 5;
				//console.log('popup: ' + popUpH + ', titleH: ' + titleH + ', mediaH: ' + mediaH + ' buttonsH: ' + buttonsH + ' scrollH: ' + scrollH);
			}
			else if (Browser.Platform.mobile) {
				var titleH = jQuery('#AcklandsDetail_title1').outerHeight(true);
				var urlH = jQuery('#AcklandsDetail_url1').outerHeight(true);
				if (jQuery('#AcklandsDetail_media').length > 0) {
					var mediaH = popUpH - titleH - urlH - buttonsH - 5;
					jQuery('#AcklandsDetail_media').css('height', mediaH);
				}
				var scrollH = popUpH - titleH - urlH - buttonsH - 10;
				//console.log('popup: ' + popUpH + ', titleH: ' + titleH + ', urlH: ' + urlH + ', buttonsH: ' + buttonsH + ' scrollH: ' + scrollH);
			}
			else {
				var titleH = jQuery('#AcklandsDetail_title2').outerHeight(true);
				var urlH = jQuery('#AcklandsDetail_url2').outerHeight(true);
				if (jQuery('#AcklandsDetail_media').length > 0) {
					var mediaH = popUpH;
					jQuery('#AcklandsDetail_media').css('height', mediaH);
				}
				var scrollH = popUpH - titleH - urlH - buttonsH - 5;
				//console.log('popup: ' + popUpH + ', titleH: ' + titleH + ', urlH: ' + urlH + ', buttonsH: ' + buttonsH + ' scrollH: ' + scrollH);
			}
			jQuery('#AcklandsDetail_description_overflow').css('height', scrollH);
			
			
			if (jQuery('#AcklandsDetail_images_large').length > 0) {
				// max size for large images
				var mediaH = jQuery('#AcklandsDetail_images_panel').height();
				var mediaW = jQuery('#AcklandsDetail_images_panel').width();
				if (jQuery('#AcklandsDetail_images_thumbs').length > 0) {
					var thumbsH = jQuery('#AcklandsDetail_images_thumbs').outerHeight(true);
					var imageH = mediaH - thumbsH;
				} else {
					var thumbsH = 0;
					var imageH = mediaH;
				}
				//console.log('mediaH: ' + mediaH + ', thumbsH: ' + thumbsH + ' remainH: ' + imageH + '; mediaW: ' + mediaW);
				jQuery('#AcklandsDetail_images_large').css('height', imageH);
				jQuery('#AcklandsDetail_images_large img').css('max-height', imageH);
				jQuery('#AcklandsDetail_images_large img').css('max-width', mediaW);

				// load and center the large images
				var cnt = 0;
				jQuery('#AcklandsDetail_images_large img').each( function() {
					var thisH = jQuery(this).height();
					cnt++;
					//console.log(cnt + ', imageH: ' + imageH + ', thisH: ' + thisH);
					if (((imageH - thisH) / 2) < (imageH / 3))
						jQuery(this).css('margin-top', ((imageH - thisH) / 2));
				});

				// center thumbs images
				if (jQuery('#AcklandsDetail_images_thumbs').length > 0) {
					var thumbW = 0;
					jQuery('#AcklandsDetail_images_thumbs li').each( function() {
						thumbW += jQuery(this).outerWidth(true);
					});
					jQuery('#AcklandsDetail_images_thumbs ul').css('margin-left', ((mediaW - thumbW) / 2));
				}
			}
		},200);
		
		if (this._widgetRootElement.getElement('#AcklandsDetail_images_large')) {
			// Loads first image
			var timeFunc = function(){ 
				this._showNext();
			}.bind(this);
			setTimeout(timeFunc, 201);
		}
		
		if (Browser.Platform.mobile && this._widgetRootElement.getElement('#AcklandsDetail_description_container').getElements('div').length !== 0) {
			setTimeout(function() {
				jQuery('#AcklandsDetail_images_panel').hide();
				jQuery('#AcklandsDetail_media').hide();
				jQuery('#AcklandsDetail_details').show();
				jQuery('#AcklandsDetail_images_panel').css('visibility', 'visible');
			},300);
		}
	},
	
	// ------------------------------------------------------------------------
	// create the buttons
	// ------------------------------------------------------------------------
	_createBtnDetails : function()
	{
		var ul = this._buttons_ul;
		new Element('li', {
			'id': 'AcklandsDetail_buttons_details'
		}).inject(ul).adopt(new Element('div', {
			'id': 'AcklandsDetail_buttons_details_btn',
			'class': 'radius button',
			'html': 'Product Details'
		}));
		this._widgetRootElement.getElement('#AcklandsDetail_buttons_details_btn').addEvent('click', this._onClickBtnDetails.bind(this));
		this._widgetRootElement.getElement('#AcklandsDetail_buttons_details_btn').mooTouchAdd({'click':true});
	},
	
	_createBtnImages : function()
	{
		var ul = this._buttons_ul;
		new Element('li', {
			'id': 'AcklandsDetail_buttons_images'
		}).inject(ul).adopt(new Element('div', {
			'id': 'AcklandsDetail_buttons_images_btn',
			'class': 'radius button',
			'html': 'Product Images'
		}));
		this._widgetRootElement.getElement('#AcklandsDetail_buttons_images_btn').addEvent('click', this._onClickBtnImages.bind(this));
		this._widgetRootElement.getElement('#AcklandsDetail_buttons_images_btn').mooTouchAdd({'click':true});
	},
	
	// ------------------------------------------------------------------------
	// 1. Keep the dialog centered in the window
	// 2. Handle landscape/portrait layouts
	// ------------------------------------------------------------------------
	_onResize : function()
	{
		var isPortrait = false;  // Use landscape dialog layout if not mobile
		if (Browser.Platform.mobile || Browser.Platform.tablet)
			isPortrait = DeviceMgr.getInstance().isOrientationPortrait();
		
		this.parent();
	},

	// ------------------------------------------------------------------------
	// Put any code which needs to be executed when the dialog is closed here
	// ------------------------------------------------------------------------
	onClose : function()
	{
		if (this._myTimer)
		{
			clearTimeout(this._myTimer);
			this._myTimer = null;
		}
		
		this.parent();
	},
	
	// ------------------------------------------------------------------------
	// Thumbnail click event handler
	// ------------------------------------------------------------------------
 	_showImage : function(index)
	{
		if (index < this._imagesLarge.getElements('.AcklandsDetail_images_div').length)
		{
			var indexImage = this._imagesLarge.getElements('.AcklandsDetail_images_div')[index];
			if (this._currentImage)
			{   
				if (this._currentImage != indexImage )
				{
					$(this._currentImage).setStyle('z-index',2);
					indexImage.setStyles({'opacity':1});
					if (this._myTimer)
					{
						clearTimeout(this._myTimer);
						this._myTimer = null;
					}
					var myFx = new Fx.Tween(this._currentImage, 
					{
						duration: 400,
						onComplete:function()
						{
							this._currentImage.setStyles({'opacity':0,'z-index':1});
							this._currentImage = indexImage;
							this._currentIndex = index;
							this._myTimer = this._showNext.delay(8000, this);
						}
						.bind(this)
					})
					.start('opacity',0);
				}
			}
			else
			{
				indexImage.setStyles({'opacity':1});
				this._currentImage = indexImage;
				this._currentIndex = index;
				this._myTimer = this._showNext.delay(8000, this);
			}
			this._widgetRootElement.getElements('#AcklandsDetail_images_thumbs_ul li').removeClass('active');
			this._widgetRootElement.getElements('#AcklandsDetail_images_thumbs_ul li')[index].addClass('active');
		}
	},
	
	// ------------------------------------------------------------------------
	// Large image event handler
	// ------------------------------------------------------------------------
	_showNext : function()
	{
		var len = this._imagesLarge.getElements('.AcklandsDetail_images_div').length;
		if (len > 1) {
			var next = this._currentIndex < (len-1) ? this._currentIndex + 1 : 0;
			this._showImage(next);
		}
		else
			this._imagesLarge.getElement('.AcklandsDetail_images_div').setStyle('opacity', 1);
	},

	// ------------------------------------------------------------------------
	// Button click event handlers
	// ------------------------------------------------------------------------
	_onClickUrlLink : function(e)
	{
		Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:this._url, source:'AcklandsDetail'});
	},

	_onClickPinterestLink : function(e)
	{
		// remove href before linking, otherwise 2 windows will open
		this._widgetRootElement.getElement('#AcklandsDetail_Pinterest_li a').removeAttribute('href');
		Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:this._urlPinterest, source:'AcklandsDetail'});
	},
	
	_onClickBtnDetails : function(e)
	{
		if (this._widgetRootElement.getElement('#AcklandsDetail_buttons_details'))
			this._widgetRootElement.getElement('#AcklandsDetail_buttons_details').dispose();
		this._createBtnImages();
			
		this._images_panel.hide();
		this._media.hide();
		this._details.show();
	},
	
	_onClickBtnImages : function(e)
	{
		if (this._widgetRootElement.getElement('#AcklandsDetail_buttons_images'))
			this._widgetRootElement.getElement('#AcklandsDetail_buttons_images').dispose();
		this._createBtnDetails();
			
		this._details.hide();
		this._media.show();
		this._images_panel.show();
	},


	
	_ie_comma_safety : 0	// Keep as last member of class (doesn't have trailing comma)
});
