// ----------------------------------------------------------------------------
// This View handles the AviallDetail Dialog
// ----------------------------------------------------------------------------
AviallDetail = new Class(
{
	Extends : DialogView,

	// ************************************************************************
	// ************************************************************************
	//     MEMBERS VARIABLES
	// ************************************************************************
	// ************************************************************************	

	// ********** Add variables for each data field here **********

	_descElement : null,
	_imgElement : null,
	
	// ************************************************************************
	// ************************************************************************
	//     CONSTRUCTOR
	// ************************************************************************
	// ************************************************************************	

	initialize : function()
	{
		this.parent('AviallDetail', this);
	},

	// ------------------------------------------------------------------------
	// After LoadComponentCommand instantiates the component, then this function
	// is called to pass the arguments and actually create the DOM objects.
	//
	// Arguments: 
	//     theBasePath (String) - Contains the component base path
	//     theDialogData (Object) - Contains argument data for the dialog
	// ------------------------------------------------------------------------
	init : function(theBasePath, theDialogData)
    {		
		this.parent(theDialogData,
		{
			basePath : theBasePath,
			title:  '',
			width:  500,
			height: 280,
			_ie_comma_safety : 0	// Keep as last option (doesn't have trailing comma)
		});
	},

	// ------------------------------------------------------------------------
	// The Dialog DOM content (if any) is loaded by the time this function is
	// called so here we create and add any extra UIComponents and attach
	// event listeners.
	// ------------------------------------------------------------------------
	_onContentLoaded : function()
	{
		this.parent();

		this._imgElement = this._widgetRootElement.getElement('#AviallDetail_image');
		if (Browser.Platform.mobile)
			this._imgElement.setStyle('background-image', 'url(' + this._data.find('image').text() + ')');
		else
			this._imgElement.setStyle('background-image', 'url(' + this._data.find('image').text() + ')');
		this._descElement = this._widgetRootElement.getElement('#AviallDetail_desc');
		this._descElement.set('html', this._data.find('desc').text());
		
		this._show();
	},
	
	// ************************************************************************
	// ************************************************************************
	//
	// ********** Add Custom Functions and Event Handlers here **********
	//
	// ************************************************************************
	// ************************************************************************
	
	_ie_comma_safety : 0	// Keep as last member of class (doesn't have trailing comma)
});
