// ----------------------------------------------------------------------------
// This View handles the HDSupplyDetail Dialog
// ----------------------------------------------------------------------------
HDSupplyDetail = new Class(
{
	Extends : DialogView,

	// ************************************************************************
	// ************************************************************************
	//     MEMBER VARIABLES
	// ************************************************************************
	// ************************************************************************

	// ********** Add variables for each data field here **********

	_appState : null,
	
	_title1 : null,
	_title1text : null,
	_title2 : null,
	_title2text : null,
	_media : null,
	_info : null,
	_details : null,
	_partno : null,
	_price : null,
	_desc : null,
	_qtybrk1 : null,
	_prcbrk1 : null,
	_qtybrk2 : null,
	_prcbrk2 : null,
	_qtybrk3 : null,
	_prcbrk3 : null,
	
	_buttons : null,
	_buttons_ul : null,
	_btnLink: null,
	
	_images_panel : null,
	_imagesLarge : null,
	_imagesThumbs : null,
	_currentImage : null,
	_currentIndex : -1,
	_interval : null,
	_myTimer : null,
	
	_video_panel : null,
	_videoYoutube : null,

	
	
	// ************************************************************************
	// ************************************************************************
	//     CONSTRUCTOR
	// ************************************************************************
	// ************************************************************************	

	initialize : function()
	{
		this.parent('HDSupplyDetail', this);
		this._appState = Facade.getInstance().retrieveProxy(AppState.NAME);
	},

	// ------------------------------------------------------------------------
	// This is a proxy for the UIMediator listNotificationInterests function.
	// 
	// This function returns the list of notifications to register this view for.
	//
	// @return {String[]} - the array of notification names to act upon.
	// ------------------------------------------------------------------------
	listNotificationInterests : function()
	{
		return	[
					ApplicationFacade.ORIENTATION_CHANGED,
				];
	},

	// ------------------------------------------------------------------------
	// This is a proxy for the UIMediator handleNotification function.
	//
	// This function is called to handle all notifications listed in the 
	// listNotificationInterests function
	//
	// Arguments:
	//     notification (Notification) - The notification to act upon
	// ------------------------------------------------------------------------
	handleNotification : function(notification)
	{
		switch(notification.getName())
		{
			case ApplicationFacade.ORIENTATION_CHANGED:
				this._doLayout();
				this._onResize();
				break;
		}
	},

	// ------------------------------------------------------------------------
	// After LoadComponentCommand instantiates the component, then this function
	// is called to pass the arguments and actually create the DOM objects.
	//
	// Arguments: 
	//     theBasePath (String) - Contains the component base path
	//     theDialogData (Object) - Contains argument data for the dialog
	// ------------------------------------------------------------------------
	init : function(theBasePath, theDialogData)
	{		
		this.parent(theDialogData,
		{
			basePath : theBasePath,
			title:  'Product Details',
			landscapeWidth:     875,
			landscapeHeight:    520,
			portraitWidth:      620,
			portraitHeight:     800,
			_ie_comma_safety : 0	// Keep as last option (doesn't have trailing comma)
		});
	},

	// ************************************************************************
	// ************************************************************************
	//     PROTECTED FUNCTIONS
	// ************************************************************************
	// ************************************************************************

	// ------------------------------------------------------------------------
	// The Dialog DOM content (if any) is loaded by the time this function is
	// called so here we create and add any extra UIComponents and attach
	// event listeners.
	// ------------------------------------------------------------------------
	_onContentLoaded : function()
	{
		this.parent();
		
		this._title1 = this._widgetRootElement.getElement('#HDSupplyDetail_title1');
		this._title1text = this._widgetRootElement.getElement('#HDSupplyDetail_title1_text');
		this._title2 = this._widgetRootElement.getElement('#HDSupplyDetail_title2');
		this._title2text = this._widgetRootElement.getElement('#HDSupplyDetail_title2_text');
		this._media = this._widgetRootElement.getElement('#HDSupplyDetail_media');
		this._info = this._widgetRootElement.getElement('#HDSupplyDetail_info');
		this._details = this._widgetRootElement.getElement('#HDSupplyDetail_details');
		this._partno = this._widgetRootElement.getElement('#HDSupplyDetail_partno');
		this._price = this._widgetRootElement.getElement('#HDSupplyDetail_price');
		this._desc = this._widgetRootElement.getElement('#HDSupplyDetail_description_text');
		this._qtybrk1 = this._widgetRootElement.getElement('#HDSupplyDetail_description_qtybrk1');
		this._prcbrk1 = this._widgetRootElement.getElement('#HDSupplyDetail_description_prcbrk1');
		this._qtybrk2 = this._widgetRootElement.getElement('#HDSupplyDetail_description_qtybrk2');
		this._prcbrk2 = this._widgetRootElement.getElement('#HDSupplyDetail_description_prcbrk2');
		this._qtybrk3 = this._widgetRootElement.getElement('#HDSupplyDetail_description_qtybrk3');
		this._prcbrk3 = this._widgetRootElement.getElement('#HDSupplyDetail_description_prcbrk3');
		this._buttons = this._widgetRootElement.getElement('#HDSupplyDetail_buttons');
		this._buttons_ul = this._widgetRootElement.getElement('#HDSupplyDetail_buttons_ul');
		this._btnLink = this._widgetRootElement.getElement('#HDSupplyDetail_buttons_link_btn');
		this._images_panel = this._widgetRootElement.getElement('#HDSupplyDetail_images_panel');
		this._imagesLarge = this._widgetRootElement.getElement('#HDSupplyDetail_images_large');
		this._imagesThumbs = this._widgetRootElement.getElement('#HDSupplyDetail_images_thumbs');
		this._video_panel = this._widgetRootElement.getElement('#HDSupplyDetail_video_panel');

		
		
		// ********** Load the dialog text data content here **********
		
		this._title1text.set('html', this._data.find('title').text());
		this._title2text.set('html', this._data.find('title').text());
		
		var this_desc = this._data.find('desc').text();
		if (this_desc == '')
			this._widgetRootElement.getElement('#HDSupplyDetail_description').dispose();
		else
			this._desc.set('html', this._data.find('desc').text());
			
		var this_qtybrk1 = this._data.find('qtybrk1').text();
		if (this_qtybrk1 == '')
			this._widgetRootElement.getElement('#HDSupplyDetail_description_qtybrk1').dispose();
		else
			this._qtybrk1.set('html', this._data.find('qtybrk1').text());

		var this_prcbrk1 = this._data.find('prcbrk1').text();
		if (this_prcbrk1 == '')
			this._widgetRootElement.getElement('#HDSupplyDetail_description_prcbrk1').dispose();
		else
			this._prcbrk1.set('html', this._data.find('prcbrk1').text());			

		var this_qtybrk2 = this._data.find('qtybrk2').text();
		if (this_qtybrk2 == '')
			this._widgetRootElement.getElement('#HDSupplyDetail_description_qtybrk2').dispose();
		else
			this._qtybrk2.set('html', this._data.find('qtybrk2').text());

		var this_prcbrk2 = this._data.find('prcbrk2').text();
		if (this_prcbrk2 == '')
			this._widgetRootElement.getElement('#HDSupplyDetail_description_prcbrk2').dispose();
		else
			this._prcbrk2.set('html', this._data.find('prcbrk2').text());

		var this_qtybrk3 = this._data.find('qtybrk3').text();
		if (this_qtybrk3 == '')
			this._widgetRootElement.getElement('#HDSupplyDetail_description_qtybrk3').dispose();
		else
			this._qtybrk3.set('html', this._data.find('qtybrk3').text());
			
		var this_prcbrk3 = this._data.find('prcbrk3').text();
		if (this_prcbrk3 == '')
			this._widgetRootElement.getElement('#HDSupplyDetail_description_prcbrk3').dispose();
		else
			this._prcbrk3.set('html', this._data.find('prcbrk3').text());			
			
		var this_partno = this._data.find('partno').text();
		var this_price = this._data.find('price').text();
		if (this_partno == '' && this_price == '')
			this._widgetRootElement.getElement('#HDSupplyDetail_modelprice').dispose();
		else {
			this._partno.set('html', this._data.find('partno').text());
			this._price.set('html', this._data.find('price').text());
		}
		
		this._widgetRootElement.getElement('#HDSupplyDetail_description_container').mooTouchAdd({'scroll':true});
		
		
		
		// ********** Load the media content here **********
		
		var this_images = this._data.find('images').find('img');
		
		// load images
		if (this_images.length) {
			for (var i = 0; i < this_images.length; i++)
			{
				var divL = this._imagesLarge;
				var div = document.createElement('div');
				div.setAttribute('class', 'HDSupplyDetail_images_div')
				var img = document.createElement('img');
				var img_src = this_images[i].childNodes[0].nodeValue;
				this._setImage(img, img_src);
				divL.appendChild(div);
				div.appendChild(img);
			}
			
			// This is necessary for IE
			this._widgetRootElement.getElement('#HDSupplyDetail_images_large').getElements('.HDSupplyDetail_images_div').each(function(el)
			{
				el.setStyles({'opacity':0,'z-index':1});
			}
			.bind(this));
			
			// load thumbs
			if (this_images.length > 1) {
				for (var i = 0; i < this_images.length; i++)
				{
					var ul = this._widgetRootElement.getElement('#HDSupplyDetail_images_thumbs_ul');
					var li = document.createElement('li');
					li.setAttribute('rel', i + 1);
					ul.appendChild(li);
				}

				// thumbs event handlers
				this._widgetRootElement.getElement('#HDSupplyDetail_images_thumbs_ul').getElements('li').each(function(el)
				{
					el.addEvent('click', function(e) {
						var count = el.getAttribute('rel');
						this._showImage(parseInt(count)-1);
					}
					.bind(this));
					el.mooTouchAdd({'click':true});
				}
				.bind(this));
			}
			else {
				this._imagesThumbs.dispose();
				this._widgetRootElement.getElement('#HDSupplyDetail_images_large').addClass('nothumbs');
			}
		}
		else
			this._images_panel.dispose();
		
		
		// load video
		var data_youtube = this._data.find('video').find('youtube').text();
		if (data_youtube == '')
			this._video_panel.dispose();
		
		
		
		
		// default media to show
		if (this._widgetRootElement.getElement('#HDSupplyDetail_images_panel')) {
			if (Browser.Platform.mobile) {
				if (this._widgetRootElement.getElement('#HDSupplyDetail_description_container').getElements('div').length !== 0)
					this._createBtnDetails();
				this._details.hide();
			}
			if (this._widgetRootElement.getElement('#HDSupplyDetail_video_panel')) {
				this._video_panel.hide();
				this._createBtnVideo();
			}
		}
		else {
			if (this._widgetRootElement.getElement('#HDSupplyDetail_video_panel')) {
				if (Browser.Platform.mobile) {
					if (this._widgetRootElement.getElement('#HDSupplyDetail_description_container').getElements('div').length !== 0)
						this._createBtnDetails();
					this._details.hide();
				}
			}
		}
		var mediaChildren = this._media.getElements('div');
		if (mediaChildren.length == 0)
			this._media.dispose();
		
		
		
		// ********** Load the buttons content here **********
		var data_url = this._data.find('desturl').text();
		if (data_url !== '') {
			this._btnLink.addEvent('click', this._onClickBtnLink.bind(this));
			this._btnLink.mooTouchAdd({'click':true});
		}
		else {
			this._btnLink.dispose();
		}
		
		
		
		this._doLayout();
		
		this._show();
	},

	// ------------------------------------------------------------------------
	// hide and show elements before the page is shown
	// ------------------------------------------------------------------------
	_doLayout : function()
	{
		if (Browser.Platform.tablet) {
			if (DeviceMgr.getInstance().isOrientationPortrait()) {
				this._title2.hide();
				this._title1.show();
				if (this._widgetRootElement.getElement('#HDSupplyDetail_media')) {
					this._media.erase('class').addClass('twelve columns shadow_bottom');
				}
				this._info.erase('class').addClass('columns twelve');
				this._details.erase('class').addClass('eight columns mobile-three');	//mobile-three for 7" tablet
				this._buttons.erase('class').addClass('four columns mobile-one');	//mobile-one for 7" tablet
				this._buttons_ul.erase('class').addClass('block-grid one-up');
			}
			else {
				this._title1.hide();
				this._title2.show();
				if (this._widgetRootElement.getElement('#HDSupplyDetail_media')) {
					this._media.erase('class').addClass('seven columns shadow_right');
					this._info.erase('class').addClass('five columns');
					this._buttons_ul.erase('class').addClass('block-grid two-up');
				}
				else {
					this._info.erase('class').addClass('twelve columns');
					this._buttons_ul.erase('class').addClass('block-grid five-up');
				}
				this._details.erase('class').addClass('twelve columns');
				this._buttons.erase('class').addClass('twelve columns');
			}
		}
		else if (Browser.Platform.mobile) {
			this._title2.hide();
			if (this._widgetRootElement.getElement('#HDSupplyDetail_media')) {
				this._media.erase('class').addClass('twelve columns');
			}
			this._info.erase('class').addClass('twelve columns');
			this._buttons_ul.erase('class').addClass('block-grid four-up');
		}
		else {
			this._title1.hide();
			if (!this._widgetRootElement.getElement('#HDSupplyDetail_media')) {
				this._info.erase('class').addClass('twelve columns');
				this._buttons_ul.erase('class').addClass('block-grid five-up');
			}
		}
		
		
		setTimeout(function() {
			// vertically size elements
			var popUpH = jQuery('#HDSupplyDetail_DialogContent').outerHeight(true);
			var buttonsH = jQuery('#HDSupplyDetail_buttons').outerHeight(true);
			
			if (Browser.Platform.tablet && DeviceMgr.getInstance().isOrientationPortrait()) {
				var titleH = jQuery('#HDSupplyDetail_title1').outerHeight(true);
				if (jQuery('#HDSupplyDetail_media').length > 0) {
					var mediaH = popUpH * 3.5/8;
					jQuery('#HDSupplyDetail_media').css('height', mediaH);
				}
				else
					var mediaH = 0;
				var scrollH = popUpH - titleH - mediaH - 15;
				//console.log('popup: ' + popUpH + ', titleH: ' + titleH + ', mediaH: ' + mediaH + ' scrollH: ' + scrollH);
			}
			else if (Browser.Platform.mobile) {
				var titleH = jQuery('#HDSupplyDetail_title1').outerHeight(true);
				if (jQuery('#HDSupplyDetail_media').length > 0) {
					var mediaH = popUpH - titleH - buttonsH - 5;
					jQuery('#HDSupplyDetail_media').css('height', mediaH);
				}
				var scrollH = popUpH - titleH - buttonsH - 10;
				//console.log('popup: ' + popUpH + ', titleH: ' + titleH + ', buttonsH: ' + buttonsH + ' scrollH: ' + scrollH);
			}
			else {
				var titleH = jQuery('#HDSupplyDetail_title2').outerHeight(true);
				if (jQuery('#HDSupplyDetail_media').length > 0) {
					var mediaH = popUpH;
					jQuery('#HDSupplyDetail_media').css('height', mediaH);
				}
				var scrollH = popUpH - titleH - buttonsH - 5;
				//console.log('popup: ' + popUpH + ', titleH: ' + titleH + ', buttonsH: ' + buttonsH + ' scrollH: ' + scrollH);
			}
			jQuery('#HDSupplyDetail_description_overflow').css('height', scrollH);
			
			
			if (jQuery('#HDSupplyDetail_images_large').length > 0) {
				// max size for large images
				var mediaH = jQuery('#HDSupplyDetail_images_panel').height();
				var mediaW = jQuery('#HDSupplyDetail_images_panel').width();
				if (jQuery('#HDSupplyDetail_images_thumbs').length > 0) {
					var thumbsH = jQuery('#HDSupplyDetail_images_thumbs').outerHeight(true);
					var imageH = mediaH - thumbsH;
				} else {
					var thumbsH = 0;
					var imageH = mediaH;
				}
				//console.log('mediaH: ' + mediaH + ', thumbsH: ' + thumbsH + ' remainH: ' + imageH + '; mediaW: ' + mediaW);
				jQuery('#HDSupplyDetail_images_large').css('height', imageH);
				jQuery('#HDSupplyDetail_images_large img').css('max-height', imageH);
				jQuery('#HDSupplyDetail_images_large img').css('max-width', mediaW);
				
				// load and center the large images
				var cnt = 0;
				jQuery('#HDSupplyDetail_images_large img').each( function() {
					var thisH = jQuery(this).height();
					cnt++;
					//console.log(cnt + ', imageH: ' + imageH + ', thisH: ' + thisH);
					if (((imageH - thisH) / 2) < (imageH / 3))
						jQuery(this).css('margin-top', ((imageH - thisH) / 2));
				});

				// center thumbs images
				if (jQuery('#HDSupplyDetail_images_thumbs').length > 0) {
					var thumbW = 0;
					jQuery('#HDSupplyDetail_images_thumbs li').each( function() {
						thumbW += jQuery(this).outerWidth(true);
					});
					jQuery('#HDSupplyDetail_images_thumbs ul').css('margin-left', ((mediaW - thumbW) / 2));
				}
			}
		},200);
		
		
		// Loads first image
		if (this._widgetRootElement.getElement('#HDSupplyDetail_images_large')) {
			var timeFunc = function(){ 
				this._showNext();
			}.bind(this);
			setTimeout(timeFunc, 201);
		}
		
		
		// video
		if (this._data.find('video').find('youtube').text() !== '' && !this._widgetRootElement.getElement('#HDSupplyDetail_images_panel')) {
			var timeFunc = function(){ 
				this._doYoutubeCreate();
			}.bind(this);
			setTimeout(timeFunc, 201);
		}
	},
	
	// ------------------------------------------------------------------------
	// create the buttons
	// ------------------------------------------------------------------------
	_createBtnDetails : function()
	{
		var ul = this._buttons_ul;
		new Element('li', {
			'id': 'HDSupplyDetail_buttons_details'
		}).inject(ul).adopt(new Element('div', {
			'id': 'HDSupplyDetail_buttons_details_btn',
			'class': 'radius button',
			'html': 'Product Details'
		}));
		this._widgetRootElement.getElement('#HDSupplyDetail_buttons_details_btn').addEvent('click', this._onClickBtnDetails.bind(this));
		this._widgetRootElement.getElement('#HDSupplyDetail_buttons_details_btn').mooTouchAdd({'click':true});
	},
	
	_createBtnImages : function()
	{
		var ul = this._buttons_ul;
		new Element('li', {
			'id': 'HDSupplyDetail_buttons_images'
		}).inject(ul).adopt(new Element('div', {
			'id': 'HDSupplyDetail_buttons_images_btn',
			'class': 'radius button',
			'html': 'Product Images'
		}));
		this._widgetRootElement.getElement('#HDSupplyDetail_buttons_images_btn').addEvent('click', this._onClickBtnImages.bind(this));
		this._widgetRootElement.getElement('#HDSupplyDetail_buttons_images_btn').mooTouchAdd({'click':true});
	},
	
	_createBtnVideo : function()
	{
		var ul = this._buttons_ul;
		new Element('li', {
			'id': 'HDSupplyDetail_buttons_video'
		}).inject(ul).adopt(new Element('div', {
			'id': 'HDSupplyDetail_buttons_video_btn',
			'class': 'radius button',
			'html': 'Product Video'
		}));
		this._widgetRootElement.getElement('#HDSupplyDetail_buttons_video_btn').addEvent('click', this._onClickBtnVideo.bind(this));
		this._widgetRootElement.getElement('#HDSupplyDetail_buttons_video_btn').mooTouchAdd({'click':true});
	},
	
	
	// ------------------------------------------------------------------------
	// 1. Keep the dialog centered in the window
	// 2. Handle landscape/portrait layouts
	// ------------------------------------------------------------------------
	_onResize : function()
	{
		var isPortrait = false;  // Use landscape dialog layout if not mobile
		if (Browser.Platform.mobile || Browser.Platform.tablet)
			isPortrait = DeviceMgr.getInstance().isOrientationPortrait();
		
		this.parent();
	},

	// ------------------------------------------------------------------------
	// Put any code which needs to be executed when the dialog is closed here
	// ------------------------------------------------------------------------
	onClose : function()
	{
		if (this._myTimer)
		{
			clearTimeout(this._myTimer);
			this._myTimer = null;
		}
		
		this.parent();
	},
	
	// ------------------------------------------------------------------------
	// Thumbnail click event handler
	// ------------------------------------------------------------------------
 	_showImage : function(index)
	{
		if (index < this._imagesLarge.getElements('.HDSupplyDetail_images_div').length)
		{
			var indexImage = this._imagesLarge.getElements('.HDSupplyDetail_images_div')[index];
			if (this._currentImage)
			{   
				if (this._currentImage != indexImage )
				{
					$(this._currentImage).setStyle('z-index',2);
					indexImage.setStyles({'opacity':1});
					if (this._myTimer)
					{
						clearTimeout(this._myTimer);
						this._myTimer = null;
					}
					var myFx = new Fx.Tween(this._currentImage, 
					{
						duration: 400,
						onComplete:function()
						{
							this._currentImage.setStyles({'opacity':0,'z-index':1});
							this._currentImage = indexImage;
							this._currentIndex = index;
							this._myTimer = this._showNext.delay(8000, this);
						}
						.bind(this)
					})
					.start('opacity',0);
				}
			}
			else
			{
				indexImage.setStyles({'opacity':1});
				this._currentImage = indexImage;
				this._currentIndex = index;
				this._myTimer = this._showNext.delay(8000, this);
			}
			this._widgetRootElement.getElements('#HDSupplyDetail_images_thumbs_ul li').removeClass('active');
			this._widgetRootElement.getElements('#HDSupplyDetail_images_thumbs_ul li')[index].addClass('active');
		}
	},
	
	// ------------------------------------------------------------------------
	// Large image event handler
	// ------------------------------------------------------------------------
	_showNext : function()
	{
		var len = this._imagesLarge.getElements('.HDSupplyDetail_images_div').length;
		if (len > 1) {
			var next = this._currentIndex < (len-1) ? this._currentIndex + 1 : 0;
			this._showImage(next);
		}
		else
			this._imagesLarge.getElement('.HDSupplyDetail_images_div').setStyle('opacity', 1);
	},
	
	// ------------------------------------------------------------------------
	// Youtube video iframe
	// ------------------------------------------------------------------------
	_doYoutubeCreate : function()
	{
		this._widgetRootElement.getElement('#HDSupplyDetail_video_Youtube_iframe').src = this._data.find('video').find('youtube').text();
		this._doYoutubeSet();
	},
	_doYoutubeDestroy : function()
	{
		this._widgetRootElement.getElement('#HDSupplyDetail_video_Youtube_iframe').src = '';
	},
	
	_doYoutubeSize : function(availHeight)
	{
		var videoPanel = this._widgetRootElement.getElement('#HDSupplyDetail_video_panel');
		var videoYoutubeFrame = this._widgetRootElement.getElement('#HDSupplyDetail_video_Youtube_iframe');
		var sizeFrame = videoPanel.getSize();
		videoYoutubeFrame.setStyle('width', sizeFrame.x);
		
		if (availHeight < sizeFrame.x * 0.5625) {
			var videoWidth = availHeight * 1.777778;
			if (Browser.Platform.tablet)
				videoYoutubeFrame.setStyles({'height':350, 'width':videoWidth});
			else
				videoYoutubeFrame.setStyles({'height':availHeight, 'width':videoWidth});
		}
		else {
			var videoHeight = sizeFrame.x * 0.5625;
			videoYoutubeFrame.setStyle('height', videoHeight);
		}
	},
	_doYoutubeSet : function()
	{
		if (Browser.Platform.tablet && DeviceMgr.getInstance().isOrientationPortrait()) {
			if (this._widgetRootElement.getElement('#HDSupplyDetail_media')) {
				this._doYoutubeSize(350);
			}
		}
		else {
			if (this._widgetRootElement.getElement('#HDSupplyDetail_media')) {
				var sizeVideo = this._media.getSize();
				this._doYoutubeSize(sizeVideo.y);
			}
		}
	},
	
	// ************************************************************************
	// ************************************************************************
	//
	// ************* Add Custom Functions and Event Handlers here *************
	//
	// ************************************************************************
	// ************************************************************************

	// ------------------------------------------------------------------------
	// Button click event handlers
	// ------------------------------------------------------------------------
	_onClickBtnLink : function(e)
	{
		var theUrl = this._data.find('desturl').text();
		Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl, source:'HDSupplyDetail'});
	},
	
	_onDisposeMediaButtons : function(e)
	{
		if (this._widgetRootElement.getElement('#HDSupplyDetail_buttons_images'))
			this._widgetRootElement.getElement('#HDSupplyDetail_buttons_images').dispose();
		if (this._widgetRootElement.getElement('#HDSupplyDetail_buttons_video'))
			this._widgetRootElement.getElement('#HDSupplyDetail_buttons_video').dispose();
		if (this._widgetRootElement.getElement('#HDSupplyDetail_buttons_details'))
			this._widgetRootElement.getElement('#HDSupplyDetail_buttons_details').dispose();
	},
	
	_onClickBtnDetails : function(e)
	{
		this._onDisposeMediaButtons();
		if (this._widgetRootElement.getElement('#HDSupplyDetail_images_panel')) {
			this._images_panel.hide();
			this._createBtnImages();
		}
		if (this._widgetRootElement.getElement('#HDSupplyDetail_video_panel')) {
			this._video_panel.hide();
			if (this._widgetRootElement.getElement('#HDSupplyDetail_video_Youtube_iframe'))
				this._doYoutubeDestroy();
			this._createBtnVideo();
		}
		this._media.hide();
		this._details.show();
	},
	
	_onClickBtnImages : function(e)
	{
		this._onDisposeMediaButtons();
		if (Browser.Platform.mobile && this._widgetRootElement.getElement('#HDSupplyDetail_description_container').getElements('div').length !== 0) {
			this._details.hide();
			this._media.show();
			this._createBtnDetails();
		}
		if (this._widgetRootElement.getElement('#HDSupplyDetail_video_panel')) {
			this._video_panel.hide();
			if (this._widgetRootElement.getElement('#HDSupplyDetail_video_Youtube_iframe'))
				this._doYoutubeDestroy();
			this._createBtnVideo();
		}
		this._images_panel.show();
	},
	
	_onClickBtnVideo : function(e)
	{
		this._onDisposeMediaButtons();
		if (Browser.Platform.mobile && this._widgetRootElement.getElement('#HDSupplyDetail_description_container').getElements('div').length !== 0) {
			this._details.hide();
			this._media.show();
			this._createBtnDetails();
		}
		if (this._widgetRootElement.getElement('#HDSupplyDetail_images_panel')) {
			this._images_panel.hide();
			this._createBtnImages();
		}
		this._video_panel.show();
		this._doYoutubeCreate();
	},
	



	
	_ie_comma_safety : 0	// Keep as last member of class (doesn't have trailing comma)
});
