// ----------------------------------------------------------------------------
// This View handles the Template Component
// ----------------------------------------------------------------------------
OrigamiIframe = new Class(
{
   Extends : DialogView,
	
	// ************************************************************************
	// ************************************************************************
	//     LIST OF ASSETS TO LOAD DYNAMICALLY
	// ************************************************************************
	// ************************************************************************

	// ------------------------------------------------------------------------
	// These functions return true if the <DynamicComponentName>-core.txt or 
	// <DynamicComponentName>-lang.txt files are present.
	// ------------------------------------------------------------------------
	hasSkinCoreAsset : function(){return true;},
	hasSkinLangAsset : function(){return false;},

	// ************************************************************************
	// ************************************************************************
	//     MEMBERS VARIABLES
	// ************************************************************************
	// ************************************************************************	
	
	// ********** Declare variables which you will attach to content here **********
	_content : null,
	_iframe : null,

	_customUrlProtocol : null,
	_customUrlArgs : null,
	_customUrlRoot : null,
	_customUrlRootMap :  null,
	
	// ************************************************************************
	// ************************************************************************
	//     CONSTRUCTOR
	// ************************************************************************
	// ************************************************************************	

	initialize : function()
	{
		this.parent('OrigamiIframe', this);
		
		this._customUrlProtocol = Skin.getInstance().getPlatformStyle('CustomUrlProtocol','');
		this._customUrlArgs = decodeURIComponent(Skin.getInstance().getPlatformStyle('CustomUrlArgs',''));
		this._customUrlRoot = CommandLine.getInstance().get('origin','');
		if (this._customUrlRoot == '')
			this._customUrlRoot = CommandLine.getInstance().get('CustomUrlRoot','');
		if (this._customUrlRoot != '')
		{
			this._customUrlRoot = decodeURIComponent(this._customUrlRoot);
			this._customUrlRootMap = Skin.getInstance().getPlatformStyle('CustomUrlRootMap','');
			if (this._customUrlRootMap != '')
			{
				for (var i=0; i<this._customUrlRootMap.length; i++)
				{
					if (this._customUrlRootMap[i].Key == this._customUrlRoot)
					{
						this._customUrlRoot = this._customUrlRootMap[i].Map;
						break;
					}
				}
			}
		}
		if (this._customUrlRoot == '')
			this._customUrlRoot = Skin.getInstance().getPlatformStyle('CustomUrlRoot','');
	},

	// ------------------------------------------------------------------------
	// This is a proxy for the UIMediator listNotificationInterests function.
	// 
	// This function returns the list of notifications to register this view for.
	//
	// @return {String[]} - the array of notification names to act upon.
	// ------------------------------------------------------------------------
	listNotificationInterests : function()
	{
		return	[
					ApplicationFacade.ORIENTATION_CHANGED,
				];
	},

	// ------------------------------------------------------------------------
	// This is a proxy for the UIMediator handleNotification function.
	//
	// This function is called to handle all notifications listed in the 
	// listNotificationInterests function
	//
	// Arguments:
	//     notification (Notification) - The notification to act upon
	// ------------------------------------------------------------------------
	handleNotification : function(notification)
	{
		switch(notification.getName())
		{
			case ApplicationFacade.ORIENTATION_CHANGED:
				this._onResize();
				break;
		}
	},
	
	
	// ------------------------------------------------------------------------
	// After LoadComponentCommand instantiates the component, then this function
	// is called to pass the arguments and actually create the DOM objects.
	//
	// Arguments: 
	//     theBasePath (String) - Contains the component base path
	//     theDialogData (Object) - Contains argument data for the dialog
	// ------------------------------------------------------------------------
	init : function(theBasePath, theDialogData)
    {
		var check_mobile = Skin.getInstance().get("OrigamiIframeMobile");
		if (check_mobile == 'no')
		{
			if (Browser.Platform.mobile) // || Browser.ie to have IE behave the same as mobile
			{
				var parentUrl = location.search.split('parentUrl=')[1];
				var theUrlFind = this._getCustomUrl(theDialogData.find('url').text());
				var theUrl1 = 'https://'+parentUrl+theUrlFind;
				Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl1, source:'OrigamiIframe'});
				return;
				return;
			}
		}

		var check_cordova = Skin.getInstance().get("OrigamiIframeCordova");
		if (check_cordova == 'no')
		{
			if (window.cordova)
			{
				var parentUrl = location.search.split('parentUrl=')[1];
				var theUrlFind = this._getCustomUrl(theDialogData.find('url').text());
				var theUrl1 = 'https://'+parentUrl+theUrlFind;
				Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl1, source:'OrigamiIframe'});
				return;
			}
		}
		
		var check_facebook = Skin.getInstance().get("OrigamiIframeFacebook");
		if (check_facebook == 'no')
		{
			if (this._appState.get(fromCommandLineArg) == 'Facebook')
			{
				var parentUrl = location.search.split('parentUrl=')[1];
				var theUrlFind = this._getCustomUrl(theDialogData.find('url').text());
				var theUrl1 = 'https://'+parentUrl+theUrlFind;
				Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl1, source:'OrigamiIframe'});
				return;
			}
		}
		
		var check_ie = Skin.getInstance().get("OrigamiIframeIE");
		if (check_ie == 'no')
		{
			if (Browser.IE)
			{
				var parentUrl = location.search.split('parentUrl=')[1];
				var theUrlFind = this._getCustomUrl(theDialogData.find('url').text());
				var theUrl1 = 'https://'+parentUrl+theUrlFind;
				Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl1, source:'OrigamiIframe'});
				return;
			}
		}
		
		var check_tablet7 = Skin.getInstance().get("OrigamiIframeTablet7");
		if (check_tablet7 == 'no')
		{
			if (Browser.Platform.tablet7)
			{
				var parentUrl = location.search.split('parentUrl=')[1];
				var theUrlFind = this._getCustomUrl(theDialogData.find('url').text());
				var theUrl1 = 'https://'+parentUrl+theUrlFind;
				Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl1, source:'OrigamiIframe'});
				return;
			}
		}
		
		var check_tablet = Skin.getInstance().get("OrigamiIframeTablet");
		if (check_tablet == 'no')
		{
			if (Browser.Platform.tablet)
			{
				var parentUrl = location.search.split('parentUrl=')[1];
				var theUrlFind = this._getCustomUrl(theDialogData.find('url').text());
				var theUrl1 = 'https://'+parentUrl+theUrlFind;
				Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl1, source:'OrigamiIframe'});
				return;
			}
		}
		
		var check_desktop = Skin.getInstance().get("OrigamiIframeDesktop");
		if (check_desktop == 'no')
		{
			if (Browser.Platform.desktop)
			{
				var parentUrl = location.search.split('parentUrl=')[1];
				var theUrlFind = this._getCustomUrl(theDialogData.find('url').text());
				var theUrl1 = 'https://'+parentUrl+theUrlFind;
				Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl1, source:'OrigamiIframe'});
				return;
			}
		}
		if (!Browser.Platform.tablet)
		{
			this.parent(theDialogData,
			{
				basePath : theBasePath,
				title:  '',
				width:  Skin.getInstance().getNumber('OrigamiIframeWidth', 750),
				height: Skin.getInstance().getNumber('OrigamiIframeHeight', 610),
				isResizable: Skin.getInstance().get('OrigamiIframeResizable', false),
				_ie_comma_safety : 0	// Keep as last option (doesn't have trailing comma)
			});
		}
		else
		{
			this.parent(theDialogData,
			{
				basePath : theBasePath,
				title:  '',
				width:  Skin.getInstance().getNumber('OrigamiIframeWidth_iPad', 750),
				height: Skin.getInstance().getNumber('OrigamiIframeHeight_iPad', 610),
				isResizable: Skin.getInstance().get('OrigamiIframeResizable', false),
				_ie_comma_safety : 0	// Keep as last option (doesn't have trailing comma)
			});
		}

	},

	// ************************************************************************
	// ************************************************************************
	//     PROTECTED FUNCTIONS
	// ************************************************************************
	// ************************************************************************

	
	// ------------------------------------------------------------------------
	// The Dialog DOM content (if any) is loaded by the time this function is
	// called so here we create and add any extra UIComponents and attach
	// event listeners.
	// ------------------------------------------------------------------------
	_onContentLoaded : function()
	{		
		this.parent();		
		
		// ***********************************************************
		// ********** Attach variables to your content here **********
		// ***********************************************************
		// Example: this._imageBtn = this._widgetRootElement.getElement('#Template_image_btn');

			this._content = this._widgetRootElement.getElement('#OrigamiIframe_DialogContent');
			this._iframe = this._widgetRootElement.getElement('#OrigamiIframe_IFrame');
			this._textBtn1 = this._widgetRootElement.getElement('#OrigamiIframe_text_btn1');
			var btn_icon = '<span id="OrigamiIframe_View_Btn" class="glyphicon glyphicon-new-window">&nbsp;</span>';
			var btn_view = Skin.getInstance().get('IFrameViewFull', 'View Full Website');
			this._widgetRootElement.getElement('#OrigamiIframe_text_btn1').set('html', Skin.getInstance().get(btn_icon+'OrigamiIframe_View_Btn', btn_icon+btn_view));

			if (!Browser.Platform.tablet)
			{			
				var OrigamiIframe_FrameWidth = Skin.getInstance().get("OrigamiIframe_FrameWidth");
				var OrigamiIframe_FrameHeight = Skin.getInstance().get("OrigamiIframe_FrameHeight");
				this._iframe.setStyles({'width': ''+ OrigamiIframe_FrameWidth +''});
				this._iframe.setStyles({'height':''+ OrigamiIframe_FrameHeight +''});
			}
			else
			{			
				var OrigamiIframe_FrameWidth = Skin.getInstance().get("OrigamiIframe_FrameWidth_iPad");
				var OrigamiIframe_FrameHeight = Skin.getInstance().get("OrigamiIframe_FrameHeight_iPad");
				this._iframe.setStyles({'width': ''+ OrigamiIframe_FrameWidth +''});
				this._iframe.setStyles({'height':''+ OrigamiIframe_FrameHeight +''});
			}
			var parentUrl = location.search.split('parentUrl=')[1];
			this._iframe.src = 'https://'+parentUrl+this._getCustomUrl(this._data.find('url').text());

			if (!Browser.Platform.tablet)
			{
				var OrigamiIframe_Xcoord = Skin.getInstance().getNumber('OrigamiIframeScrollToX')

				if (OrigamiIframe_Xcoord < 0)
					this._iframe.setStyles({'left':''+ OrigamiIframe_Xcoord + 'px'});
				else
					this._iframe.setStyles({'left':'0px'});

				if (OrigamiIframe_Xcoord < 0)
				{				
					this._content.scrollTo(
					0,
					Skin.getInstance().getNumber('OrigamiIframeScrollToY', 133));
				}
				else
				{
					this._content.scrollTo(
					OrigamiIframe_Xcoord,
					Skin.getInstance().getNumber('OrigamiIframeScrollToY', 133));
				}
			}
			else
			{
				var OrigamiIframe_Xcoord = Skin.getInstance().getNumber('OrigamiIframeScrollToX_iPad')

				if (OrigamiIframe_Xcoord < 0)
					this._iframe.setStyles({'left':''+ OrigamiIframe_Xcoord + 'px'});
				else
					this._iframe.setStyles({'left':'0px'});

				if (OrigamiIframe_Xcoord < 0)
				{				
					this._content.scrollTo(
					0,
					Skin.getInstance().getNumber('OrigamiIframeScrollToY_iPad', 133));
				}
				else
				{
					this._content.scrollTo(
					OrigamiIframe_Xcoord,
					Skin.getInstance().getNumber('OrigamiIframeScrollToY_iPad', 133));
				}				
			}

			this._textBtn1.addEvent('click', this._onExampleBtnClick1.bind(this));
			this._textBtn1.mooTouchAdd({'click':true});

			if (!Browser.Platform.tablet)
			{
				var _overflowx = Skin.getInstance().get("OrigamiIframeHorizontalScrollBar");
				var _overflowy = Skin.getInstance().get("OrigamiIframeVerticalScrollBar");
				if (_overflowy == 'hidden')
					this._iframe.setAttribute('scrolling', 'no');
				this._content.setStyles({'overflow-y': ''+ _overflowy +''});
				this._content.setStyles({'overflow-x': ''+ _overflowx +''});
			}
			else
			{
				var _overflowx = Skin.getInstance().get("OrigamiIframeHorizontalScrollBar_iPad");
				var _overflowy = Skin.getInstance().get("OrigamiIframeVerticalScrollBar_iPad");
				if (_overflowy == 'hidden')
					this._iframe.setAttribute('scrolling', 'no');
				this._content.setStyles({'overflow-y': ''+ _overflowy +''});
				this._content.setStyles({'overflow-x': ''+ _overflowx +''});
			}
			this._show();			

	},
	
	_onExampleBtnClick1 : function(e)
	{
		var parentUrl = location.search.split('parentUrl=')[1];
		var theUrl1 = 'https://'+parentUrl+this._data.find('url').text();
		Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl1, source:'OrigamiIframe'});
	},	
	
	// ****************************************
	// Format of napa protocol link is:
	//
	//     napa:www.dirxion.com?arg1&arg2 ...
	//
	//                 or
	//
	//     napa:arg1&arg2 ...     (This is the format currently in use by napa)
	//
	//                 or
	//
	//     napa:www.dirxion.com   (This format valid only with custom url arguments to append - can not have custom url root replacement)
	//
	// In other words, there is a destination url address with arguments.  Either the destination url or arguments may be omitted
	//
	// If a custom url root has been set, then the destination url will be replaced by this value.  A custom url root with arguments
	// must end with the argument delimiter character.  
	//
	// If no custom url root has been provided, then the destination url is left alone.
	//
	// If custom url arguments have been set, then these arguments will be appended
	//
	// A special case exists for destination links of the following form
	//
	//     msc::73249625
	//
	// The extra : character after the protocol indicates that the custom url root is prepended in place of the extra : as is
	// without performing the argument delimiter logic.  This format is initially being used to support MSC during development
	// of their new site.  
	//
	// For old site the default strCustomUrlRoot in core.php will be:
	//     http://www1.mscdirect.com/CGI/INPDF?PMAKA=
	// For new site they must pass an argument of the form origin=beta which will be mapped to one of the arraCustomUrlRootMap values
	// 
	// 
	// ****************************************
	
	_getCustomUrl : function(url)
	{
		var i, protocol;
	
		// Extract the protocol field
		protocol = '';
		i = url.indexOf(':');
		if (i != -1)
			protocol = url.substr(0,i);
			
		// We do not want to append custom arguments to internal app links so just return the url.
		if (protocol == 'app')
			return url;
		
		if ((this._customUrlProtocol=='') || (this._customUrlProtocol==protocol))
		{
			if (i != -1)
				url = url.substr(i+1);
		
			if (protocol=='znet') // Work around for Autozone
			{
				var req = new XMLHttpRequest();
				req.open('GET', document.location, false);
				req.send(null);
				viaval = req.getResponseHeader('Via');

				var re = new RegExp(/s[0-9]+/);
				if(re.test(viaval))
				{
					var via = viaval.match(re);
					if (via[0] != undefined)
						viaval = 'storeid=' + via[0]; 
				}
				else
					viaval = '';
				this._customUrlProtocol = '';
				this._customUrlArgs = viaval;
			}

			// If custom url callback root has been provided, then strip out any url root in the link and replace it.
			if (this._customUrlRoot != '')
			{
				if (url.substr(0,1) == ':')
				{
					// This is the case supporting a protocol with extra : character indicating that we should prepend the
					// custom url root without performing the delimiter logic.  This format is initially being use to
					// support MSC during development of their new site
					url = this._customUrlRoot + url.substr(1);
				}
				else
				{
					i = url.indexOf('?');
					if (i != -1)
					{
						if (this._customUrlRoot.indexOf('?')!=-1)
							url = this._customUrlRoot + url.substr(i+1);		// Custom link with arguments (must end with argument delimiter)/Destination link with arguments
						else
							url = this._customUrlRoot + url.substr(i);			// Custom link no arguments/Destination link with arguments
					}
					else
					{
						// If we are here, then we must have arguments only
						if (this._customUrlRoot.indexOf('?')!=-1)
							url = this._customUrlRoot + url;					// Custom link with arguments (must end with argument delimiter)/Destination arguments only
						else
							url = this._customUrlRoot + '?' + url;				// Custom link with no arguments/Destination arguments only
					}
				}
			}
	
			// If url already has arguments prepend '&' for new argument delimiter otherwise prepend '?' for initial argument delimiter
			if (this._customUrlArgs != '')
			{
				if (url.indexOf('?') == -1)
					url = url + '?';
				else
					url = url + '&';
				url += this._customUrlArgs;
			}
			var theCustomUrlParams = this._getCustomUrlParams();
			if (theCustomUrlParams != '')
			{
				if (url.indexOf('?') == -1)
					url = url + '?';
				else
					url = url + '&';
				url += theCustomUrlParams;
			}
			// Only keep the protocol if it was not a custom protocol
			if ((this._customUrlProtocol=='') && (protocol!=''))
				url = protocol + ':' + url;
		}
		return url;
	},	
	// ------------------------------------------------------------------------
	// This function uses the 'CustomUrlParams' skin setting to find custom url
	// parameters passed in on the command line.  These parameter key/values are 
	// stripped off and passed back as a string of url arguments which can be appended 
	// to a url to be passed on through with the url.
	// ------------------------------------------------------------------------
	_getCustomUrlParams : function()
	{
		var i, theParam, theCustomUrlParamsArray, theExtractedCustomUrlParams;
		theExtractedCustomUrlParams = '';
		theCustomUrlParamsArray = Skin.getInstance().getPlatformStyle('CustomUrlParams',null);
		if (theCustomUrlParamsArray)
		{
			for (i=0; i<theCustomUrlParamsArray.length; i++)
			{
				theParam = CommandLine.getInstance().get(theCustomUrlParamsArray[i], null);
				if (theParam)
				{
					if (i>0)
						theExtractedCustomUrlParams += '&';
					theExtractedCustomUrlParams += theCustomUrlParamsArray[i] + '=' + theParam;
				}
			}
		}
		return theExtractedCustomUrlParams;
	},
	
	_ie_comma_safety : 0	// Keep as last member of class (doesn't have trailing comma)
});

// ****************************************************************************
// ****************************************************************************
// Constants used to register and identify custom PureMVC events
// ****************************************************************************
// ****************************************************************************
