// ----------------------------------------------------------------------------
// This View handles the Obsolete Cart
// ----------------------------------------------------------------------------
ProFaceWishlist = new Class(
{
	Extends : DialogView,

	// ************************************************************************
	// ************************************************************************
	//     MEMBERS VARIABLES
	// ************************************************************************
	// ************************************************************************	
	
	_appState : null,
	_items : new Array(),
	_itemAdded : null,
	
	_itemNameArray : null,
	_productIdArray : null,

	// ********** Add variables for each data field here **********
	
	_emailPanel : null,
/*	_emailPanelFromName : null,
	_emailPanelFromEmail : null,
*/	_emailPanelToName : null,
	_emailPanelToEmail : null,
	_emailPanelToCompanyName : null,
	_emailPanelToZip : null,
	_emailPanelNotes : null,

	_sentPanel : null,
	_listPanel : null,
	_addPanel : null,
	_orderPanel : null,
	
	_buttonContainer : null,
	_buttonActionCenter : null,
	
	_emptyMessage: null,
	_emailBtn : null,
	_printBtn : null,
	_orderBtn : null,
	_backBtn : null,
	_back_sentBtn : null,
	_back_orderBtn : null,
	_sendBtn : null,
	_send_orderBtn : null,
	_addBtn : null,
	_cancelBtn : null,
	_continueBtn : null,
	_clearallBtn : null,
	_editBtn : null,
	_doneBtn : null,
	_placeBtn : null,
	
	_shipMatchesBillingYRdoBtn : null,
	_shipMatchesBillingNRdoBtn : null,

	_cancel_container : null,
	_add_container : null,
	_length_warning : null,
	_continue_container : null,
	_emailOrder_container : null,
	_send_container : null,
	_sendorder_container : null,
	_place_container : null,

	_incButton : null,
	_decButton : null,

	_mooTouchScroller : null,

	_applicationViewElement : null,
	_book : null,
	
	_dialogWidth : null,
	_dialogHeight : null,

	_fields : null,


	// ************************************************************************
	// ************************************************************************
	//     CONSTRUCTOR
	// ************************************************************************
	// ************************************************************************	

	initialize : function()
	{
		this.parent('ProFaceWishlist', this);
	},

    init : function(theBasePath, theDialogData)
    {		

		//View Port Globals
		var viewportWidth = jQuery(window).width();
		var viewportHeight = jQuery(window).height();

		this._applicationViewElement = $('ApplicationView');
		var appSize = this._applicationViewElement.measure(function(){return this.getSize();});
		var appWidth = appSize.x;
		var appHeight = appSize.y;
		
		this._fields = 5;

		/***** RMG 01/15/2014 - Changed to use the DialogView portrait/landscape mechanism
		if (theDialogData)
		{
			_dialogWidth = 320;
			_dialogHeight = 200;
		}
		else
		{
			if (Browser.Platform.tablet) {
				_dialogHeight = viewportHeight - 54;
				_dialogWidth = viewportWidth - 4;
			}
			else if (appWidth < 1025) {
				_dialogWidth = viewportWidth - 4;
				_dialogHeight = viewportHeight - 37;
			}
			else {
				_dialogHeight = appHeight - 37;
				_dialogWidth = 960;	
			};
		}
		*****/
		var portraitWidth, portraitHeight, landscapeWidth, landscapeHeight;
		if (DeviceMgr.getInstance().isOrientationPortrait())
		{
			portraitWidth = DeviceMgr.getInstance().getOrientationScreenWidth()*window.devicePixelRatio;
			portraitHeight = DeviceMgr.getInstance().getOrientationScreenHeight()*window.devicePixelRatio;
		}
		else
		{
			portraitWidth = DeviceMgr.getInstance().getOrientationScreenHeight()*window.devicePixelRatio;
			portraitHeight = DeviceMgr.getInstance().getOrientationScreenWidth()*window.devicePixelRatio;
		}
		landscapeWidth = portraitHeight;
		landscapeHeight = portraitWidth;

		if (theDialogData)
		{
			// Add to Cart dialog size
			portraitWidth = 320;
			portraitHeight = 150;
			landscapeWidth = 320;
			landscapeHeight = 150;
		}
		else if (Browser.Platform.desktop)
		{
			// Cart dialog size for desktop
			portraitWidth = 960;
			portraitHeight = appHeight - 37
			landscapeWidth = portraitWidth;
			landscapeHeight = portraitHeight;
		}
		else
		{
			// Cart dialog size for tablet and mobile forced to full screen
			portraitWidth = 9999;
			portraitHeight = 9999;
			landscapeWidth = 9999;
			landscapeHeight = 9999;		
		}
		
		this.parent(theDialogData,
		{
			basePath:           theBasePath,
			title:              Skin.getInstance().get('CartDialogTitle', 'Wishlist'),
			// RMG 01/15/2014 - Changed to use the DialogView portrait/landscape mechanism
			//width:              _dialogWidth,
			//height:				_dialogHeight,
			portraitWidth:		portraitWidth,
			portraitHeight:     portraitHeight,
			landscapeWidth:		landscapeWidth,
			landscapeHeight:	landscapeHeight,
			isDraggable:		false,
			hasFooter:          false,
			isModal: 			true,
			_ie_comma_safety : 0	// Keep as last option (doesn't have trailing comma)
		});	
	},

	// ************************************************************************
	// ************************************************************************
	//     PROTECTED FUNCTIONS
	// ************************************************************************
	// ************************************************************************

	// ------------------------------------------------------------------------
	// The Dialog DOM content (if any) is loaded by the time this function is
	// called so here we create and add any extra UIComponents and attach
	// event listeners.
	// ------------------------------------------------------------------------
	_onContentLoaded : function()
	{	
		this.parent();		

		this._emailPanel = this._widgetRootElement.getElement('#ProFaceWishlist_EmailPanel');
		this._sentPanel = this._widgetRootElement.getElement('#ProFaceWishlist_SentPanel');
		this._listPanel = this._widgetRootElement.getElement('#ProFaceWishlist_ListPanel');
		this._orderPanel = this._widgetRootElement.getElement('#ProFaceWishlist_OrderPanel');
		this._addPanel = this._widgetRootElement.getElement('#ProFaceWishlist_AddPanel');
		this._buttonContainer = this._widgetRootElement.getElement('#ProFaceWishlist_button_container');
		this._buttonActionCenter = this._widgetRootElement.getElement('#ProFaceWishlist_button_container .actionCenter');

		this._emptyMessage = this._widgetRootElement.getElement('#ProFaceWishlist_ListPanel_Empty');
		this._emailBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_email');
		this._memailBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_memail');
		this._printBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_print');		
		this._orderBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_order');
		this._backBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_back');
		this._back_sentBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_back_sent');
		this._back_orderBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_back_order');
		this._sendBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_send');
		this._send_orderBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_sendorder');
		this._placeBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_place');
		this._addBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_add');
		this._cancelBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_cancel');
		this._continueBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_continue');
		this._clearallBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_clearall');
		this._mclearallBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_mclearall');
		this._editBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_edit');
		this._doneBtn = this._widgetRootElement.getElement('#ProFaceWishlist_button_done');
		this._shipMatchesBillingYRdoBtn = this._widgetRootElement.getElement('#shipmatchesbill1');
		this._shipMatchesBillingNRdoBtn = this._widgetRootElement.getElement('#shipmatchesbill2');

		this._cancel_container = this._widgetRootElement.getElement('#ProFaceWishlist_cancel_container');
		this._add_container = this._widgetRootElement.getElement('#ProFaceWishlist_add_container');
		this._length_warning = this._widgetRootElement.getElement('#ProFaceWishlist_length_warning');
		this._continue_container = this._widgetRootElement.getElement('#ProFaceWishlist_continue_container');
		this._emailOrder_container = this._widgetRootElement.getElement('#ProFaceWishlist_emailOrder_container');
		this._send_container = this._widgetRootElement.getElement('#ProFaceWishlist_send_container');
		this._sendorder_container = this._widgetRootElement.getElement('#ProFaceWishlist_sendorder_container');
		this._place_container = this._widgetRootElement.getElement('#ProFaceWishlist_place_container');

		this._incButton = this._widgetRootElement.getElement('#ProFaceWishlist_increment');
		this._decButton = this._widgetRootElement.getElement('#ProFaceWishlist_decrement');
		
//		var backchevron = '<span class="glyphicon glyphicon-chevron-left">&nbsp;</span>';
		
		this._widgetRootElement.getElement('#ProFaceWishlist_button_email').set('html', Skin.getInstance().get('Cart_Email', 'Email'));
		this._widgetRootElement.getElement('#ProFaceWishlist_button_order').set('html', Skin.getInstance().get('Cart_Checkout', 'Checkout'));
		this._widgetRootElement.getElement('#ProFaceWishlist_button_continue').set('html', Skin.getInstance().get('Cart_Continue', 'Continue Shopping'));
		this._widgetRootElement.getElement('#ProFaceWishlist_button_send').set('html', Skin.getInstance().get('Cart_Send', 'Send'));	
		this._widgetRootElement.getElement('#ProFaceWishlist_button_sendorder').set('html', Skin.getInstance().get('Cart_SubmitOrder', 'Submit'));
//		this._widgetRootElement.getElement('#ProFaceWishlist_button_back').set('html', Skin.getInstance().get('Cart_Back', backchevron+'Back'));	
//		this._widgetRootElement.getElement('#ProFaceWishlist_button_back_order').set('html', Skin.getInstance().get('Cart_BackOrder', backchevron+'Back'));	
		this._widgetRootElement.getElement('.ProFaceWishlist_button_back_text').set('html', Skin.getInstance().get('Cart_Back', 'Back'));		
		this._widgetRootElement.getElement('.ProFaceWishlist_button_back_order_text').set('html', Skin.getInstance().get('Cart_BackOrder', 'Back'));
		this._widgetRootElement.getElement('#ProFaceWishlist_button_memail').set('html', Skin.getInstance().get('Cart_Mobile_Email', 'Email'));
		this._widgetRootElement.getElement('#ProFaceWishlist_button_mclearall').set('html', Skin.getInstance().get('Cart_Mobile_Clear', 'Clear'));
		this._widgetRootElement.getElement('#ProFaceWishlist_button_edit').set('html', Skin.getInstance().get('Cart_Edit', 'Edit'));
		this._widgetRootElement.getElement('#ProFaceWishlist_button_done').set('html', Skin.getInstance().get('Cart_Done', 'Done'));
		this._widgetRootElement.getElement('#ProFaceWishlist_button_cancel').set('html', Skin.getInstance().get('Cart_Cancel', 'Cancel'));
		this._widgetRootElement.getElement('#ProFaceWishlist_button_add').set('html', Skin.getInstance().get('Cart_Add', 'Add to Wishlist'));
		
		// ********** Add event handlers (don't forget mooTouchAdd) **********
		this._emailBtn.addEvent('click', this._onClickEmail.bind(this));
		this._memailBtn.addEvent('click', this._onClickEmail.bind(this));
		this._printBtn.addEvent('click', this._onClickPrint.bind(this));		
		this._orderBtn.addEvent('click', this._onClickOrder.bind(this));
		this._backBtn.addEvent('click', this._onClickBack.bind(this));
		this._back_sentBtn.addEvent('click', this._onClickBack.bind(this));
		this._back_orderBtn.addEvent('click', this._onClickBack.bind(this));
		this._sendBtn.addEvent('click', this._onClickSend.bind(this));
		this._send_orderBtn.addEvent('click', this._onClickSendOrder.bind(this));
		this._addBtn.addEvent('click', this._onClickAdd.bind(this));
		this._cancelBtn.addEvent('click', this._onCancel.bind(this));
		this._continueBtn.addEvent('click', this._onContinue.bind(this));
		this._clearallBtn.addEvent('click', this._onClearAll.bind(this));
		this._mclearallBtn.addEvent('click', this._onClearAll.bind(this));
		this._shipMatchesBillingYRdoBtn.addEvent('click', this._onShipMatchesBilling.bind(this));
		this._shipMatchesBillingNRdoBtn.addEvent('click', this._onShipDoesntMatchBilling.bind(this));

		this._emailBtn.mooTouchAdd({'click':true});
		this._memailBtn.mooTouchAdd({'click':true});
		this._printBtn.mooTouchAdd({'click':true});
		this._orderBtn.mooTouchAdd({'click':true});
		this._placeBtn.mooTouchAdd({'click':true});
		this._backBtn.mooTouchAdd({'click':true});
		this._back_sentBtn.mooTouchAdd({'click':true});
		this._back_orderBtn.mooTouchAdd({'click':true});
		this._sendBtn.mooTouchAdd({'click':true});
		this._send_orderBtn.mooTouchAdd({'click':true});
		this._addBtn.mooTouchAdd({'click':true});
		this._cancelBtn.mooTouchAdd({'click':true});
		this._continueBtn.mooTouchAdd({'click':true});
		this._clearallBtn.mooTouchAdd({'click':true});
		this._mclearallBtn.mooTouchAdd({'click':true});
		this._editBtn.mooTouchAdd({'click':true});
		this._doneBtn.mooTouchAdd({'click':true});
		this._shipMatchesBillingYRdoBtn.mooTouchAdd({'click':true});
		this._shipMatchesBillingNRdoBtn.mooTouchAdd({'click':true});

		this._incButton.mooTouchAdd({'click':true});
		this._decButton.mooTouchAdd({'click':true});
		
//		this._mooTouchScroller = this._listPanel.mooTouchAdd({'scroll':true});
//		this._widgetRootElement.getElement('#ProFaceWishlist_ListPanel_theListContainer').mooTouchAdd({'scroll':true});
	
//		this._setStyleForLangResource(this._emailBtn,   'background-image', 'ProFaceWishlistEmailBtnPath');
//		this._setStyleForLangResource(this._memailBtn,   'background-image', 'ProFaceWishlistEmailBtnPath');
		this._setStyleForLangResource(this._printBtn,   'background-image', 'ProFaceWishlistPrintBtnPath');
//		this._setStyleForLangResource(this._orderBtn,   'background-image', 'ProFaceWishlistOrderBtnPath');
		this._setStyleForLangResource(this._placeBtn,   'background-image', 'ProFaceWishlistPlaceBtnPath');
//		this._setStyleForLangResource(this._backBtn,    'background-image', 'ProFaceWishlistBackBtnPath');
		this._setStyleForLangResource(this._back_sentBtn,    'background-image', 'ProFaceWishlistBackBtnPath');
//		this._setStyleForLangResource(this._back_orderBtn,    'background-image', 'ProFaceWishlistBackBtnPath');
		this._setStyleForLangResource(this._sendBtn,    'background-image', 'ProFaceWishlistSendBtnPath');
//		this._setStyleForLangResource(this._send_orderBtn,    'background-image', 'ProFaceWishlistSendBtnPath');
//		this._setStyleForLangResource(this._addBtn,     'background-image', 'ProFaceWishlistAddBtnPath');
//		this._setStyleForLangResource(this._cancelBtn,  'background-image', 'ProFaceWishlistCancelBtnPath');
//		this._setStyleForLangResource(this._continueBtn,'background-image', 'ProFaceWishlistContinueBtnPath');
		this._setStyleForLangResource(this._clearallBtn,'background-image', 'ProFaceWishlistClearAllBtnPath');
		this._setStyleForLangResource(this._mclearallBtn,'background-image', 'ProFaceWishlistClearAllBtnPath');
		this._setStyleForLangResource(this._editBtn,    'background-image', 'ProFaceWishlistEditBtnPath');
		this._setStyleForLangResource(this._doneBtn,    'background-image', 'ProFaceWishlistDoneBtnPath');
/*		
		function touchScroll(_listPanel){
      var scrollStartPos = 0;
      $(_listPanel).live('touchstart', function(event) {
        scrollStartPos = this.scrollTop + event.originalEvent.touches[0].pageY;
      });
      $(_listPanel).live('touchmove', function(event) {
        this.scrollTop = scrollStartPos - event.originalEvent.touches[0].pageY;
      });
}
*/
		this._items = Preferences.getInstance().get('Cart');
		if (this._items === undefined)
			this._items = [];

		if (this._data)
		{
			this.width = 300;
			this._onAddList();
		}
		else
		{
			this._updateCount();
			this._onClickList();
		}

		this._buttonContainer.show();

		this._show();
		// Dialog had to be visible before we arrange footer dialog buttons
		this._ProFaceWishlist_Behaviors();
		this._doButtonContainerLayout();
	},

	// ------------------------------------------------------------------------
	// Put any code which needs to be executed when the dialog is closed here
	// ------------------------------------------------------------------------
	onClose : function()
	{
		Facade.getInstance().removeMediator(this.mediatorName);
		this._popUpWindow.onClose();
		(function()
		{
			// This cancel is necessary to avoid an error in IE8
			this._popUpWindow.getWindowDiv().get('tween').cancel();
			this._widgetRootElement.destroy();
		}).delay(250, this);

		Preferences.getInstance().flush();
		this.parent();
	},
	
	_onCancel : function()
	{
		this._popUpWindow.close();
	},

	_onContinue : function()
	{
		this._popUpWindow.close();
	},
	
	// ************************************************************************
	// ************************************************************************
	//
	// ************* Add Custom Functions and Event Handlers here *************
	//
	// ************************************************************************
	// ************************************************************************
	_remItem : function(e)
	{
		var theItem = e.target;
		var theButtonId = theItem.get('id');
		var theItemId = theButtonId.substr(theButtonId.lastIndexOf('_')+1);
		var theLineId = 'ProFaceWishlist_ListPanel_itemwrapper_'+theItemId;
		this._listElement = $(theLineId);
		var theItemWrapper = this._listElement.getElementById(theButtonId);
		theItemWrapper.destroy();
		this._items.splice(theItemId, 1);
		this._updateCount();
		this._displayItems();
		this._keepEditState();
		if (this._items.length == 0)
		{ 
			this._orderBtn.hide();
		}		
	},
	
	_onPageClick : function(event)
	{
		
		event.preventDefault();
		var theItemLink = event.target.get('href');

		this._popUpWindow.close();

		Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theItemLink});
	},

	_onClickAdd : function(e)
	{
		if (!this._data)
			return;
			
		this._emailElement = this._widgetRootElement.getElement('#ProFaceWishlist_fields');
		var element = this._emailElement.getElementById('ProFaceWishlist_quantity');
		var qty = element.value;



		var theBook = this._appState.get(currentBook);
		var theBookList = this._appState.get(currentBookList);
		var theBookIndex = theBookList.getBookListIndex(theBook.bookCode);
		var theBookListEntry = theBookList.getBookListEntry(theBookIndex);
		var theBookPageIndex = this._appState.get(currentBookPageDest).BookPageIndex;
		var theBookTitle =  theBookListEntry.title;
		var theBookCover = theBookListEntry.thumbnailBig;
		var theBookCoverUrl = theBookListEntry.getBookFolder(false) + theBookListEntry.thumbnailBig;
		//alert(theBookCoverUrl);
		var oem, sku, description, unit, price, bookcode, pagelabel, booktitle;


		this._itemAdded = oem = this._data.find('oem').text();
		sku = this._data.find('partnumber').text();
		description = this._data.find('description').text();
		unitlength = this._data.find('length').text();	
		if (unitlength != '0')
		{
			unitlength = 'N/A';
		}			
		price = this._data.find('parttitle').text();
		unit = this._data.find('unit').text();
		bookcode = theBook.bookCode;
		booktitle = theBookTitle;
		bookcover = theBookCoverUrl;
		pagelabel = theBook.getPageLabel(theBookPageIndex);

		var notInList = true;
		for (var i = 0; i < this._items.length; i++)
		{
				if ( (this._items[i].sku == sku) && (this._items[i].description == description) && (this._items[i].oem == oem) )
					notInList = false;
		}
		if (notInList)
		{
			this._items.push({sku:sku, description:description, unit:unit, unitlength:unitlength, price:price, oem:oem, qty:qty, bookcode:bookcode, booktitle:booktitle, bookcover:bookcover, pagelabel:pagelabel});
			Preferences.getInstance().set('Cart', this._items);
			this._updateCount();
		}

		this._cancel_container.show();
		this._add_container.show();
		this._continue_container.hide();
		this._emailOrder_container.hide();
		this._send_container.hide();
		this._sendorder_container.hide();
		this._place_container.hide();

		this._emailBtn.hide();
		this._memailBtn.hide();
		this._printBtn.hide();
		this._orderBtn.hide();
		this._placeBtn.hide();

		this._popUpWindow.close();
	},
	
	_changeQty : function(e)
	{
		var theItem = e.target;
		var theButtonId = theItem.get('id');
		var theItemId = theButtonId.substr(theButtonId.lastIndexOf('_')+1);
		var theLineId = 'ProFaceWishlist_ListPanel_itemwrapper_'+theItemId;
		this._listElement = $(theLineId);
		//ProFaceWishlist_ListPanel_qty_1
		var theItemWrapper = this._listElement.getElementById(theButtonId);
		var newQty = theItemWrapper.value;
		//theItemWrapper.destroy();
		this._items[theItemId].qty = newQty;
	},
	
	_changeUL : function(e)
	{
		var theItem = e.target;
		var unitlength = theElementListUL.value
		var theButtonId = theItem.get('id');
		var theItemId = theButtonId.substr(theButtonId.lastIndexOf('_')+1);
		var theLineId = 'ProFaceWishlist_ListPanel_itemwrapper_'+theItemId;
		this._listElement = $(theLineId);
		//ProFaceWishlist_ListPanel_qty_1
		var theItemWrapper = this._listElement.getElementById(theButtonId);
		var newQty = theItemWrapper.value;
		//theItemWrapper.destroy();
		this._items[theItemId].unitlength = newQty;
	},	
	
	_updateCount : function()
	{
		var cnt = 0;
		this._items.each(function(item, index)
		{
			cnt += Number(item.qty);
		});
		this._appState.set(cartListCnt, cnt);
		
		this._items.sort(this._sortByDescription);
		
		Preferences.getInstance().flush(); // rems and adds weren't getting updated if user left dialog without closing it
		
		this._placeBtn.hide();
		
		// Hide/show/the empty cart image
		if (this._items.length == 0)
		{
			this._listPanel.addClass('ProFaceWishlist_EmptyCart');
			this._emailBtn.hide();
			this._memailBtn.hide();
			this._printBtn.hide();
			this._orderBtn.hide();
			this._clearallBtn.hide();
			this._mclearallBtn.hide();
			this._editBtn.hide();
			this._doneBtn.hide();
			this._emptyMessage.show();

		}
		else
		{
			this._listPanel.removeClass('ProFaceWishlist_EmptyCart');
			this._emailBtn.show();
			this._memailBtn.show();
			this._printBtn.hide();
			this._clearallBtn.show();
			this._mclearallBtn.show();
			this._editBtn.show();
			this._emptyMessage.hide();
		}
		this._doButtonContainerLayout();
	},
	
	// ------------------------------------------------------------------------
	// This is an array sort helper function which will sort an array of records
	// in ascending order by description name
	// ------------------------------------------------------------------------
	_sortByDescription : function(a, b)
	{
		if (a.description == b.description) return 0;
		if (a.description > b.description) return 1;
		return -1;
	},
	
	_displayItems : function()
	{
		var itemsText = '';
		
		this._items.sort(this._sortByDescription);

		var cart_currency = Skin.getInstance().get('CartCurrency', '$');
		
		for (var i = 0; i < this._items.length; i++)
		{
			itemsText += '<div id=\"ProFaceWishlist_ListPanel_itemwrapper_'+i+'\" class=\"ProFaceWishlist_ListPanel_item row\">';
			
			itemsText += '	<div class=\"ProFaceWishlist_ListPanel_crosslinkcolumn three columns\">';
			itemsText += '		<div id=\"ProFaceWishlist_ListPanel_'+i+'_wrapper\" class=\"ProFaceWishlist_ListPanel_cover_wrapper four columns\">'
			itemsText += '		<img class=\"ProFaceWishlist_ListPanel_cover\" src=\"'+this._items[i].bookcover+'\" />';
			itemsText += '		<a id=\"ProFaceWishlist_ListPanel_coverLink_'+i+'\" class="ProFaceWishlist_ListPanel_coverLink" href=\"app:BookCode='+this._items[i].bookcode+'&PageLabel='+this._items[i].pagelabel+'\"></a>';
			itemsText += '		</div>'
			itemsText += '		<a id=\"ProFaceWishlist_ListPanel_booktitle_'+i+'\" class=\"ProFaceWishlist_ListPanel_booktitle eight columns\" href=\"app:BookCode='+this._items[i].bookcode+'&PageLabel='+this._items[i].pagelabel+'\"">'+this._items[i].booktitle+'</a>';
			itemsText += '		<div id=\"ProFaceWishlist_ListPanel_page_'+i+'_wrapper\" class=\"ProFaceWishlist_ListPanel_page_wrapper eight columns\">';
			itemsText += '			<a id=\"ProFaceWishlist_ListPanel_page_'+i+'\" class=\"ProFaceWishlist_ListPanel_page\" href=\"app:BookCode='+this._items[i].bookcode+'&PageLabel='+this._items[i].pagelabel+'\">Page: '+this._items[i].pagelabel+'</a>';
			itemsText += '		</div>';
			itemsText += '	</div>'
			itemsText += '	<div class=\"ProFaceWishlist_ListPanel_detailscolumn three columns\">';
			itemsText += '		<div class=\"ProFaceWishlist_ListPanel_sku twelve columns\">Part#: '+this._items[i].sku+'</div>';
			itemsText += '	</div>';
			itemsText += '	<div class=\"ProFaceWishlist_ListPanel_detailscolumn three columns\">';
			itemsText += '		<div class=\"ProFaceWishlist_ListPanel_price twelve columns\">'+this._items[i].price+'</div>';
			itemsText += '	</div>';
			itemsText += '		<input type=\"text\" value=\"'+this._items[i].qty+'\" id=\"ProFaceWishlist_ListPanel_qty_'+i+'\" name=\"qty\" onclick=\"this.focus();this.select()\" class=\"ProFaceWishlist_ListPanel_qty two columns form-control\"/>';
			itemsText += '	<div class=\"ProFaceWishlist_ListPanel_delete one columns\">';
			itemsText += '		<div id="cart_item_'+i+'" class=\"ProFaceWishlist_ListPanel_remove glyphicon glyphicon-ban-circle glyph-primary\"></div>';
			itemsText += '	</div>';
			itemsText += '</div>';
			

		}
		this._listElement = this._widgetRootElement.getElement('#ProFaceWishlist_ListPanel_theList');
	    this._listElement.set('html', itemsText);
	    this._doFormSelect(this._listElement);
		var theElementList;

		//Loop through remove events
		theElementList = this._listElement.getElements('.ProFaceWishlist_ListPanel_remove');
		theElementList.each(function(item, index)
		{
			item.addEvent('click', this._remItem.bind(this));
			item.mooTouchAdd({'click':true});
		}.bind(this));

		//Loop through page link events
		theElementList = this._listElement.getElements('.ProFaceWishlist_ListPanel_coverLink, .ProFaceWishlist_ListPanel_page, .ProFaceWishlist_ListPanel_booktitle');
		theElementList.each(function(item, index)
		{
			item.addEvent('click', this._onPageClick.bind(this));
			item.mooTouchAdd({'click':true});
		}.bind(this));

		//Loop through quantity events
		theElementList = this._listElement.getElements('.ProFaceWishlist_ListPanel_qty');
		theElementList.each(function(item, index)
		{
			item.addEvent('change', this._changeQty.bind(this));
			item.mooTouchAdd({'click':true});
		}.bind(this));
		
		//Loop through quantity events
		theElementListUL = this._listElement.getElements('.ProFaceWishlist_ListPanel_unitlength');
		theElementListUL.each(function(item, index)
		{
			item.addEvent('change', this._changeUL.bind(this));
			item.mooTouchAdd({'click':true});
		}.bind(this));		

		this._listPanel.show();
/*test		var scrollHeight = 0;
		if ((this._itemAdded != "") && (this._itemAdded != null))
		{
			for (var i = 0; i < this._items.length; i++)
			{
				if (this._itemAdded == this._items[i].recipe)
				{
					//this._mooTouchScroller.scrollTo(0,scrollHeight);
					this._itemAdded = "";
				}
				scrollHeight += this._listElement.getElementById('ProFaceWishlist_ListPanel_itemwrapper_'+i).offsetHeight;
			}
		}
test*/		//this._listPanelWrapper.setStyle('height',scrollHeight);
		
				for (var i = 0; i < this._items.length; i++)
				{	
					var test = jQuery('#ProFaceWishlist_ListPanel_unitlength_'+i+'').val();
					if ((Browser.Platform.mobile) && (jQuery('#ProFaceWishlist_ListPanel_unitlength_'+i+'').val() == 'N/A'))
					{
						jQuery('#ProFaceWishlist_ListPanel_unitlength_'+i+'').attr("style","display : none");
						jQuery('.mobile_'+i+'').attr("style","display : none !important");
					}
					else if (jQuery('#ProFaceWishlist_ListPanel_unitlength_'+i+'').val() == 'N/A')
					{
						jQuery('#ProFaceWishlist_ListPanel_unitlength_'+i+'').attr("style","visibility : hidden");
						jQuery('.mobile_'+i+'').attr("style","display : none");
					}
				}
				jQuery('.ProFaceWishlist_ListPanel_qty').on('keypress', function(ev) 
				{
					var keyCode = window.event ? ev.keyCode : ev.which;
					//codes for 0-9
					if (keyCode < 48 || keyCode > 57) 
					{
					//codes for backspace, delete, enter
						if (keyCode != 0 && keyCode != 8 && keyCode != 13 && !ev.ctrlKey) 
						{
							ev.preventDefault();
						}
					}
				});
				jQuery(".ProFaceWishlist_ListPanel_unitlength").keydown(function(e){
					var key = e.which;

					// backspace, tab, left arrow, up arrow, right arrow, down arrow, delete, numpad decimal pt, period, enter
					if (key != 8 && key != 37 && key != 38 && key != 39 && key != 40 && key != 46 && key != 110 && key != 190 && key != 13){
						if (key < 48){
							e.preventDefault();
						}
						else if (key > 57 && key < 96){
							e.preventDefault();
						}
						else if (key > 105) {
							e.preventDefault();
						}
					}
				});			
		
	},
	
	// ------------------------------------------------------------------------
	// Button click event handlers
	// ------------------------------------------------------------------------
	
	_onClickList : function(e)
	{
		this._cancel_container.hide();
		this._add_container.hide();
		this._continue_container.show();
		this._emailOrder_container.hide();
		this._send_container.hide();
		this._sendorder_container.hide();
		this._place_container.hide();

		this._addBtn.hide();
		this._placeBtn.hide();
		this._cancelBtn.hide();
		this._backBtn.hide();
		this._back_sentBtn.hide();
		this._back_orderBtn.hide();
		this._sendBtn.hide();
		this._send_orderBtn.hide();
		this._buttonContainer.removeClass('ProFaceWishlist_AddDialog');
		if (this._items.length == 0)
		{

			this._cancel_container.hide();
			this._add_container.hide();
			this._continue_container.show();
			this._emailOrder_container.hide();
			this._send_container.hide();
			this._sendorder_container.hide();

			this._emailBtn.hide();
			this._memailBtn.hide();
			this._printBtn.hide();
			this._orderBtn.hide();
			this._clearallBtn.hide();
			this._mclearallBtn.hide();
			this._editBtn.hide();
			this._doneBtn.hide();
			this._continueBtn.show();
			this._emptyMessage.show();	
		}	
		else
		{
			this._cancel_container.hide();
			this._add_container.hide();
			this._continue_container.show();
			this._emailOrder_container.show();
			this._send_container.hide();
			this._sendorder_container.hide();

			this._emailBtn.show();
			this._memailBtn.show();
			this._printBtn.hide();
			this._orderBtn.hide();
			this._clearallBtn.show();
			this._mclearallBtn.show();
			this._editBtn.show();
			this._emptyMessage.hide();			
		}	
		if (this._items.length == 0)
		{
			this._emailOrder_container.show();
			this._orderBtn.hide();
		}
		else
		{
			this._emailOrder_container.show();
			this._orderBtn.hide();
		}
		this._doButtonContainerLayout();
		this._displayItems();
		this._sentPanel.hide();
		this._emailPanel.hide();
		this._addPanel.hide();
		this._orderPanel.hide();
		this._listPanel.show();
	},

	_onAddList : function(e)
	{
		
		this._cancel_container.show();
		this._add_container.show();
		this._continue_container.hide();
		this._emailOrder_container.hide();
		this._send_container.hide();
		this._sendorder_container.hide();

		this._backBtn.hide();
		this._back_sentBtn.hide();
		this._back_orderBtn.hide();
		this._sendBtn.hide();
		this._send_orderBtn.hide();
		this._emailBtn.hide();
		this._memailBtn.hide();
		this._printBtn.hide();
		this._orderBtn.hide();
		this._continueBtn.hide();
		
		this._addBtn.show();
		this._cancelBtn.show();
		this._buttonContainer.addClass('ProFaceWishlist_AddDialog');
	
		this._sentPanel.hide();
		this._emailPanel.hide();
		this._orderPanel.hide();
		this._listPanel.hide();
		this._addPanel.show();

	},

	_onClickEmail : function(e)
	{
		this._cancel_container.hide();
		this._add_container.hide();
		this._continue_container.show();
		this._emailOrder_container.hide();
		this._sendorder_container.hide();
		this._send_container.show();

		this._addBtn.hide();
		this._cancelBtn.hide();
		this._continueBtn.hide();
	
		this._emailBtn.hide();
		this._memailBtn.hide();
		this._printBtn.hide();
		this._orderBtn.hide();
		this._continueBtn.show();
		this._backBtn.show();
		this._back_sentBtn.hide();
		this._back_orderBtn.hide();
		this._send_orderBtn.hide();
		this._sendBtn.show();
		this._doButtonContainerLayout();

		this._sentPanel.hide();
		this._orderPanel.hide();
		this._listPanel.hide();
		this._addPanel.hide();
		this._emailPanel.show();
	},
	
	_onClickSend : function(e)
	{
		this._emailElement = this._widgetRootElement.getElement('#ProFaceWishlist_EmailPanel');
		var theLanguageList, theLanguageIndex, theLanguageCode;
		theLanguageList = this._appState.get(currentLanguageList);
		theLanguageIndex = this._appState.get(currentLanguageIndex);
		theLanguageCode = theLanguageList.getLanguageCode(theLanguageIndex);
		/*var fields = 0;
		for (var key in this._items[0])
		{
			if (this._items[0].hasOwnProperty(key))
				fields++;
		}
		var length = (this._items.length*fields);*/
		var length = (this._items.length*this._fields);
/*		var element = this._emailElement.getElementById('ProFaceWishlist_EmailPanel_FromNameField');
		var fromName = element.value;
		var element = this._emailElement.getElementById('ProFaceWishlist_EmailPanel_FromEmailField');
		var fromEmail = element.value;
*/		var element = this._emailElement.getElementById('ProFaceWishlist_EmailPanel_ToNameField');
		var toName = element.value;
		var element = this._emailElement.getElementById('ProFaceWishlist_EmailPanel_ToEmailField');
		var toEmail = element.value;
		var element = this._emailElement.getElementById('ProFaceWishlist_EmailPanel_CompanyName');
		var toCompanyName = element.value;
		var element = this._emailElement.getElementById('ProFaceWishlist_EmailPanel_Zip');
		var toZip = element.value;		
		var element = this._emailElement.getElementById('ProFaceWishlist_EmailPanel_NotesField');
		var notes = escape(element.value);
		var element = this._emailElement.getElementById('ProFaceWishlist_EmailCheckBox');
		var echeckbox = escape(element.checked);		

		//validate form input
		toEmail = toEmail.trim();
		if (!FieldValidation.getInstance().isEmailValid(toEmail, 'Recipients Email'))
			return;
/*		fromEmail = fromEmail.trim();
		if (!FieldValidation.getInstance().isEmailValid(fromEmail, 'Your Email'))
			return;
*/		if (!FieldValidation.getInstance().isNameValid(toName, 'Recipients Name'))
			return;	
			
/*		if (!FieldValidation.getInstance().isNameValid(fromName, 'Your Name'))
			return;		
*/
		this._cancel_container.hide();
		this._add_container.hide();
		this._continue_container.show();
		this._emailOrder_container.hide();
		this._send_container.hide();
		this._sendorder_container.hide();

		this._addBtn.hide();
		this._cancelBtn.hide();
		this._emailBtn.hide();
		this._memailBtn.hide();
		this._printBtn.hide();
		this._orderBtn.hide();
		this._backBtn.hide();
		this._back_sentBtn.show();
		this._back_orderBtn.hide();
		this._sendBtn.hide();
		this._send_orderBtn.hide();
		this._doButtonContainerLayout();
		
		var data1 = '';
		for (var i = 0; i < this._items.length; i++)
		{
			data1 += escape(this._items[i].sku)+'**'+escape(this._items[i].price)+'**'+escape(this._items[i].qty)+'**';
		}
	
		var cart_currency = Skin.getInstance().get('CartCurrency', '$');
		var postBody = 'lang='+theLanguageCode+'&length='+length+'&ds='+cart_currency+'&toName='+escape(toName)+'&toEmail='+toEmail+'&toCompanyName='+escape(toCompanyName)+'&toZip='+escape(toZip)+'&echeckbox='+escape(echeckbox)+'&notes='+notes+'&data1='+escape(data1);
		var pathToCode = this._getBasePath();
		var isPhoneGap = (window.cordova) ? true : false;
		var theServicePath = Skin.getInstance().get('ServicePath', './');
		if (isPhoneGap)
			pathToCode = theServicePath + pathToCode;
		var myHTMLRequest = new Request.HTML({url: pathToCode + 'ServiceEmailList.php'+CacheMgr.getInstance().getResourceCacheArg('RelId','?')}).post(postBody);

		this._widgetRootElement.getElement('#ProFaceWishlist_SentPanel_ToName').set('html', toName);
		this._widgetRootElement.getElement('#ProFaceWishlist_SentPanel_ToEmail').set('html', toEmail);
//		this._widgetRootElement.getElement('#ProFaceWishlist_SentPanel_ToCompanyName').set('html', toCompanyName);
//		this._widgetRootElement.getElement('#ProFaceWishlist_SentPanel_ToZip').set('html', toZip);

		if(jQuery('#ProFaceWishlist_EmailCheckBox').is(':checked'))
		{
			this._widgetRootElement.getElement('#ProFaceWishlist_ThanksMsg').set('html', 'Thank you for using the Pro-face Wishlist. You should receive an email shortly.');
		}
		else
		{
			this._widgetRootElement.getElement('#ProFaceWishlist_ThanksMsg').set('html', 'Thank you for using the Pro-face Wishlist. You should receive an email shortly.');
		}
		
		var dialogName = this.mediatorName;
		dialogName = dialogName.replace('DialogView', '');
		Facade.getInstance().sendNotification(ApplicationFacade.LOG_EVENT, {category:dialogName, action:'Emailed'});

		this._orderPanel.hide();
		this._listPanel.hide();
		this._emailPanel.hide();
		this._addPanel.hide();
		this._sentPanel.show();
		this._backBtn.show();
	},

	_onClickOrder : function(e)
	{
		this._cancel_container.hide();
		this._add_container.hide();
		this._continue_container.show();
		this._emailOrder_container.hide();
		this._send_container.hide();
		this._sendorder_container.show();

		this._addBtn.hide();
		this._cancelBtn.hide();
		this._continueBtn.hide();
	
		this._emailBtn.hide();
		this._memailBtn.hide();
		this._printBtn.hide();
		this._orderBtn.hide();
		this._continueBtn.show();
		this._backBtn.hide();
		this._back_sentBtn.hide();
		this._back_orderBtn.show();
		this._sendBtn.hide();
		this._send_orderBtn.show();
		this._doButtonContainerLayout();

		this._sentPanel.hide();
		this._listPanel.hide();
		this._addPanel.hide();
		this._emailPanel.hide();
		this._orderPanel.show();
	},
	
	_onClickSendOrder : function(e)
	{
		var params = {};
		
		var data1 = '';
		for (var i = 0; i < this._items.length; i++)
		{
			data1 += escape(this._items[i].sku)+'**'+escape(this._items[i].price)+'**'+escape(this._items[i].qty)+'**';
		}
		
		var cart_currency = Skin.getInstance().get('CartCurrency', '$');
		var theLanguageList, theLanguageIndex, theLanguageCode;
		theLanguageList = this._appState.get(currentLanguageList);
		theLanguageIndex = this._appState.get(currentLanguageIndex);
		theLanguageCode = theLanguageList.getLanguageCode(theLanguageIndex);

		var length = (this._items.length*this._fields);
		var theCompanyCode = Skin.getInstance().get("DefaultCompanyCode");
		var theBook = this._appState.get(currentBook);
		var theBookCode = theBook.bookCode;
		
		params['data1'] = data1;
		params['lang'] = theLanguageCode;
		params['length'] = length;
		params['fields'] = this._fields;
		params['currency'] = cart_currency;
		params['CompanyCode'] = theCompanyCode;
		params['BookCode'] = theBookCode;
	
		this._orderPanelElement = this._widgetRootElement.getElement('#ProFaceWishlist_OrderPanel');
		//validate form input
				
		var element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_BillingNameField');
		var bName = element.value;
		if (!FieldValidation.getInstance().isNameValid(bName, 'Billing Name'))
			return;
		params['Name'] = bName;

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_BillingAddressField');
		var bAddress = element.value;
		if (!FieldValidation.getInstance().isFieldPopulated(bAddress, 'Billing Address'))
			return;
		params['Address'] = bAddress;

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_BillingCityField');
		var bCity = element.value;
		if (!FieldValidation.getInstance().isFieldPopulated(bCity, 'Billing City'))
			return;
		params['City'] = bCity;

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_BillingStateField');
		var bState = element.value;
		if (!FieldValidation.getInstance().isFieldPopulated(bState, 'Billing State'))
			return;
		params['State'] = bState;

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_BillingZipCodeField');
		var bZip = element.value;
		if (!FieldValidation.getInstance().isFieldPopulated(bZip, 'Billing Zip Code'))
			return;
		params['ZipCode'] = bZip;

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_BillingPhoneNumberField');
		var bPhone = element.value;
		if (!FieldValidation.getInstance().isFieldPopulated(bPhone, 'Billing Phone Number'))
			return;
		params['PhoneNumber'] = bPhone;

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_BillingCountryField');
		var bCountry = element.value;
		if (!FieldValidation.getInstance().isFieldPopulated(bCountry, 'Billing Country'))
			return;
		params['Country'] = bCountry;

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_BillingEmailAddressField');
		var bEmail = element.value;
		bEmail = bEmail.trim();
		if (!FieldValidation.getInstance().isEmailValid(bEmail, 'Email Address'))
			return;
		params['EmailAddress'] = bEmail;
			
		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_BillingEmailAddressField');
		var bEmail2 = element.value;
		bEmail2 = bEmail2.trim();
		if (!FieldValidation.getInstance().isEmailValid(bEmail2, 'Email Address'))
			return;
			
		if (bEmail != bEmail2)
		{
			Facade.getInstance().sendNotification(ApplicationFacade.ALERT_OK, {message:"Email address doesn't match confirm email address field.", title:title});
			return;
		}
		
		element = this._orderPanelElement.getElementById('referenceSourceDropdown');
		var bSource = element.value;
		params['referenceSource'] = bSource;
		
		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_PromoCodeField');
		var bPromoCode = element.value;
		params['PromoCode'] = bPromoCode;
		
		element = this._orderPanelElement.getElementById('shippingMethodDropdown');
		var bShippingOptions = element.value;
		params['shippingMethod'] = bShippingOptions;

		if (this._orderPanelElement.getElementById('backorder1').checked==true)
			params['backorder'] = 'Yes';
		else
			params['backorder'] = 'No';
			
		if (this._orderPanelElement.getElementById('newcatalog1').checked==true)
			params['newcatalog'] = 'Yes';
		else
			params['newcatalog'] = 'No';

		if (this._orderPanelElement.getElementById('shipmatchesbill2').checked==true)
		{
			element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingNameField');
			var sName = element.value;
			if (!FieldValidation.getInstance().isNameValid(sName, 'Shipping Name'))
				return;
			params['ShipName'] = sName;

			element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingAddressField');
			var sAddress = element.value;
			if (!FieldValidation.getInstance().isFieldPopulated(sAddress, 'Shipping Address'))
				return;
			params['ShipAddress'] = sAddress;

			element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingCityField');
			var sCity = element.value;
			if (!FieldValidation.getInstance().isFieldPopulated(sCity, 'Shipping City'))
				return;
			params['ShipCity'] = sCity;

			element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingStateField');
			var sState = element.value;
			if (!FieldValidation.getInstance().isFieldPopulated(sState, 'Shipping State'))
				return;
			params['ShipState'] = sState;

			element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingZipCodeField');
			var sZip = element.value;
			if (!FieldValidation.getInstance().isFieldPopulated(sZip, 'Shipping Zip Code'))
				return;
			params['ShipZipCode'] = sZip;

			element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingPhoneField');
			var sPhone = element.value;
			if (!FieldValidation.getInstance().isFieldPopulated(sPhone, 'Shipping Phone'))
				return;
			params['ShipPhoneNumber'] = sPhone;

			element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingCountryField');
			var sCountry = element.value;
			if (!FieldValidation.getInstance().isFieldPopulated(sCountry, 'Shipping Country'))
				return;
			params['ShipCountry'] = sCountry;
		}
		else
		{
			params['ShipName'] = bName;
			params['ShipAddress'] = bAddress;
			params['ShipCity'] = bCity;
			params['ShipState'] = bState;
			params['ShipZipCode'] = bZip;
			params['ShipPhoneNumber'] = bPhone;
			params['ShipCountry'] = bCountry;
		}

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_VehicleYearField');
		var vehYear = element.value;
		if (!FieldValidation.getInstance().isFieldPopulated(vehYear, 'Vehicle Year'))
			return;
		params['VehicleYear'] = vehYear;

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_VehicleMakeField');
		var vehMake = element.value;
		if (!FieldValidation.getInstance().isFieldPopulated(vehMake, 'Vehicle Make'))
			return;
		params['VehicleMake'] = vehMake;
			
		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_VehicleModelField');
		var vehModel = element.value;
		params['VehicleModel'] = vehModel;
		
		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_VehicleNotesField');
		var Notes = element.value;
		params['VehicleNotes'] = Notes;
		
		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ExtraVehicleNotesField');
		var ExtraNotes = element.value;
		params['ExtraVehicleNotes'] = ExtraNotes;
		
		var theBookPageIndex = this._appState.get(currentBookPageDest).BookPageIndex;
		var secidx = book.getSectionIndex(theBookPageIndex);
		theBookPageIndex = theBookPageIndex.toInt();
		
		var pathToCode = this._getBasePath();
		var isPhoneGap = (window.cordova) ? true : false;
		var theServicePath = Skin.getInstance().get('ServicePath', './');
		if (isPhoneGap)
			pathToCode = theServicePath + pathToCode;

		var theUrlStr, theImageUrlStr;
		if (isPhoneGap)
		{
			theUrlStr = theServicePath;
		}
		else
		{
			var theUrl = new URI().clearData();
			theUrlStr = theUrl.get('scheme') + '://' + theUrl.get('host') + theUrl.get('directory');
		}
		//theUrlStr += '?BookCode='+theBookCode+'&BookPageIndex='+theBookPageIndex;
		var aspfile = 'debug.asp';
		var codedir = 'code';
		if (PATH_TO_CODE.indexOf('-bin') > -1)
		{
			aspfile = '';
			codedir = 'code-bin';
		}
		theImageUrlStr = theUrlStr;
		theUrlStr += aspfile+'?BookCode='+theBookCode+'&Sgt='+secidx+'&PageLabel='+theBook.getPageLabel(theBookPageIndex);
		var dialogName = this.mediatorName;
		theImageUrlStr += codedir+'/components/custom/'+dialogName+'/';
		params['return_url'] = theUrlStr;
		params['image_url'] = theImageUrlStr;

		//empty the cart items from the dialog
		this._onClearAll();

		this._post_to_url(pathToCode + 'ServiceCheckOut.php', params);

		dialogName = dialogName.replace('DialogView', '');
		Facade.getInstance().sendNotification(ApplicationFacade.LOG_EVENT, {category:dialogName, action:'Checkout'});
	},
	
	_post_to_url : function(path, params, method) 
	{
	    method = method || "post"; // Set method to post by default, if not specified.

	    // The rest of this code assumes you are not using a library.
	    // It can be made less wordy if you use one.
	    var form = document.createElement("form");
	    form.setAttribute("method", method);
	    form.setAttribute("action", path);

	    for(var key in params) {
	        if(params.hasOwnProperty(key)) {
	            var hiddenField = document.createElement("input");
	            hiddenField.setAttribute("type", "hidden");
	            hiddenField.setAttribute("name", key);
	            hiddenField.setAttribute("value", params[key]);

	            form.appendChild(hiddenField);
	         }
	    }

	    document.body.appendChild(form);
	    form.submit();
	},
	
	_onShipMatchesBilling : function(e)
	{
		this._orderPanelElement = this._widgetRootElement.getElement('#ProFaceWishlist_OrderPanel');
		var element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingNameField');
		element.disabled = true;
		element.value = 'Using Billing Information';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingAddressField');
		element.disabled = true;
		element.value = 'Using Billing Information';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingCityField');
		element.disabled = true;
		element.value = 'Using Billing Information';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingStateField');
		element.disabled = true;
		element.value = 'Using Billing Information';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingZipCodeField');
		element.disabled = true;
		element.value = 'Using Billing Information';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingPhoneField');
		element.disabled = true;
		element.value = 'Using Billing Information';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingCountryField');
		element.disabled = true;
		element.value = 'Using Billing Information';
	},
	
	_onShipDoesntMatchBilling : function(e)
	{
		this._orderPanelElement = this._widgetRootElement.getElement('#ProFaceWishlist_OrderPanel');
		var element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingNameField');
		element.disabled = false;
		element.value = '';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingAddressField');
		element.disabled = false;
		element.value = '';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingCityField');
		element.disabled = false;
		element.value = '';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingStateField');
		element.disabled = false;
		element.value = '';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingZipCodeField');
		element.disabled = false;
		element.value = '';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingPhoneField');
		element.disabled = false;
		element.value = '';

		element = this._orderPanelElement.getElementById('ProFaceWishlist_OrderPanel_ShippingCountryField');
		element.disabled = false;
		element.value = '';
	},

	_onClearAll : function(e)
	{
		this._items = [];
		Preferences.getInstance().set('Cart', this._items);
		this._updateCount();
		this._displayItems();
	},
	
	_onClickBack : function(e)
	{
		this._cancel_container.hide();
		this._add_container.hide();
		this._continue_container.show();
		this._emailOrder_container.show();
		this._send_container.hide();
		this._sendorder_container.hide();
		this._place_container.hide();

		this._addBtn.hide();
		this._cancelBtn.hide();

		this._sendBtn.hide();
		this._send_orderBtn.hide();
		this._orderBtn.hide();
		this._backBtn.hide();
		this._back_sentBtn.hide();
		this._back_orderBtn.hide();
		this._emailBtn.show();
		this._memailBtn.show();
		this._printBtn.hide();
		this._doButtonContainerLayout();

		this._emailPanel.hide();
		this._sentPanel.hide();
		this._addPanel.hide();
		this._orderPanel.hide();
		this._listPanel.show();		
	},
	
	_onClickPrint : function(e)
	{  
		var windowContent = '<!DOCTYPE html>';
		windowContent += '<html>'
//		var title = Skin.getInstance().get('WishListDialogTitle', 'Cart');
		windowContent += '<head><title>Pro-face</title>';
		windowContent += '<link type=\"text/css\" rel=\"stylesheet\" href=\"' + this._getBasePath() + this.mediatorName + '.css\" />';
		windowContent += '</head>';
		windowContent += '<body><div id=\"ProFaceWishlist_ListPanel\">';
		for (var i = 0; i < this._items.length; i++)
		{
			windowContent += '<div id=\"ProFaceWishlist_ListPanel_itemwrapper_'+i+'\" class=\"ProFaceWishlist_ListPanel_item\">';
			windowContent += '<div class=\"ProFaceWishlist_ListPanel_description\">Description: '+this._items[i].description+'</div>';
			windowContent += '<div class=\"ProFaceWishlist_ListPanel_sku\">Part Number: '+this._items[i].sku+'</div>';
			windowContent += '<div class=\"ProFaceWishlist_ListPanel_length\">Length: '+this._items[i].unitlength+'</div>';			
			windowContent += '<div class=\"ProFaceWishlist_ListPanel_price\">Unit of Measurement: '+this._items[i].price+'</div>';
			windowContent += '<div class=\"ProFaceWishlist_ListPanel_qty_'+i+'\">Quantity: '+this._items[i].qty+'</div>';
			windowContent += '<br>';
			
			windowContent += '</div>';
		}
		windowContent += '</div></body>';
		windowContent += '</html>';
		
		Facade.getInstance().sendNotification(ApplicationFacade.PRINT_TEXT, {content:windowContent});
		Facade.getInstance().sendNotification(ApplicationFacade.LOG_EVENT, {category:'Shopping List', action:'Printed'});
		this._popUpWindow.close();	
	},	
		
	_doButtonContainerLayout : function()
	{
		// Set the container left to zero before measuring to make sure buttons will all fit side by side without wrapping
		this._buttonActionCenter.setStyle('left',0);
		var theParentSize = this._buttonContainer.measure(function(){return this.getSize();});
		var theSize = this._buttonActionCenter.measure(function(){return this.getSize();});
		this._buttonActionCenter.setStyle('left',(theParentSize.x/2) - (theSize.x/2));
	},

	_keepEditState : function()
	{
		jQuery(function() {
		    jQuery('.ProFaceWishlist_ListPanel_remove').show();
		    jQuery('#ProFaceWishlist_button_edit').hide();
		    jQuery(".ProFaceWishlist_ListPanel_qty").prop("disabled",false);
		});		
	},

	_ProFaceWishlist_Behaviors : function()
	{

		jQuery("#ProFaceWishlist_increment").click(function() {
		    var curValue = jQuery('#ProFaceWishlist_quantity').val();
		    var curNumber = parseFloat(curValue);

			jQuery('#ProFaceWishlist_quantity').val(curNumber + 1);
		});

		jQuery("#ProFaceWishlist_decrement").click(function() {
		    var curValue = jQuery('#ProFaceWishlist_quantity').val();
		    var curNumber = parseFloat(curValue);
		    	if ( curNumber >= 2) {
					jQuery('#ProFaceWishlist_quantity').val(curNumber - 1);
				} else {
					//
				}
		});

		/*****
		jQuery("#ProFaceWishlist_button_edit").click(function() 
		{
			for (var i = 0; i < this._items.length; i++)
			{	
				var test = jQuery('#ProFaceWishlist_ListPanel_unitlength_'+i+'').val();
				if (jQuery('#ProFaceWishlist_ListPanel_unitlength_'+i+'').val() == '')
				{
					jQuery(".ProFaceWishlist_ListPanel_qty").prop("disabled",false);
					jQuery('#ProFaceWishlist_ListPanel_unitlength_'+i+'').attr("style","visibility : hidden");
					jQuery('.ProFaceWishlist_ListPanel_remove').show();
					jQuery('#ProFaceWishlist_button_done').delay(5000).show();
				}
				else 
				{
					jQuery(".ProFaceWishlist_ListPanel_qty").prop("disabled",false);
					jQuery('.ProFaceWishlist_ListPanel_remove').show();
					jQuery('#ProFaceWishlist_button_done').delay(5000).show();
					jQuery(this).hide();
				}
			}
		}.bind(this));
	

		jQuery("#ProFaceWishlist_button_done").click(function() {
		    jQuery(".ProFaceWishlist_ListPanel_qty").prop("disabled", true);
		    jQuery('.ProFaceWishlist_ListPanel_remove').hide();
		    jQuery('#ProFaceWishlist_button_edit').delay(5000).show();
		    jQuery(this).hide();
		    
		});
		*****/

		/***** RMG 01/15/2014 - Changed to use the DialogView portrait/landscape mechanism
		jQuery(window).resize(function() {
			//alert('resized!');
			var viewportWidth = jQuery(window).width();
			var viewportHeight = jQuery(window).height();
			
			if (jQuery('#ProFaceWishlist_button_container').hasClass('ProFaceWishlist_AddDialog')) {

			}
			else {

				if (viewportWidth < 1025) {
					jQuery('.popUpWindow.ProFaceWishlist').parent().width(viewportWidth);
					jQuery('.popUpWindow.ProFaceWishlist').parent().css({"left":"0px","top":"0px"});
					jQuery('.popUpWindow.ProFaceWishlist').width(viewportWidth);					
				}
				jQuery('.popUpWindow.ProFaceWishlist').parent().height(viewportHeight);
				jQuery('.popUpWindow.ProFaceWishlist').parent().css({"top":"0px"});
				jQuery('.popUpWindow.ProFaceWishlist').height(viewportHeight);
			}
		});

		window.onorientationchange = function(){
		    var orientation = window.orientation;
		    // Look at the value of window.orientation:
		    if (orientation === 0){
		        // iPad is in Portrait mode.
		        jQuery('.popUpWindow.ProFaceWishlist').parent().width(viewportWidth);
				jQuery('.popUpWindow.ProFaceWishlist').parent().css({"left":"0px","top":"0px"});
				jQuery('.popUpWindow.ProFaceWishlist').width(viewportWidth);
		    }
		    else if (orientation === 90){
		        // iPad is in Landscape mode. The screen is turned to the left.
		        jQuery('.popUpWindow.ProFaceWishlist').parent().width(viewportWidth);
				jQuery('.popUpWindow.ProFaceWishlist').parent().css({"left":"0px","top":"0px"});
				jQuery('.popUpWindow.ProFaceWishlist').width(viewportWidth);
		    }
		    else if (orientation === -90){
		        // iPad is in Landscape mode. The screen is turned to the right.
		        jQuery('.popUpWindow.ProFaceWishlist').parent().width(viewportWidth);
				jQuery('.popUpWindow.ProFaceWishlist').parent().css({"left":"0px","top":"0px"});
				jQuery('.popUpWindow.ProFaceWishlist').width(viewportWidth);
		    }
			alert('hello world');
			this._hide();
			this._show.delay(3000, this);
			alert('hello again');
		}.bind(this);
		*****/
	},
	
	_ie_comma_safety : 0	// Keep as last member of class (doesn't have trailing comma)
});
