// ----------------------------------------------------------------------------
// This View handles the StampedeDetail Dialog
// ----------------------------------------------------------------------------
StampedeDetail = new Class(
{
	Extends : DialogView,

	// ************************************************************************
	// ************************************************************************
	//     MEMBER VARIABLES
	// ************************************************************************
	// ************************************************************************

	// ********** Add variables for each data field here **********

	_titleElement : null,
	_descElement : null,
	_imageElement : null,
	_textBtn : null,
	_imageBtn : null,
		
	// ************************************************************************
	// ************************************************************************
	//     CONSTRUCTOR
	// ************************************************************************
	// ************************************************************************	

	initialize : function()
	{
		this.parent('StampedeDetail', this);
	},

	// ------------------------------------------------------------------------
	// After LoadComponentCommand instantiates the component, then this function
	// is called to pass the arguments and actually create the DOM objects.
	//
	// Arguments: 
	//     theBasePath (String) - Contains the component base path
	//     theDialogData (Object) - Contains argument data for the dialog
	// ------------------------------------------------------------------------
	init : function(theBasePath, theDialogData)
    {		
		this.parent(theDialogData,
		{
			basePath : theBasePath,
			title:  'Discontinued Product',
			width:  500,
			height: 315,
			_ie_comma_safety : 0	// Keep as last option (doesn't have trailing comma)
		});
	},

	// ************************************************************************
	// ************************************************************************
	//     PROTECTED FUNCTIONS
	// ************************************************************************
	// ************************************************************************

	// ------------------------------------------------------------------------
	// The Dialog DOM content (if any) is loaded by the time this function is
	// called so here we create and add any extra UIComponents and attach
	// event listeners.
	// ------------------------------------------------------------------------
	_onContentLoaded : function()
	{
		this.parent();
					
//		this._titleElement = this._widgetRootElement.getElement('#StampedeDetail_title');
		this._descElement = this._widgetRootElement.getElement('#StampedeDetail_desc');
		this._imageElement = this._widgetRootElement.getElement('#StampedeDetail_image');
		this._textBtn1 = this._widgetRootElement.getElement('#StampedeDetail_text_btn1');
		this._textBtn2 = this._widgetRootElement.getElement('#StampedeDetail_text_btn2');
		this._textBtn3 = this._widgetRootElement.getElement('#StampedeDetail_text_btn3');
		this._textBtn4 = this._widgetRootElement.getElement('#StampedeDetail_text_btn4');
		this._part1 = this._widgetRootElement.getElement('#StampedeDetail_part1');
		this._part2 = this._widgetRootElement.getElement('#StampedeDetail_part2');
		this._part3 = this._widgetRootElement.getElement('#StampedeDetail_part3');
		this._part4 = this._widgetRootElement.getElement('#StampedeDetail_part4');
		this._vendor1 = this._widgetRootElement.getElement('#StampedeDetail_vendor1');
		this._vendor2 = this._widgetRootElement.getElement('#StampedeDetail_vendor2');
		this._vendor3 = this._widgetRootElement.getElement('#StampedeDetail_vendor3');
		this._vendor4 = this._widgetRootElement.getElement('#StampedeDetail_vendor4');		
//		this._imageBtn = this._widgetRootElement.getElement('#StampedeDetail_image_btn');
				
		// ********** Load the dialog text data content here **********
//		this._titleElement.set('html', '<h2>' + this._data.find('title').text() + '</h2>');
		this._descElement.set('html', this._data.find('desc').text());
		var partcheck = this._data.find('part1').text();
			if (partcheck == '')
				this._widgetRootElement.getElement('#StampedeDetail_entry').dispose();
				
		var part1check = this._data.find('part1').text();
			if (part1check == '')
				this._widgetRootElement.getElement('#StampedeDetail_entry1').dispose();
			else
				this._part1.set('html', this._data.find('part1').text());
		var part2check = this._data.find('part2').text();
			if (part2check == '')
				this._widgetRootElement.getElement('#StampedeDetail_entry2').dispose();
			else
				this._part2.set('html', this._data.find('part2').text());
		var part3check = this._data.find('part3').text();
			if (part3check == '')
				this._widgetRootElement.getElement('#StampedeDetail_entry3').dispose();
			else
				this._part3.set('html', this._data.find('part3').text());
		var part4check = this._data.find('part4').text();
			if (part4check == '')
				this._widgetRootElement.getElement('#StampedeDetail_entry4').dispose();
			else
				this._part4.set('html', this._data.find('part4').text());				
		this._vendor1.set('html', this._data.find('vendor1').text());
		this._vendor2.set('html', this._data.find('vendor2').text());
		this._vendor3.set('html', this._data.find('vendor3').text());
		this._vendor4.set('html', this._data.find('vendor4').text());
		
		// ********** Load the dialog image data content here **********
//		this._setImage('StampedeDetail_image', this._data.find('image').text());		
				
		// ********** Load optional multi-language UI resources here **********
		this._textBtn1.set('text', Skin.getInstance().get('StampedeDetailTextBtn', 'More Info'));
		this._textBtn2.set('text', Skin.getInstance().get('StampedeDetailTextBtn', 'More Info'));
		this._textBtn3.set('text', Skin.getInstance().get('StampedeDetailTextBtn', 'More Info'));
		this._textBtn4.set('text', Skin.getInstance().get('StampedeDetailTextBtn', 'More Info'));
		this._setStyleForLangResource(this._imageBtn, 'background-image', 'StampedeDetailImageBtnPath');
		
		// ********** Add event handlers (don't forget mooTouchAdd) **********
//		this._imageBtn.addEvent('click', this._onExampleBtnClick.bind(this));
//		this._imageBtn.mooTouchAdd({'click':true});
		this._textBtn1.addEvent('click', this._onExampleBtnClick1.bind(this));
		this._textBtn1.mooTouchAdd({'click':true});
		this._textBtn2.addEvent('click', this._onExampleBtnClick2.bind(this));
		this._textBtn2.mooTouchAdd({'click':true});
		this._textBtn3.addEvent('click', this._onExampleBtnClick3.bind(this));
		this._textBtn3.mooTouchAdd({'click':true});
		this._textBtn4.addEvent('click', this._onExampleBtnClick4.bind(this));
		this._textBtn4.mooTouchAdd({'click':true});		
		

		
		this._show();
	},
	
	// ************************************************************************
	// ************************************************************************
	//
	// ********** Add Custom Functions and Event Handlers here **********
	//
	// ************************************************************************
	// ************************************************************************
			
	// ------------------------------------------------------------------------
	// Button click event handlers
	// ------------------------------------------------------------------------
	_onExampleBtnClick1 : function(e)
	{
		// Open a url
		var theUrl1 = this._data.find('url1').text();
		Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl1, source:'StampedeDetail'});
	},
	_onExampleBtnClick2 : function(e)
	{
		// Open a url
		var theUrl2 = this._data.find('url2').text();
		Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl2, source:'StampedeDetail'});
	},
	_onExampleBtnClick3 : function(e)
	{
		// Open a url
		var theUrl3 = this._data.find('url3').text();
		Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl3, source:'StampedeDetail'});
	},
	_onExampleBtnClick4 : function(e)
	{
		// Open a url
		var theUrl4 = this._data.find('url4').text();
		Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {link:theUrl4, source:'StampedeDetail'});
	},	
	
	_ie_comma_safety : 0	// Keep as last member of class (doesn't have trailing comma)
});
