// ----------------------------------------------------------------------------
// This View handles the CrutchfieldDetail Dialog
// ----------------------------------------------------------------------------
WeddingstarDetail = new Class({
    Extends: DialogView,

    // ************************************************************************
    // ************************************************************************
    //     MEMBER VARIABLES
    // ************************************************************************
    // ************************************************************************
    // ********** Add variables for each data field here **********
    _appState: null,

    _title1: null,
    _title1text: null,
    _title2: null,
    _title2text: null,
    _media: null,
    _info: null,
    _details: null,
    _desc: null,

    _buttons: null,
    _buttons_ul: null,
    _btnLink: null,

    _images_panel: null,
    _imagesLarge: null,
    _imagesThumbs: null,
    _currentImage: null,
    _currentIndex: -1,
    _interval: null,
    _myTimer: null,

    _video: null,
    _video_panel: null,
    _videoMP4: null,
    _videoOGV: null,
    _videoYoutube: null,
    _skuCnt: null,
    _skuCompleted: 0,
    _currencyType: null,

    _theUrl : null,

    // ************************************************************************
    // ************************************************************************
    //     CONSTRUCTOR
    // ************************************************************************
    // ************************************************************************	
    initialize: function () {
        this.parent('WeddingstarDetail', this);
        this._appState = Facade.getInstance().retrieveProxy(AppState.NAME);
    },

    // ------------------------------------------------------------------------
    // This is a proxy for the UIMediator listNotificationInterests function.
    // 
    // This function returns the list of notifications to register this view for.
    //
    // @return {String[]} - the array of notification names to act upon.
    // ------------------------------------------------------------------------
    listNotificationInterests: function () {
        return [
        ApplicationFacade.ORIENTATION_CHANGED, ];
    },

    // ------------------------------------------------------------------------
    // This is a proxy for the UIMediator handleNotification function.
    //
    // This function is called to handle all notifications listed in the 
    // listNotificationInterests function
    //
    // Arguments:
    //     notification (Notification) - The notification to act upon
    // ------------------------------------------------------------------------
    handleNotification: function (notification) {
        switch (notification.getName()) {
        case ApplicationFacade.ORIENTATION_CHANGED:
            this._doLayout();
            this._onResize();
            break;
        }
    },

    // ------------------------------------------------------------------------
    // After LoadComponentCommand instantiates the component, then this function
    // is called to pass the arguments and actually create the DOM objects.
    //
    // Arguments: 
    //     theBasePath (String) - Contains the component base path
    //     theDialogData (Object) - Contains argument data for the dialog
    // ------------------------------------------------------------------------
    init: function (theBasePath, theDialogData) {
        if (Browser.Platform.mobile || Browser.Platform.tablet7) {
            var sku_str = theDialogData.find('item').text();
            sku_str = sku_str.replace(/#/g, '');
            var sku_array = sku_str.split('|');
            sku_str = sku_array[0];
            var url = 'http://www.weddingstar.com/product/' + sku_str;
            Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {
                link: url,
                source: 'WeddingstarDetail'
            });
            this.onClose();
            return;
        }
        this.parent(theDialogData, {
            basePath: theBasePath,
            title: 'Shop The Look.',
            landscapeWidth: 875,
            landscapeHeight: 520,
            portraitWidth: 620,
            portraitHeight: 800,
            _ie_comma_safety: 0 // Keep as last option (doesn't have trailing comma)
        });
    },

    // ************************************************************************
    // ************************************************************************
    //     PROTECTED FUNCTIONS
    // ************************************************************************
    // ************************************************************************
    // ------------------------------------------------------------------------
    // The Dialog DOM content (if any) is loaded by the time this function is
    // called so here we create and add any extra UIComponents and attach
    // event listeners.
    // ------------------------------------------------------------------------
    _onContentLoaded: function () {
        this.parent();
        this._title = this._widgetRootElement.getElement('#WeddingstarDetail_title');
        this._title1 = this._widgetRootElement.getElement('#WeddingstarDetail_title1');
        this._title1text = this._widgetRootElement.getElement('#WeddingstarDetail_title1_text');
        this._title2 = this._widgetRootElement.getElement('#WeddingstarDetail_title2');
        this._title2text = this._widgetRootElement.getElement('#WeddingstarDetail_title2_text');
        this._title11 = this._widgetRootElement.getElement('#WeddingstarDetail_title11');
        this._title12 = this._widgetRootElement.getElement('#WeddingstarDetail_title12');
        this._title13 = this._widgetRootElement.getElement('#WeddingstarDetail_title13');
        this._title14 = this._widgetRootElement.getElement('#WeddingstarDetail_title14');
        this._title15 = this._widgetRootElement.getElement('#WeddingstarDetail_title15');
        this._title16 = this._widgetRootElement.getElement('#WeddingstarDetail_title16');
        this._title17 = this._widgetRootElement.getElement('#WeddingstarDetail_title17');
        this._title18 = this._widgetRootElement.getElement('#WeddingstarDetail_title18');
        this._title19 = this._widgetRootElement.getElement('#WeddingstarDetail_title19');
        this._title110 = this._widgetRootElement.getElement('#WeddingstarDetail_title110');
        this._sku = this._widgetRootElement.getElement('#WeddingstarDetail_sku');
        this._sku1 = this._widgetRootElement.getElement('#WeddingstarDetail_sku1');
        this._sku2 = this._widgetRootElement.getElement('#WeddingstarDetail_sku2');
        this._sku3 = this._widgetRootElement.getElement('#WeddingstarDetail_sku3');
        this._sku4 = this._widgetRootElement.getElement('#WeddingstarDetail_sku4');
        this._sku5 = this._widgetRootElement.getElement('#WeddingstarDetail_sku5');
        this._sku6 = this._widgetRootElement.getElement('#WeddingstarDetail_sku6');
        this._sku7 = this._widgetRootElement.getElement('#WeddingstarDetail_sku7');
        this._sku8 = this._widgetRootElement.getElement('#WeddingstarDetail_sku8');
        this._sku9 = this._widgetRootElement.getElement('#WeddingstarDetail_sku9');
        this._sku10 = this._widgetRootElement.getElement('#WeddingstarDetail_sku10');
        this._price = this._widgetRootElement.getElement('#WeddingstarDetail_price');
        this._price1 = this._widgetRootElement.getElement('#WeddingstarDetail_price1');
        this._price2 = this._widgetRootElement.getElement('#WeddingstarDetail_price2');
        this._price3 = this._widgetRootElement.getElement('#WeddingstarDetail_price3');
        this._price4 = this._widgetRootElement.getElement('#WeddingstarDetail_price4');
        this._price5 = this._widgetRootElement.getElement('#WeddingstarDetail_price5');
        this._price6 = this._widgetRootElement.getElement('#WeddingstarDetail_price6');
        this._price7 = this._widgetRootElement.getElement('#WeddingstarDetail_price7');
        this._price8 = this._widgetRootElement.getElement('#WeddingstarDetail_price8');
        this._price9 = this._widgetRootElement.getElement('#WeddingstarDetail_price9');
        this._price10 = this._widgetRootElement.getElement('#WeddingstarDetail_price10');
        this._colors = this._widgetRootElement.getElement('#WeddingstarDetail_colors');
        this._colors1 = this._widgetRootElement.getElement('#WeddingstarDetail_colors1');
        this._colors2 = this._widgetRootElement.getElement('#WeddingstarDetail_colors2');
        this._colors3 = this._widgetRootElement.getElement('#WeddingstarDetail_colors3');
        this._colors4 = this._widgetRootElement.getElement('#WeddingstarDetail_colors4');
        this._colors5 = this._widgetRootElement.getElement('#WeddingstarDetail_colors5');
        this._colors6 = this._widgetRootElement.getElement('#WeddingstarDetail_colors6');
        this._colors7 = this._widgetRootElement.getElement('#WeddingstarDetail_colors7');
        this._colors8 = this._widgetRootElement.getElement('#WeddingstarDetail_colors8');
        this._colors9 = this._widgetRootElement.getElement('#WeddingstarDetail_colors9');
        this._colors10 = this._widgetRootElement.getElement('#WeddingstarDetail_colors10');
        this._media = this._widgetRootElement.getElement('#WeddingstarDetail_media');
        this._info = this._widgetRootElement.getElement('#WeddingstarDetail_info');
        this._details = this._widgetRootElement.getElement('#WeddingstarDetail_details');
        this._desc = this._widgetRootElement.getElement('#WeddingstarDetail_description_text');
        this._desc1 = this._widgetRootElement.getElement('#WeddingstarDetail_description_text1');
        this._desc2 = this._widgetRootElement.getElement('#WeddingstarDetail_description_text2');
        this._desc3 = this._widgetRootElement.getElement('#WeddingstarDetail_description_text3');
        this._desc4 = this._widgetRootElement.getElement('#WeddingstarDetail_description_text4');
        this._desc5 = this._widgetRootElement.getElement('#WeddingstarDetail_description_text5');
        this._desc6 = this._widgetRootElement.getElement('#WeddingstarDetail_description_text6');
        this._desc7 = this._widgetRootElement.getElement('#WeddingstarDetail_description_text7');
        this._desc8 = this._widgetRootElement.getElement('#WeddingstarDetail_description_text8');
        this._desc9 = this._widgetRootElement.getElement('#WeddingstarDetail_description_text9');
        this._desc10 = this._widgetRootElement.getElement('#WeddingstarDetail_description_text10');		
        this._buttons = this._widgetRootElement.getElement('#WeddingstarDetail_buttons');
        this._buttons_ul = this._widgetRootElement.getElement('#WeddingstarDetail_buttons_ul');
        this._btnLink = this._widgetRootElement.getElement('#WeddingstarDetail_buttons_link_btn');
        this._images_panel = this._widgetRootElement.getElement('#WeddingstarDetail_images_panel');
        this._imagesLarge = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
        this._imagesThumbs = this._widgetRootElement.getElement('#WeddingstarDetail_images_thumbs');
        this._video_panel = this._widgetRootElement.getElement('#WeddingstarDetail_video_panel');
        this._video = this._widgetRootElement.getElement('#WeddingstarDetail_video');
        this._item1InfoArray = new Array();
        this._item2InfoArray = new Array();
        this._item3InfoArray = new Array();
        this._item4InfoArray = new Array();
        this._item5InfoArray = new Array();
        this._item6InfoArray = new Array();
        this._item7InfoArray = new Array();
        this._item8InfoArray = new Array();
        this._item9InfoArray = new Array();
        this._item10InfoArray = new Array();

        var theBookListEntryObj = this._appState.get(currentBook).getBookListEntry();
        this._currencyType = theBookListEntryObj.currencyDesignator;

        var sku_str = this._data.find('item').text();
        sku_str = sku_str.replace(/#/g, '');
        var sku_array = sku_str.split('|');
        this._skuCnt = sku_array.length;

        var i;

        for (i = 0; i < sku_array.length; i++) {
            var serviceUrl = REMOTE_PATH_TO_SERVICES + this._getBasePath() + 'ServiceWDSItemDB.php' + CacheMgr.getInstance().getResourceCacheArg('RelId', '?');
            sku_str = sku_array[i];
            // Request JSON string from service
            this._request = new Request({
                url: serviceUrl,
                // service URL
                data: {
                    'sku': sku_str,
                    'currency': this._currencyType
                },
                format: 'json',
                // string format passed back from service
                method: 'get',
                // request type
                // populate dialog after a successful call to service
                onSuccess: function (json_text) {
                    var parsed_json = JSON.decode(json_text); // covert JSON string to JSON object
                    this._loadData(parsed_json, i);

                }.bind(this),
                // display alert if a problem occurs
                onFailure: function (xhr) {
                    Facade.getInstance().sendNotification(ApplicationFacade.ALERT_OK, {
                        message: 'Unable to Access Product Info'
                    });
                    return;
                }.bind(this)
            }).send();
        }




    },

    _loadData: function (itemDetail, sku_index) {
        if (!itemDetail || itemDetail.length == 0) {
            Facade.getInstance().sendNotification(ApplicationFacade.ALERT_OK, {
                message: 'Unable to Access Product Info'
            });
            this.onClose();
            return;
        }


        var tempItemInfoArray = new Array();
        //var itemInfoArray = new Array();
        //var items = this._data.find('item');
        //    items.each(function (index, value) {
        //        this._tempItemInfoArray = new Array();
        var this_sku = itemDetail.sku;
        if (this_sku == null) this_sku = '';
        tempItemInfoArray['sku'] = this_sku;

        var this_price = itemDetail.price;
        if (this_price == null) this_price = '';
        tempItemInfoArray['price'] = this_price;

        var this_colors = itemDetail.colors;
        if (this_colors == null) this_colors = '';
        tempItemInfoArray['colors'] = this_colors;

        var this_title = itemDetail.title;
        if (this_title == null) this_title = '';
        tempItemInfoArray['title'] = this_title;

        var this_desc = itemDetail.desc;
        if (this_desc == null) this_desc = '';
        tempItemInfoArray['desc'] = this_desc;

        var this_dest = itemDetail.dest;
        if (this_dest == null) this_dest = '';
        tempItemInfoArray['dest'] = this_dest;

        var this_image = itemDetail.image;
        if (this_image == null) this_image = '';
        tempItemInfoArray['image'] = this_image;

        //if (sku_index == 0)
        if (this._item1InfoArray['sku'] == null) {
            this._item1InfoArray = tempItemInfoArray;
            this._skuCompleted++;
            this._item1ready = true;
        }
        //else if (sku_index == 1)
        else if (this._item2InfoArray['sku'] == null) {
            this._item2InfoArray = tempItemInfoArray;
            this._skuCompleted++;
            this._item2ready = true;
        }
        //else if (sku_index == 2)
        else if (this._item3InfoArray['sku'] == null) {
            this._item3InfoArray = tempItemInfoArray;
            this._skuCompleted++;
            this._item3ready = true;

        }
        //else if (sku_index == 3)
        else if (this._item4InfoArray['sku'] == null) {
            this._item4InfoArray = tempItemInfoArray;
            this._skuCompleted++;
            this._item4ready = true;
        }
        //else if (sku_index == 4)
        else if (this._item5InfoArray['sku'] == null) {
            this._item5InfoArray = tempItemInfoArray;
            this._skuCompleted++;
            this._item5ready = true;

        } else if (this._item6InfoArray['sku'] == null) {
            this._item6InfoArray = tempItemInfoArray;
            this._skuCompleted++;
            this._item6ready = true;

        } else if (this._item7InfoArray['sku'] == null) {
            this._item7InfoArray = tempItemInfoArray;
            this._skuCompleted++;
            this._item7ready = true;

        } else if (this._item8InfoArray['sku'] == null) {
            this._item8InfoArray = tempItemInfoArray;
            this._skuCompleted++;
            this._item8ready = true;

        } else if (this._item9InfoArray['sku'] == null) {
            this._item9InfoArray = tempItemInfoArray;
            this._skuCompleted++;
            this._item9ready = true;

        } else if (this._item10InfoArray['sku'] == null) {
            this._item10InfoArray = tempItemInfoArray;
            this._skuCompleted++;
            this._item10ready = true;

        }

        if (this._skuCnt == this._skuCompleted) {
            this._sku.set('html', this._item1InfoArray['sku']);
            this._sku1.set('html', this._item1InfoArray['sku']);
            this._sku2.set('html', this._item2InfoArray['sku']);
            this._sku3.set('html', this._item3InfoArray['sku']);
            this._sku4.set('html', this._item4InfoArray['sku']);
            this._sku5.set('html', this._item5InfoArray['sku']);
            this._sku6.set('html', this._item6InfoArray['sku']);
            this._sku7.set('html', this._item7InfoArray['sku']);
            this._sku8.set('html', this._item8InfoArray['sku']);
            this._sku9.set('html', this._item9InfoArray['sku']);
            this._sku10.set('html', this._item10InfoArray['sku']);
            this._price.set('html', this._item1InfoArray['price']);
            this._price1.set('html', this._item1InfoArray['price']);
            this._price2.set('html', this._item2InfoArray['price']);
            this._price3.set('html', this._item3InfoArray['price']);
            this._price4.set('html', this._item4InfoArray['price']);
            this._price5.set('html', this._item5InfoArray['price']);
            this._price6.set('html', this._item6InfoArray['price']);
            this._price7.set('html', this._item7InfoArray['price']);
            this._price8.set('html', this._item8InfoArray['price']);
            this._price9.set('html', this._item9InfoArray['price']);
            this._price10.set('html', this._item10InfoArray['price']);
            this._colors.set('html', this._item1InfoArray['colors']);
            this._colors1.set('html', this._item1InfoArray['colors']);
            this._colors2.set('html', this._item2InfoArray['colors']);
            this._colors3.set('html', this._item3InfoArray['colors']);
            this._colors4.set('html', this._item4InfoArray['colors']);
            this._colors5.set('html', this._item5InfoArray['colors']);
            this._colors6.set('html', this._item6InfoArray['colors']);
            this._colors7.set('html', this._item7InfoArray['colors']);
            this._colors8.set('html', this._item8InfoArray['colors']);
            this._colors9.set('html', this._item9InfoArray['colors']);
            this._colors10.set('html', this._item10InfoArray['colors']);
            this._title.set('html', this._item1InfoArray['title']);
            this._title1.set('html', this._item1InfoArray['title']);
            this._title11.set('html', this._item1InfoArray['title']);
            this._title12.set('html', this._item2InfoArray['title']);
            this._title13.set('html', this._item3InfoArray['title']);
            this._title14.set('html', this._item4InfoArray['title']);
            this._title15.set('html', this._item5InfoArray['title']);
            this._title16.set('html', this._item6InfoArray['title']);
            this._title17.set('html', this._item7InfoArray['title']);
            this._title18.set('html', this._item8InfoArray['title']);
            this._title19.set('html', this._item9InfoArray['title']);
            this._title110.set('html', this._item10InfoArray['title']);
            //this._desc.set('html', this._item1InfoArray['desc']);	
            if (this._item1InfoArray['desc'] == null) this._widgetRootElement.getElement('#WeddingstarDetail_description').dispose(), this._widgetRootElement.getElement('#WeddingstarDetail_right-entry').dispose();
            else this._desc.set('html', this._item1InfoArray['desc']);

            if (this._item1InfoArray['desc'] == null) this._widgetRootElement.getElement('#WeddingstarDetail_description1').dispose(), this._widgetRootElement.getElement('#WeddingstarDetail_right-entry1').dispose();
            else this._desc1.set('html', this._item1InfoArray['desc']);

            if (this._item2InfoArray['desc'] == null) this._widgetRootElement.getElement('#WeddingstarDetail_description2').dispose(), this._widgetRootElement.getElement('#WeddingstarDetail_right-entry2').dispose();
            else this._desc2.set('html', this._item2InfoArray['desc']);

            if (this._item3InfoArray['desc'] == null) this._widgetRootElement.getElement('#WeddingstarDetail_description3').dispose(), this._widgetRootElement.getElement('#WeddingstarDetail_right-entry3').dispose();
            else this._desc3.set('html', this._item3InfoArray['desc']);

            if (this._item4InfoArray['desc'] == null) this._widgetRootElement.getElement('#WeddingstarDetail_description4').dispose(), this._widgetRootElement.getElement('#WeddingstarDetail_right-entry4').dispose();
            else this._desc4.set('html', this._item4InfoArray['desc']);

            if (this._item5InfoArray['desc'] == null) this._widgetRootElement.getElement('#WeddingstarDetail_description5').dispose(), this._widgetRootElement.getElement('#WeddingstarDetail_right-entry5').dispose();
            else this._desc5.set('html', this._item5InfoArray['desc']);

            if (this._item6InfoArray['desc'] == null) this._widgetRootElement.getElement('#WeddingstarDetail_description6').dispose(), this._widgetRootElement.getElement('#WeddingstarDetail_right-entry6').dispose();
            else this._desc6.set('html', this._item6InfoArray['desc']);

            if (this._item7InfoArray['desc'] == null) this._widgetRootElement.getElement('#WeddingstarDetail_description7').dispose(), this._widgetRootElement.getElement('#WeddingstarDetail_right-entry7').dispose();
            else this._desc7.set('html', this._item7InfoArray['desc']);

            if (this._item8InfoArray['desc'] == null) this._widgetRootElement.getElement('#WeddingstarDetail_description8').dispose(), this._widgetRootElement.getElement('#WeddingstarDetail_right-entry8').dispose();
            else this._desc8.set('html', this._item8InfoArray['desc']);

            if (this._item9InfoArray['desc'] == null) this._widgetRootElement.getElement('#WeddingstarDetail_description9').dispose(), this._widgetRootElement.getElement('#WeddingstarDetail_right-entry9').dispose();
            else this._desc9.set('html', this._item9InfoArray['desc']);

            if (this._item10InfoArray['desc'] == null) this._widgetRootElement.getElement('#WeddingstarDetail_description10').dispose(), this._widgetRootElement.getElement('#WeddingstarDetail_right-entry10').dispose();
            else this._desc10.set('html', this._item10InfoArray['desc']);

            largeimg1 = this._item1InfoArray['image'];
            largeimg2 = this._item1InfoArray['image2'];
            largeimg3 = this._item1InfoArray['image3'];
            largeimg4 = this._item1InfoArray['image4'];
            largeimg5 = this._item1InfoArray['image5'];
            largeimg6 = this._item1InfoArray['image6'];
            largeimg7 = this._item1InfoArray['image7'];
            largeimg8 = this._item1InfoArray['image8'];
            largeimg9 = this._item1InfoArray['image9'];
            largeimg10 = this._item1InfoArray['image10'];

            this._book = this._appState.get(currentBook);
            var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
            this._imgpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
            this._imgpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large2');
            this._imgpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large3');
            this._imgpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large4');
            this._imgpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large5');
            this._imgpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large6');
            this._imgpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large7');
            this._imgpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large8');
            this._imgpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large9');
            this._imgpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large10');

            this._bottomintro = this._widgetRootElement.getElement('#WeddingstarDetail_bottominfo-intro');
            this._bottomintrobg = this._widgetRootElement.getElement('#WeddingstarDetail_bottominfo-intro-bg');
            this._bottomtext = this._widgetRootElement.getElement('#WeddingstarDetail_bottominfo');

            if (this._item2InfoArray['desc'] == null) {
                this._bottomintro.setStyle('display', 'none');
                this._bottomintrobg.setStyle('display', 'none');
                this._bottomtext.setStyle('display', 'block');
            }

            if (largeimg1 != null) {
                // this._imgpane1.set('src', sectionPath + largeimg1);
                this._imgpane1.set('src', largeimg1);
                this._imgpane1.mooTouchAdd({
                    'click': true
                });
            }

            if (largeimg2 != null) {
                this._imgpane2.set('src', largeimg2);
                this._imgpane2.mooTouchAdd({
                    'click': true
                });
            }

            if (largeimg3 != null) {
                this._imgpane3.set('src', largeimg3);
                this._imgpane3.mooTouchAdd({
                    'click': true
                });
            }

            if (largeimg4 != null) {
                this._imgpane4.set('src', largeimg4);
                this._imgpane4.mooTouchAdd({
                    'click': true
                });
            }

            if (largeimg5 != null) {
                this._imgpane5.set('src', largeimg5);
                this._imgpane5.mooTouchAdd({
                    'click': true
                });
            }

            if (largeimg6 != null) {
                this._imgpane6.set('src', largeimg6);
                this._imgpane6.mooTouchAdd({
                    'click': true
                });
            }

            if (largeimg7 != null) {
                this._imgpane7.set('src', largeimg7);
                this._imgpane7.mooTouchAdd({
                    'click': true
                });
            }

            if (largeimg8 != null) {
                this._imgpane8.set('src', largeimg8);
                this._imgpane8.mooTouchAdd({
                    'click': true
                });
            }

            if (largeimg9 != null) {
                this._imgpane9.set('src', largeimg9);
                this._imgpane9.mooTouchAdd({
                    'click': true
                });
            }

            if (largeimg10 != null) {
                this._imgpane10.set('src', largeimg10);
                this._imgpane10.mooTouchAdd({
                    'click': true
                });
            }

            thumb1 = this._item1InfoArray['image'];
            thumb2 = this._item1InfoArray['thumb2'];
            thumb3 = this._item1InfoArray['thumb3'];
            thumb4 = this._item1InfoArray['thumb4'];
            thumb5 = this._item1InfoArray['thumb5'];
            thumb6 = this._item1InfoArray['thumb6'];
            thumb7 = this._item1InfoArray['thumb7'];
            thumb8 = this._item1InfoArray['thumb8'];
            thumb9 = this._item1InfoArray['thumb9'];
            thumb10 = this._item1InfoArray['thumb10'];

            this._book = this._appState.get(currentBook);
            var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
            this._thumbpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb1');
            this._thumbpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb2');
            this._thumbpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb3');
            this._thumbpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb4');
            this._thumbpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb5');
            this._thumbpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb6');
            this._thumbpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb7');
            this._thumbpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb8');
            this._thumbpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb9');
            this._thumbpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb10');

            if (thumb1 != null) {
                //this._thumbpane1.set('src', sectionPath + thumb1);
                this._thumbpane1.set('src', thumb1);
                this._thumbpane1.addEvent('click', this._onClickThumb1.bind(this));
                this._thumbpane1.mooTouchAdd({
                    'click': true
                });
            }

            if (thumb2 != null) {
                this._thumbpane2.set('src', thumb2);
                this._thumbpane2.addEvent('click', this._onClickThumb2.bind(this));
                this._thumbpane2.mooTouchAdd({
                    'click': true
                });
            }

            if (thumb3 != null) {
                this._thumbpane3.set('src', thumb3);
                this._thumbpane3.addEvent('click', this._onClickThumb3.bind(this));
                this._thumbpane3.mooTouchAdd({
                    'click': true
                });
            }

            if (thumb4 != null) {
                this._thumbpane4.set('src', thumb4);
                this._thumbpane4.addEvent('click', this._onClickThumb4.bind(this));
                this._thumbpane4.mooTouchAdd({
                    'click': true
                });
            }

            if (thumb5 != null) {
                this._thumbpane5.set('src', thumb5);
                this._thumbpane5.addEvent('click', this._onClickThumb5.bind(this));
                this._thumbpane5.mooTouchAdd({
                    'click': true
                });
            }

            if (thumb6 != null) {
                this._thumbpane6.set('src', thumb6);
                this._thumbpane6.addEvent('click', this._onClickThumb6.bind(this));
                this._thumbpane6.mooTouchAdd({
                    'click': true
                });
            }
            if (thumb7 != null) {
                this._thumbpane7.set('src', thumb7);
                this._thumbpane7.addEvent('click', this._onClickThumb7.bind(this));
                this._thumbpane7.mooTouchAdd({
                    'click': true
                });
            }
            if (thumb8 != null) {
                this._thumbpane8.set('src', thumb8);
                this._thumbpane8.addEvent('click', this._onClickThumb8.bind(this));
                this._thumbpane8.mooTouchAdd({
                    'click': true
                });
            }
            if (thumb9 != null) {
                this._thumbpane9.set('src', thumb9);
                this._thumbpane9.addEvent('click', this._onClickThumb9.bind(this));
                this._thumbpane9.mooTouchAdd({
                    'click': true
                });
            }
            if (thumb10 != null) {
                this._thumbpane10.set('src', thumb10);
                this._thumbpane10.addEvent('click', this._onClickThumb10.bind(this));
                this._thumbpane10.mooTouchAdd({
                    'click': true
                });
            }

            rightthumb1 = this._item1InfoArray['image'];
            rightthumb2 = this._item2InfoArray['image'];
            rightthumb3 = this._item3InfoArray['image'];
            rightthumb4 = this._item4InfoArray['image'];
            rightthumb5 = this._item5InfoArray['image'];
            rightthumb6 = this._item6InfoArray['image'];
            rightthumb7 = this._item7InfoArray['image'];
            rightthumb8 = this._item8InfoArray['image'];
            rightthumb9 = this._item9InfoArray['image'];
            rightthumb10 = this._item10InfoArray['image'];

            this._book = this._appState.get(currentBook);
            var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
            this._rightthumbs1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_rightthumbs1');
            this._rightthumbs2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_rightthumbs2');
            this._rightthumbs3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_rightthumbs3');
            this._rightthumbs4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_rightthumbs4');
            this._rightthumbs5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_rightthumbs5');
            this._rightthumbs6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_rightthumbs6');
            this._rightthumbs7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_rightthumbs7');
            this._rightthumbs8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_rightthumbs8');
            this._rightthumbs9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_rightthumbs9');
            this._rightthumbs10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_rightthumbs10');
            this._rightclick1 = this._widgetRootElement.getElement('#WeddingstarDetail_description1');
            this._rightclick2 = this._widgetRootElement.getElement('#WeddingstarDetail_description2');
            this._rightclick3 = this._widgetRootElement.getElement('#WeddingstarDetail_description3');
            this._rightclick4 = this._widgetRootElement.getElement('#WeddingstarDetail_description4');
            this._rightclick5 = this._widgetRootElement.getElement('#WeddingstarDetail_description5');
            this._rightclick6 = this._widgetRootElement.getElement('#WeddingstarDetail_description6');
            this._rightclick7 = this._widgetRootElement.getElement('#WeddingstarDetail_description7');
            this._rightclick8 = this._widgetRootElement.getElement('#WeddingstarDetail_description8');
            this._rightclick9 = this._widgetRootElement.getElement('#WeddingstarDetail_description9');
            this._rightclick10 = this._widgetRootElement.getElement('#WeddingstarDetail_description10');

            if (rightthumb1 != null) {
                //this._rightthumbs1.set('src',  rightthumb1);
                this._rightthumbs1.set('src', rightthumb1);
                this._rightthumbs1.addEvent('click', this._onClickRightThumb1.bind(this));
                this._rightclick1.addEvent('click', this._onClickRightThumb1.bind(this));
                this._rightthumbs1.mooTouchAdd({
                    'click': true
                });
            }

            if (rightthumb2 != null) {
                this._rightthumbs2.set('src', rightthumb2);
                this._rightthumbs2.addEvent('click', this._onClickRightThumb2.bind(this));
                this._rightclick2.addEvent('click', this._onClickRightThumb2.bind(this));
                this._rightthumbs2.mooTouchAdd({
                    'click': true
                });
            }

            if (rightthumb3 != null) {
                this._rightthumbs3.set('src', rightthumb3);
                this._rightthumbs3.addEvent('click', this._onClickRightThumb3.bind(this));
                this._rightclick3.addEvent('click', this._onClickRightThumb3.bind(this));
                this._rightthumbs3.mooTouchAdd({
                    'click': true
                });
            }

            if (rightthumb4 != null) {
                this._rightthumbs4.set('src', rightthumb4);
                this._rightthumbs4.addEvent('click', this._onClickRightThumb4.bind(this));
                this._rightclick4.addEvent('click', this._onClickRightThumb4.bind(this));
                this._rightthumbs4.mooTouchAdd({
                    'click': true
                });
            }

            if (rightthumb5 != null) {
                this._rightthumbs5.set('src', rightthumb5);
                this._rightthumbs5.addEvent('click', this._onClickRightThumb5.bind(this));
                this._rightclick5.addEvent('click', this._onClickRightThumb5.bind(this));
                this._rightthumbs5.mooTouchAdd({
                    'click': true
                });
            }

            if (rightthumb6 != null) {
                this._rightthumbs6.set('src', rightthumb6);
                this._rightthumbs6.addEvent('click', this._onClickRightThumb6.bind(this));
                this._rightclick6.addEvent('click', this._onClickRightThumb6.bind(this));
                this._rightthumbs6.mooTouchAdd({
                    'click': true
                });
            }

            if (rightthumb7 != null) {
                this._rightthumbs7.set('src', rightthumb7);
                this._rightthumbs7.addEvent('click', this._onClickRightThumb7.bind(this));
                this._rightclick7.addEvent('click', this._onClickRightThumb7.bind(this));
                this._rightthumbs7.mooTouchAdd({
                    'click': true
                });
            }

            if (rightthumb8 != null) {
                this._rightthumbs8.set('src', rightthumb8);
                this._rightthumbs8.addEvent('click', this._onClickRightThumb8.bind(this));
                this._rightclick8.addEvent('click', this._onClickRightThumb8.bind(this));
                this._rightthumbs8.mooTouchAdd({
                    'click': true
                });
            }

            if (rightthumb9 != null) {
                this._rightthumbs9.set('src', rightthumb6);
                this._rightthumbs9.addEvent('click', this._onClickRightThumb9.bind(this));
                this._rightclick9.addEvent('click', this._onClickRightThumb9.bind(this));
                this._rightthumbs9.mooTouchAdd({
                    'click': true
                });
            }

            if (rightthumb10 != null) {
                this._rightthumbs10.set('src', rightthumb10);
                this._rightthumbs10.addEvent('click', this._onClickRightThumb10.bind(this));
                this._rightclick10.addEvent('click', this._onClickRightThumb10.bind(this));
                this._rightthumbs10.mooTouchAdd({
                    'click': true
                });
            }

            // ********** Load the media content here **********
            // default media to show
            if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
                if (Browser.Platform.mobile) {
                    if (this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) this._createBtnDetails();
                    this._details.hide();
                }
                if (this._widgetRootElement.getElement('#WeddingstarDetail_video_panel')) {
                    this._video_panel.hide();
                    //                this._createBtnVideo();
                }
            } else {
                if (this._widgetRootElement.getElement('#WeddingstarDetail_video_panel')) {
                    if (Browser.Platform.mobile) {
                        if (this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) this._createBtnDetails();
                        this._details.hide();
                    }
                }
            }
            var mediaChildren = this._media.getElements('div');
            if (mediaChildren.length == 0) this._media.dispose();

            // load video
            var data_youtube = this._data.find('video').find('youtube').text();
            if (data_youtube == '') this._video_panel.dispose();

            // ********** Load the buttons content here **********
            var data_url = itemDetail.dest;
            if (data_url !== '') {
				this._theUrl = this._item1InfoArray['dest'];
                this._btnLink.addEvent('click', this._onClickBtnLink.bind(this));
                this._btnLink.mooTouchAdd({
                    'click': true
                });
            } else {
                this._btnLink.dispose();
            }

            this._doLayout();
            this._show();
        }
    },

    // ------------------------------------------------------------------------
    // hide and show elements before the page is shown
    // ------------------------------------------------------------------------
    _doLayout: function () {
        if (Browser.Platform.tablet) {
            if (DeviceMgr.getInstance().isOrientationPortrait()) {
                this._title2.hide();
                this._title1.show();
                if (this._widgetRootElement.getElement('#WeddingstarDetail_media')) {
                    this._media.erase('class').addClass('twelve columns shadow_bottom');
                }
                this._info.erase('class').addClass('columns twelve');
                this._details.erase('class').addClass('eight columns mobile-three'); //mobile-three for 7" tablet
                this._buttons.erase('class').addClass('four columns mobile-one'); //mobile-one for 7" tablet
                this._buttons_ul.erase('class').addClass('block-grid one-up');
            } else {
                this._title1.hide();
                this._title2.show();
                if (this._widgetRootElement.getElement('#WeddingstarDetail_media')) {
                    this._media.erase('class').addClass('seven columns shadow_right');
                    this._info.erase('class').addClass('five columns');
                    this._buttons_ul.erase('class').addClass('block-grid two-up');
                } else {
                    this._info.erase('class').addClass('twelve columns');
                    this._buttons_ul.erase('class').addClass('block-grid five-up');
                }
                this._details.erase('class').addClass('twelve columns');
                this._buttons.erase('class').addClass('twelve columns');
            }
        } else if (Browser.Platform.mobile) {
            this._title2.hide();
            if (this._widgetRootElement.getElement('#WeddingstarDetail_media')) {
                this._media.erase('class').addClass('twelve columns');
            }
            this._info.erase('class').addClass('twelve columns');
            this._buttons_ul.erase('class').addClass('block-grid four-up');
        } else {
            this._title1.hide();
            if (!this._widgetRootElement.getElement('#WeddingstarDetail_media')) {
                this._info.erase('class').addClass('twelve columns');
                this._buttons_ul.erase('class').addClass('block-grid five-up');
            }
        }


        setTimeout(function () {
            // vertically size elements
            var popUpH = jQuery('#WeddingstarDetail_DialogContent').outerHeight(true);
            var buttonsH = jQuery('#WeddingstarDetail_buttons').outerHeight(true);

            if (Browser.Platform.tablet && DeviceMgr.getInstance().isOrientationPortrait()) {
                var titleH = jQuery('#WeddingstarDetail_title1').outerHeight(true);
                if (jQuery('#WeddingstarDetail_media').length > 0) {
                    var mediaH = popUpH * 3.5 / 8;
                    jQuery('#WeddingstarDetail_media').css('height', mediaH);
                    jQuery('#WeddingstarDetail_info').css('height', mediaH);
                } else var mediaH = 0;
                var scrollH = popUpH - titleH - mediaH - 15;
                //console.log('popup: ' + popUpH + ', titleH: ' + titleH + ', mediaH: ' + mediaH + ' scrollH: ' + scrollH);
            } else if (Browser.Platform.mobile) {
                var titleH = jQuery('#WeddingstarDetail_title1').outerHeight(true);
                if (jQuery('#WeddingstarDetail_media').length > 0) {
                    var mediaH = popUpH - titleH - buttonsH - 5;
                    jQuery('#WeddingstarDetail_media').css('height', mediaH);
                    jQuery('#WeddingstarDetail_info').css('height', mediaH);
                }
                var scrollH = popUpH - titleH - buttonsH - 10;
                //console.log('popup: ' + popUpH + ', titleH: ' + titleH + ', buttonsH: ' + buttonsH + ' scrollH: ' + scrollH);
            } else {
                var titleH = jQuery('#WeddingstarDetail_title2').outerHeight(true);
                if (jQuery('#WeddingstarDetail_media').length > 0) {
                    var mediaH = popUpH;
                    jQuery('#WeddingstarDetail_media').css('height', mediaH);
                    jQuery('#WeddingstarDetail_info').css('height', mediaH);
                }
                var scrollH = popUpH - titleH - buttonsH - 5;
                //console.log('popup: ' + popUpH + ', titleH: ' + titleH + ', buttonsH: ' + buttonsH + ' scrollH: ' + scrollH);
            }
            jQuery('#WeddingstarDetail_description_overflow').css('height', scrollH);

        }, 200);

        // video
        if (this._data.find('video').find('youtube').text() !== '' && !this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            var timeFunc = function () {
                    this._doYoutubeCreate1();
                }.bind(this);
            setTimeout(timeFunc, 201);
        }

    },

    // ------------------------------------------------------------------------
    // create the buttons
    // ------------------------------------------------------------------------
    _createBtnDetails: function () {
        var ul = this._buttons_ul;
        new Element('li', {
            'id': 'WeddingstarDetail_buttons_details'
        }).inject(ul).adopt(new Element('div', {
            'id': 'WeddingstarDetail_buttons_details_btn',
            'class': 'radius button',
            'html': 'Product Details'
        }));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_details_btn').addEvent('click', this._onClickBtnDetails.bind(this));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_details_btn').mooTouchAdd({
            'click': true
        });
    },

    _createBtnImages: function () {
        var ul = this._buttons_ul;
        new Element('li', {
            'id': 'WeddingstarDetail_buttons_images'
        }).inject(ul).adopt(new Element('div', {
            'id': 'WeddingstarDetail_buttons_images_btn',
            'class': 'radius button',
            'html': 'Product Images'
        }));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_images_btn').addEvent('click', this._onClickBtnImages.bind(this));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_images_btn').mooTouchAdd({
            'click': true
        });
    },

    _createBtnVideo1: function () {
        var ul = this._buttons_ul;
        new Element('li', {
            'id': 'WeddingstarDetail_buttons_video'
        }).inject(ul).adopt(new Element('div', {
            'id': 'WeddingstarDetail_buttons_video_btn',
            'class': 'radius button',
            'html': 'Product Video'
        }));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video_btn').addEvent('click', this._onClickBtnVideo1.bind(this));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video_btn').mooTouchAdd({
            'click': true
        });
    },

    _createBtnVideo2: function () {
        var ul = this._buttons_ul;
        new Element('li', {
            'id': 'WeddingstarDetail_buttons_video'
        }).inject(ul).adopt(new Element('div', {
            'id': 'WeddingstarDetail_buttons_video_btn',
            'class': 'radius button',
            'html': 'Product Video'
        }));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video_btn').addEvent('click', this._onClickBtnVideo2.bind(this));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video_btn').mooTouchAdd({
            'click': true
        });
    },

    _createBtnVideo3: function () {
        var ul = this._buttons_ul;
        new Element('li', {
            'id': 'WeddingstarDetail_buttons_video'
        }).inject(ul).adopt(new Element('div', {
            'id': 'WeddingstarDetail_buttons_video_btn',
            'class': 'radius button',
            'html': 'Product Video'
        }));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video_btn').addEvent('click', this._onClickBtnVideo3.bind(this));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video_btn').mooTouchAdd({
            'click': true
        });
    },

    _createBtnVideo4: function () {
        var ul = this._buttons_ul;
        new Element('li', {
            'id': 'WeddingstarDetail_buttons_video'
        }).inject(ul).adopt(new Element('div', {
            'id': 'WeddingstarDetail_buttons_video_btn',
            'class': 'radius button',
            'html': 'Product Video'
        }));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video_btn').addEvent('click', this._onClickBtnVideo4.bind(this));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video_btn').mooTouchAdd({
            'click': true
        });
    },

    _createBtnVideo5: function () {
        var ul = this._buttons_ul;
        new Element('li', {
            'id': 'WeddingstarDetail_buttons_video'
        }).inject(ul).adopt(new Element('div', {
            'id': 'WeddingstarDetail_buttons_video_btn',
            'class': 'radius button',
            'html': 'Product Video'
        }));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video_btn').addEvent('click', this._onClickBtnVideo5.bind(this));
        this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video_btn').mooTouchAdd({
            'click': true
        });
    },

    // ------------------------------------------------------------------------
    // 1. Keep the dialog centered in the window
    // 2. Handle landscape/portrait layouts
    // ------------------------------------------------------------------------
    _onResize: function () {
        var isPortrait = false; // Use landscape dialog layout if not mobile
        if (Browser.Platform.mobile || Browser.Platform.tablet) isPortrait = DeviceMgr.getInstance().isOrientationPortrait();

        this.parent();
    },

    // ------------------------------------------------------------------------
    // Put any code which needs to be executed when the dialog is closed here
    // ------------------------------------------------------------------------
    onClose: function () {
        if (this._myTimer) {
            clearTimeout(this._myTimer);
            this._myTimer = null;
        }

        this.parent();
    },

    // ------------------------------------------------------------------------
    // Thumbnail click event handler
    // ------------------------------------------------------------------------
    // ------------------------------------------------------------------------
    // Large image event handler
    // ------------------------------------------------------------------------

    // ------------------------------------------------------------------------
    // video element
    // ------------------------------------------------------------------------
    _onClickVideoPanelBtn: function (e) {
        if (typeof (PhoneGap) !== 'undefined') this._doVideoPanel(DeviceMgr.getInstance().isConnected());
        else this._doVideoPanel(true);
    },

    _doVideoPanel: function (isNetworkConnected) {
        var isPhoneGap = (typeof (PhoneGap) == 'undefined') ? false : true;
        if (isNetworkConnected) {
            // This is a workaround to play native video's for android.  Android appears to have no problem playing video's from the browser, but when we are in native mode
            // the video will not play.  I am using the video plug-in that was crated by Simon MacDonald (major phonegap contributor/developer).
            if ((isPhoneGap) && (Browser.Platform.android)) {
                if (this._videoMP4 != '') {
                    YouTubeVideoPlayer.play(this._videoMP4);
                } else if (this._videoOGV != '') {
                    YouTubeVideoPlayer.play(this._videoOGV);
                }
            } else {
                this._video.play();
            }
        } else {
            Facade.getInstance().sendNotification(ApplicationFacade.ALERT_OK, {
                message: 'You will need to establish an internet connection to play this web video.',
                title: 'Need network connection'
            });

        }
    },

    _onVideoCompleted: function (e) {
        if (e.target.webkitSupportsFullscreen) {
            e.target.webkitExitFullScreen();
        }
        e.target.currentTime = 0;
        e.target.pause();
    },

    // ------------------------------------------------------------------------
    // Youtube video iframe
    // ------------------------------------------------------------------------
    _doYoutubeCreate1: function () {
        this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe').src = this._item1InfoArray['youtube'];
        this._doYoutubeSet();
    },
    _doYoutubeCreate2: function () {
        this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe').src = this._item2InfoArray['youtube'];
        this._doYoutubeSet();
    },
    _doYoutubeCreate3: function () {
        this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe').src = this._item3InfoArray['youtube'];
        this._doYoutubeSet();
    },
    _doYoutubeCreate4: function () {
        this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe').src = this._item4InfoArray['youtube'];
        this._doYoutubeSet();
    },
    _doYoutubeCreate5: function () {
        this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe').src = this._item5InfoArray['youtube'];
        this._doYoutubeSet();
    },
    _doYoutubeCreate6: function () {
        this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe').src = this._item6InfoArray['youtube'];
        this._doYoutubeSet();
    },
    _doYoutubeCreate7: function () {
        this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe').src = this._item7InfoArray['youtube'];
        this._doYoutubeSet();
    },
    _doYoutubeCreate8: function () {
        this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe').src = this._item8InfoArray['youtube'];
        this._doYoutubeSet();
    },
    _doYoutubeCreate9: function () {
        this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe').src = this._item9InfoArray['youtube'];
        this._doYoutubeSet();
    },
    _doYoutubeCreate10: function () {
        this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe').src = this._item10InfoArray['youtube'];
        this._doYoutubeSet();
    },
    _doYoutubeDestroy: function () {
        this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe').src = '';
    },

    _doYoutubeSize: function (availHeight) {
        var videoPanel = this._widgetRootElement.getElement('#WeddingstarDetail_video_panel');
        var videoYoutubeFrame = this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe');
        var sizeFrame = videoPanel.getSize();
        videoYoutubeFrame.setStyle('width', sizeFrame.x);

        if (availHeight < sizeFrame.x * 0.5625) {
            var videoWidth = availHeight * 1.777778;
            if (Browser.Platform.tablet) videoYoutubeFrame.setStyles({
                'height': 350,
                'width': videoWidth
            });
            else videoYoutubeFrame.setStyles({
                'height': availHeight,
                'width': videoWidth
            });
        } else {
            var videoHeight = sizeFrame.x * 0.5625;
            videoYoutubeFrame.setStyle('height', videoHeight);
        }
    },
    _doYoutubeSet: function () {
        if (Browser.Platform.tablet && DeviceMgr.getInstance().isOrientationPortrait()) {
            if (this._widgetRootElement.getElement('#WeddingstarDetail_media')) {
                this._doYoutubeSize(350);
            }
        } else {
            if (this._widgetRootElement.getElement('#WeddingstarDetail_media')) {
                var sizeVideo = this._media.getSize();
                this._doYoutubeSize(sizeVideo.y);
            }
        }
    },


    // ************************************************************************
    // ************************************************************************
    //
    // ************* Add Custom Functions and Event Handlers here *************
    //
    // ************************************************************************
    // ************************************************************************
    // ------------------------------------------------------------------------
    // Button click event handlers
    // ------------------------------------------------------------------------
    _onClickBtnLink: function (e) {
        Facade.getInstance().sendNotification(ApplicationFacade.GOTO_URL, {
            link: this._theUrl,
            source: 'WeddingstarDetail'
        });
    },

    _onDisposeMediaButtons: function (e) {
        if (this._widgetRootElement.getElement('#WeddingstarDetail_buttons_images')) this._widgetRootElement.getElement('#WeddingstarDetail_buttons_images').dispose();
        if (this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video')) this._widgetRootElement.getElement('#WeddingstarDetail_buttons_video').dispose();
        if (this._widgetRootElement.getElement('#WeddingstarDetail_buttons_details')) this._widgetRootElement.getElement('#WeddingstarDetail_buttons_details').dispose();
    },

    _onClickBtnDetails1: function (e) {
        this._onDisposeMediaButtons();
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_video_panel')) {
            this._video_panel.hide();
            if (this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe')) this._doYoutubeDestroy();
            this._createBtnVideo1();
        }
        this._media.hide();
        this._details.show();
    },

    _onClickBtnDetails2: function (e) {
        this._onDisposeMediaButtons();
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_video_panel')) {
            this._video_panel.hide();
            if (this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe')) this._doYoutubeDestroy();
            this._createBtnVideo2();
        }
        this._media.hide();
        this._details.show();
    },

    _onClickBtnImages: function (e) {
        this._onDisposeMediaButtons();
        if (Browser.Platform.mobile && this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) {
            this._details.hide();
            this._media.show();
            this._createBtnDetails();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_video_panel')) {
            this._video_panel.hide();
            if (this._widgetRootElement.getElement('#WeddingstarDetail_video_Youtube_iframe')) this._doYoutubeDestroy();
            this._createBtnVideo1();
        }
        this._images_panel.show();
    },

    _onClickBtnVideo1: function (e) {
        this._onDisposeMediaButtons();
        if (Browser.Platform.mobile && this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) {
            this._details.hide();
            this._media.show();
            this._createBtnDetails();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        this._video_panel.show();
        //        this._onClickVideoPanelBtn();
        this._doYoutubeCreate1();
    },

    _onClickBtnVideo2: function (e) {
        this._onDisposeMediaButtons();
        if (Browser.Platform.mobile && this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) {
            this._details.hide();
            this._media.show();
            this._createBtnDetails();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        this._video_panel.show();
        //        this._onClickVideoPanelBtn();
        this._doYoutubeCreate2();
    },

    _onClickBtnVideo3: function (e) {
        this._onDisposeMediaButtons();
        if (Browser.Platform.mobile && this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) {
            this._details.hide();
            this._media.show();
            this._createBtnDetails();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        this._video_panel.show();
        //        this._onClickVideoPanelBtn();
        this._doYoutubeCreate3();
    },

    _onClickBtnVideo4: function (e) {
        this._onDisposeMediaButtons();
        if (Browser.Platform.mobile && this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) {
            this._details.hide();
            this._media.show();
            this._createBtnDetails();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        this._video_panel.show();
        //        this._onClickVideoPanelBtn();
        this._doYoutubeCreate4();
    },

    _onClickBtnVideo5: function (e) {
        this._onDisposeMediaButtons();
        if (Browser.Platform.mobile && this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) {
            this._details.hide();
            this._media.show();
            this._createBtnDetails();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        this._video_panel.show();
        //        this._onClickVideoPanelBtn();
        this._doYoutubeCreate5();
    },

    _onClickBtnVideo6: function (e) {
        this._onDisposeMediaButtons();
        if (Browser.Platform.mobile && this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) {
            this._details.hide();
            this._media.show();
            this._createBtnDetails();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        this._video_panel.show();
        //        this._onClickVideoPanelBtn();
        this._doYoutubeCreate6();
    },

    _onClickBtnVideo7: function (e) {
        this._onDisposeMediaButtons();
        if (Browser.Platform.mobile && this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) {
            this._details.hide();
            this._media.show();
            this._createBtnDetails();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        this._video_panel.show();
        //        this._onClickVideoPanelBtn();
        this._doYoutubeCreate7();
    },

    _onClickBtnVideo8: function (e) {
        this._onDisposeMediaButtons();
        if (Browser.Platform.mobile && this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) {
            this._details.hide();
            this._media.show();
            this._createBtnDetails();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        this._video_panel.show();
        //        this._onClickVideoPanelBtn();
        this._doYoutubeCreate8();
    },

    _onClickBtnVideo9: function (e) {
        this._onDisposeMediaButtons();
        if (Browser.Platform.mobile && this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) {
            this._details.hide();
            this._media.show();
            this._createBtnDetails();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        this._video_panel.show();
        //        this._onClickVideoPanelBtn();
        this._doYoutubeCreate9();
    },

    _onClickBtnVideo10: function (e) {
        this._onDisposeMediaButtons();
        if (Browser.Platform.mobile && this._widgetRootElement.getElement('#WeddingstarDetail_description_container').getElements('div').length !== 0) {
            this._details.hide();
            this._media.show();
            this._createBtnDetails();
        }
        if (this._widgetRootElement.getElement('#WeddingstarDetail_images_panel')) {
            this._images_panel.hide();
            this._createBtnImages();
        }
        this._video_panel.show();
        //        this._onClickVideoPanelBtn();
        this._doYoutubeCreate10();
    },

    _onClickThumb1: function (e) {
        this._imgpane1.setStyle('display', 'block');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
    },

    _onClickThumb2: function (e) {
        this._imgpane1.setStyle('display', 'none');
        this._imgpane2.setStyle('display', 'block');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
    },

    _onClickThumb3: function (e) {
        this._imgpane1.setStyle('display', 'none');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'block');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
    },

    _onClickThumb4: function (e) {
        this._imgpane1.setStyle('display', 'none');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'block');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
    },

    _onClickThumb5: function (e) {
        this._imgpane1.setStyle('display', 'none');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'block');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
    },

    _onClickThumb6: function (e) {
        this._imgpane1.setStyle('display', 'none');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'block');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
    },

    _onClickThumb7: function (e) {
        this._imgpane1.setStyle('display', 'none');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'block');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
    },

    _onClickThumb8: function (e) {
        this._imgpane1.setStyle('display', 'none');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'block');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
    },

    _onClickThumb9: function (e) {
        this._imgpane1.setStyle('display', 'none');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'block');
        this._imgpane10.setStyle('display', 'none');
    },

    _onClickThumb10: function (e) {
        this._imgpane1.setStyle('display', 'none');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'block');
    },

    _onClickRightThumb1: function (e) {
        this._onClickBtnImages();
        //		this._onClickBtnVideo1();
        this._sku.set('html', this._item1InfoArray['sku']);
        this._title.set('html', this._item1InfoArray['title']);
        this._desc.set('html', this._item1InfoArray['desc']);
        this._price.set('html', this._item1InfoArray['price']);
        this._colors.set('html', this._item1InfoArray['colors']);
        this._bottomintro.setStyle('display', 'none');
        this._bottomintrobg.setStyle('display', 'none');
        this._bottomtext.setStyle('display', 'block');
        this._imgpane1.setStyle('display', 'block');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
        largeimg1 = this._item1InfoArray['image'];
        largeimg2 = this._item1InfoArray['image2'];
        largeimg3 = this._item1InfoArray['image3'];
        largeimg4 = this._item1InfoArray['image4'];
        largeimg5 = this._item1InfoArray['image5'];
        largeimg6 = this._item1InfoArray['image6'];
        largeimg7 = this._item1InfoArray['image7'];
        largeimg8 = this._item1InfoArray['image8'];
        largeimg9 = this._item1InfoArray['image9'];
        largeimg10 = this._item1InfoArray['image10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._imgpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
        this._imgpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large2');
        this._imgpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large3');
        this._imgpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large4');
        this._imgpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large5');
        this._imgpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large6');
        this._imgpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large7');
        this._imgpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large8');
        this._imgpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large9');
        this._imgpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large10');

        if (largeimg1 != null) {
            this._imgpane1.set('src', largeimg1);
            this._imgpane1.mooTouchAdd({
                'click': true
            });
            this._imgpane1.show();
        } else this._imgpane1.hide();

        if (largeimg2 != null) {
            this._imgpane2.set('src', largeimg2);
            this._imgpane2.mooTouchAdd({
                'click': true
            });
            this._imgpane2.show();
        } else this._imgpane2.hide();

        if (largeimg3 != null) {
            this._imgpane3.set('src', largeimg3);
            this._imgpane3.mooTouchAdd({
                'click': true
            });
            this._imgpane3.show();
        } else this._imgpane3.hide();

        if (largeimg4 != null) {
            this._imgpane4.set('src', largeimg4);
            this._imgpane4.mooTouchAdd({
                'click': true
            });
            this._imgpane4.show();
        } else this._imgpane4.hide();

        if (largeimg5 != null) {
            this._imgpane5.set('src', largeimg5);
            this._imgpane5.mooTouchAdd({
                'click': true
            });
            this._imgpane5.show();
        } else this._imgpane5.hide();

        if (largeimg6 != null) {
            this._imgpane6.set('src', largeimg6);
            this._imgpane6.mooTouchAdd({
                'click': true
            });
            this._imgpane6.show();
        } else this._imgpane6.hide();

        if (largeimg7 != null) {
            this._imgpane7.set('src', largeimg7);
            this._imgpane7.mooTouchAdd({
                'click': true
            });
            this._imgpane7.show();
        } else this._imgpane7.hide();

        if (largeimg8 != null) {
            this._imgpane8.set('src', largeimg8);
            this._imgpane8.mooTouchAdd({
                'click': true
            });
            this._imgpane8.show();
        } else this._imgpane8.hide();

        if (largeimg9 != null) {
            this._imgpane9.set('src', largeimg9);
            this._imgpane9.mooTouchAdd({
                'click': true
            });
            this._imgpane9.show();
        } else this._imgpane9.hide();

        if (largeimg10 != null) {
            this._imgpane10.set('src', largeimg10);
            this._imgpane10.mooTouchAdd({
                'click': true
            });
            this._imgpane10.show();
        } else this._imgpane10.hide();

        this._theUrl = this._item1InfoArray['dest'];

        thumb1 = this._item1InfoArray['image'];
        thumb2 = this._item1InfoArray['thumb2'];
        thumb3 = this._item1InfoArray['thumb3'];
        thumb4 = this._item1InfoArray['thumb4'];
        thumb5 = this._item1InfoArray['thumb5'];
        thumb6 = this._item1InfoArray['thumb6'];
        thumb7 = this._item1InfoArray['thumb7'];
        thumb8 = this._item1InfoArray['thumb8'];
        thumb9 = this._item1InfoArray['thumb9'];
        thumb10 = this._item1InfoArray['thumb10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._thumbpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb1');
        this._thumbpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb2');
        this._thumbpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb3');
        this._thumbpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb4');
        this._thumbpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb5');
        this._thumbpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb6');
        this._thumbpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb7');
        this._thumbpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb8');
        this._thumbpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb9');
        this._thumbpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb10');

        if (thumb1 != null) {
            this._thumbpane1.set('src', thumb1);
            this._thumbpane1.addEvent('click', this._onClickThumb1.bind(this));
            this._thumbpane1.mooTouchAdd({
                'click': true
            });
            this._thumbpane1.show();
        } else this._thumbpane1.hide();

        if (thumb2 != null) {
            this._thumbpane2.set('src', thumb2);
            this._thumbpane2.addEvent('click', this._onClickThumb2.bind(this));
            this._thumbpane2.mooTouchAdd({
                'click': true
            });
            this._thumbpane2.show();
        } else this._thumbpane2.hide();

        if (thumb3 != null) {
            this._thumbpane3.set('src', thumb3);
            this._thumbpane3.addEvent('click', this._onClickThumb3.bind(this));
            this._thumbpane3.mooTouchAdd({
                'click': true
            });
            this._thumbpane3.show();
        } else this._thumbpane3.hide();

        if (thumb4 != null) {
            this._thumbpane4.set('src', thumb4);
            this._thumbpane4.addEvent('click', this._onClickThumb4.bind(this));
            this._thumbpane4.mooTouchAdd({
                'click': true
            });
            this._thumbpane4.show();
        } else this._thumbpane4.hide();

        if (thumb5 != null) {
            this._thumbpane5.set('src', thumb5);
            this._thumbpane5.addEvent('click', this._onClickThumb5.bind(this));
            this._thumbpane5.mooTouchAdd({
                'click': true
            });
            this._thumbpane5.show();
        } else this._thumbpane5.hide();

        if (thumb6 != null) {
            this._thumbpane6.set('src', thumb6);
            this._thumbpane6.addEvent('click', this._onClickThumb6.bind(this));
            this._thumbpane6.mooTouchAdd({
                'click': true
            });
            this._thumbpane6.show();
        } else this._thumbpane6.hide();

        if (thumb7 != null) {
            this._thumbpane7.set('src', thumb7);
            this._thumbpane7.addEvent('click', this._onClickThumb7.bind(this));
            this._thumbpane7.mooTouchAdd({
                'click': true
            });
            this._thumbpane7.show();
        } else this._thumbpane7.hide();

        if (thumb8 != null) {
            this._thumbpane8.set('src', thumb8);
            this._thumbpane8.addEvent('click', this._onClickThumb8.bind(this));
            this._thumbpane8.mooTouchAdd({
                'click': true
            });
            this._thumbpane8.show();
        } else this._thumbpane8.hide();

        if (thumb9 != null) {
            this._thumbpane9.set('src', thumb9);
            this._thumbpane9.addEvent('click', this._onClickThumb9.bind(this));
            this._thumbpane9.mooTouchAdd({
                'click': true
            });
            this._thumbpane9.show();
        } else this._thumbpane9.hide();

        if (thumb10 != null) {
            this._thumbpane10.set('src', thumb10);
            this._thumbpane10.addEvent('click', this._onClickThumb10.bind(this));
            this._thumbpane10.mooTouchAdd({
                'click': true
            });
            this._thumbpane10.show();
        } else this._thumbpane10.hide();
    },

    _onClickRightThumb2: function (e) {
        this._onClickBtnImages();
        //		this._onClickBtnVideo2();
        this._sku.set('html', this._item2InfoArray['sku']);
        this._title.set('html', this._item2InfoArray['title']);
        this._desc.set('html', this._item2InfoArray['desc']);
        this._price.set('html', this._item2InfoArray['price']);
        this._colors.set('html', this._item2InfoArray['colors']);
        this._bottomintro.setStyle('display', 'none');
        this._bottomintrobg.setStyle('display', 'none');
        this._bottomtext.setStyle('display', 'block');
        this._imgpane1.setStyle('display', 'block');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
        largeimg1 = this._item2InfoArray['image'];
        largeimg2 = this._item2InfoArray['image2'];
        largeimg3 = this._item2InfoArray['image3'];
        largeimg4 = this._item2InfoArray['image4'];
        largeimg5 = this._item2InfoArray['image5'];
        largeimg6 = this._item2InfoArray['image6'];
        largeimg7 = this._item2InfoArray['image7'];
        largeimg8 = this._item2InfoArray['image8'];
        largeimg9 = this._item2InfoArray['image9'];
        largeimg10 = this._item2InfoArray['image10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._imgpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
        this._imgpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large2');
        this._imgpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large3');
        this._imgpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large4');
        this._imgpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large5');
        this._imgpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large6');
        this._imgpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large7');
        this._imgpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large8');
        this._imgpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large9');
        this._imgpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large10');

        if (largeimg1 != null) {
            this._imgpane1.set('src', largeimg1);
            this._imgpane1.mooTouchAdd({
                'click': true
            });
        } else this._imgpane1.hide();

        if (largeimg2 != null) {
            this._imgpane2.set('src', largeimg2);
            this._imgpane2.mooTouchAdd({
                'click': true
            });
        } else this._imgpane2.hide();

        if (largeimg3 != null) {
            this._imgpane3.set('src', largeimg3);
            this._imgpane3.mooTouchAdd({
                'click': true
            });
        } else this._imgpane3.hide();

        if (largeimg4 != null) {
            this._imgpane4.set('src', largeimg4);
            this._imgpane4.mooTouchAdd({
                'click': true
            });
        } else this._imgpane4.hide();

        if (largeimg5 != null) {
            this._imgpane5.set('src', largeimg5);
            this._imgpane5.mooTouchAdd({
                'click': true
            });
        } else this._imgpane5.hide();

        if (largeimg6 != null) {
            this._imgpane6.set('src', largeimg6);
            this._imgpane6.mooTouchAdd({
                'click': true
            });
        } else this._imgpane6.hide();

        if (largeimg7 != null) {
            this._imgpane7.set('src', largeimg7);
            this._imgpane7.mooTouchAdd({
                'click': true
            });
        } else this._imgpane7.hide();

        if (largeimg8 != null) {
            this._imgpane8.set('src', largeimg8);
            this._imgpane8.mooTouchAdd({
                'click': true
            });
        } else this._imgpane8.hide();

        if (largeimg9 != null) {
            this._imgpane9.set('src', largeimg9);
            this._imgpane9.mooTouchAdd({
                'click': true
            });
        } else this._imgpane9.hide();

        if (largeimg10 != null) {
            this._imgpane10.set('src', largeimg10);
            this._imgpane10.mooTouchAdd({
                'click': true
            });
        } else this._imgpane10.hide();

        this._theUrl = this._item2InfoArray['dest'];

        thumb1 = this._item2InfoArray['image'];
        thumb2 = this._item2InfoArray['thumb2'];
        thumb3 = this._item2InfoArray['thumb3'];
        thumb4 = this._item2InfoArray['thumb4'];
        thumb5 = this._item2InfoArray['thumb5'];
        thumb6 = this._item2InfoArray['thumb6'];
        thumb7 = this._item2InfoArray['thumb7'];
        thumb8 = this._item2InfoArray['thumb8'];
        thumb9 = this._item2InfoArray['thumb9'];
        thumb10 = this._item2InfoArray['thumb10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._thumbpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb1');
        this._thumbpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb2');
        this._thumbpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb3');
        this._thumbpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb4');
        this._thumbpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb5');
        this._thumbpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb6');
        this._thumbpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb7');
        this._thumbpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb8');
        this._thumbpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb9');
        this._thumbpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb10');

        if (thumb1 != null) {
            this._thumbpane1.set('src', thumb1);
            this._thumbpane1.addEvent('click', this._onClickThumb1.bind(this));
            this._thumbpane1.mooTouchAdd({
                'click': true
            });
            this._thumbpane1.show();
        } else this._thumbpane1.hide();

        if (thumb2 != null) {
            this._thumbpane2.set('src', thumb2);
            this._thumbpane2.addEvent('click', this._onClickThumb2.bind(this));
            this._thumbpane2.mooTouchAdd({
                'click': true
            });
            this._thumbpane2.show();
        } else this._thumbpane2.hide();

        if (thumb3 != null) {
            this._thumbpane3.set('src', thumb3);
            this._thumbpane3.addEvent('click', this._onClickThumb3.bind(this));
            this._thumbpane3.mooTouchAdd({
                'click': true
            });
            this._thumbpane3.show();
        } else this._thumbpane3.hide();

        if (thumb4 != null) {
            this._thumbpane4.set('src', thumb4);
            this._thumbpane4.addEvent('click', this._onClickThumb4.bind(this));
            this._thumbpane4.mooTouchAdd({
                'click': true
            });
            this._thumbpane4.show();
        } else this._thumbpane4.hide();

        if (thumb5 != null) {
            this._thumbpane5.set('src', thumb5);
            this._thumbpane5.addEvent('click', this._onClickThumb5.bind(this));
            this._thumbpane5.mooTouchAdd({
                'click': true
            });
            this._thumbpane5.show();
        } else this._thumbpane5.hide();

        if (thumb6 != null) {
            this._thumbpane6.set('src', thumb6);
            this._thumbpane6.addEvent('click', this._onClickThumb6.bind(this));
            this._thumbpane6.mooTouchAdd({
                'click': true
            });
            this._thumbpane6.show();
        } else this._thumbpane6.hide();

        if (thumb7 != null) {
            this._thumbpane7.set('src', thumb7);
            this._thumbpane7.addEvent('click', this._onClickThumb7.bind(this));
            this._thumbpane7.mooTouchAdd({
                'click': true
            });
            this._thumbpane7.show();
        } else this._thumbpane7.hide();

        if (thumb8 != null) {
            this._thumbpane8.set('src', thumb8);
            this._thumbpane8.addEvent('click', this._onClickThumb8.bind(this));
            this._thumbpane8.mooTouchAdd({
                'click': true
            });
            this._thumbpane8.show();
        } else this._thumbpane8.hide();

        if (thumb9 != null) {
            this._thumbpane9.set('src', thumb9);
            this._thumbpane9.addEvent('click', this._onClickThumb9.bind(this));
            this._thumbpane9.mooTouchAdd({
                'click': true
            });
            this._thumbpane9.show();
        } else this._thumbpane9.hide();

        if (thumb10 != null) {
            this._thumbpane10.set('src', thumb10);
            this._thumbpane10.addEvent('click', this._onClickThumb10.bind(this));
            this._thumbpane10.mooTouchAdd({
                'click': true
            });
            this._thumbpane10.show();
        } else this._thumbpane10.hide();
    },

    _onClickRightThumb3: function (e) {
        this._onClickBtnImages();
        this._sku.set('html', this._item3InfoArray['sku']);
        this._title.set('html', this._item3InfoArray['title']);
        this._desc.set('html', this._item3InfoArray['desc']);
        this._price.set('html', this._item3InfoArray['price']);
        this._colors.set('html', this._item3InfoArray['colors']);
        this._bottomintro.setStyle('display', 'none');
        this._bottomintrobg.setStyle('display', 'none');
        this._bottomtext.setStyle('display', 'block');
        this._imgpane1.setStyle('display', 'block');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
        largeimg1 = this._item3InfoArray['image'];
        largeimg2 = this._item3InfoArray['image2'];
        largeimg3 = this._item3InfoArray['image3'];
        largeimg4 = this._item3InfoArray['image4'];
        largeimg5 = this._item3InfoArray['image5'];
        largeimg6 = this._item3InfoArray['image6'];
        largeimg7 = this._item3InfoArray['image7'];
        largeimg8 = this._item3InfoArray['image8'];
        largeimg9 = this._item3InfoArray['image9'];
        largeimg10 = this._item3InfoArray['image10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._imgpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
        this._imgpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large2');
        this._imgpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large3');
        this._imgpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large4');
        this._imgpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large5');
        this._imgpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large6');
        this._imgpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large7');
        this._imgpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large8');
        this._imgpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large9');
        this._imgpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large10');

        if (largeimg1 != null) {
            this._imgpane1.set('src', largeimg1);
            this._imgpane1.mooTouchAdd({
                'click': true
            });
        } else this._imgpane1.hide();

        if (largeimg2 != null) {
            this._imgpane2.set('src', largeimg2);
            this._imgpane2.mooTouchAdd({
                'click': true
            });
        } else this._imgpane2.hide();

        if (largeimg3 != null) {
            this._imgpane3.set('src', largeimg3);
            this._imgpane3.mooTouchAdd({
                'click': true
            });
        } else this._imgpane3.hide();

        if (largeimg4 != null) {
            this._imgpane4.set('src', largeimg4);
            this._imgpane4.mooTouchAdd({
                'click': true
            });
        } else this._imgpane4.hide();

        if (largeimg5 != null) {
            this._imgpane5.set('src', largeimg5);
            this._imgpane5.mooTouchAdd({
                'click': true
            });
        } else this._imgpane5.hide();

        if (largeimg6 != null) {
            this._imgpane6.set('src', largeimg6);
            this._imgpane6.mooTouchAdd({
                'click': true
            });
        } else this._imgpane6.hide();

        if (largeimg7 != null) {
            this._imgpane7.set('src', largeimg7);
            this._imgpane7.mooTouchAdd({
                'click': true
            });
        } else this._imgpane7.hide();

        if (largeimg8 != null) {
            this._imgpane8.set('src', largeimg8);
            this._imgpane8.mooTouchAdd({
                'click': true
            });
        } else this._imgpane8.hide();

        if (largeimg9 != null) {
            this._imgpane9.set('src', largeimg9);
            this._imgpane9.mooTouchAdd({
                'click': true
            });
        } else this._imgpane9.hide();

        if (largeimg10 != null) {
            this._imgpane10.set('src', largeimg10);
            this._imgpane10.mooTouchAdd({
                'click': true
            });
        } else this._imgpane10.hide();

        this._theUrl = this._item3InfoArray['dest'];

        thumb1 = this._item3InfoArray['image'];
        thumb2 = this._item3InfoArray['thumb2'];
        thumb3 = this._item3InfoArray['thumb3'];
        thumb4 = this._item3InfoArray['thumb4'];
        thumb5 = this._item3InfoArray['thumb5'];
        thumb6 = this._item3InfoArray['thumb6'];
        thumb7 = this._item3InfoArray['thumb7'];
        thumb8 = this._item3InfoArray['thumb8'];
        thumb9 = this._item3InfoArray['thumb9'];
        thumb10 = this._item3InfoArray['thumb10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._thumbpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb1');
        this._thumbpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb2');
        this._thumbpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb3');
        this._thumbpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb4');
        this._thumbpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb5');
        this._thumbpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb6');
        this._thumbpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb7');
        this._thumbpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb8');
        this._thumbpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb9');
        this._thumbpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb10');

        if (thumb1 != null) {
            this._thumbpane1.set('src', thumb1);
            this._thumbpane1.addEvent('click', this._onClickThumb1.bind(this));
            this._thumbpane1.mooTouchAdd({
                'click': true
            });
            this._thumbpane1.show();
        } else this._thumbpane1.hide();

        if (thumb2 != null) {
            this._thumbpane2.set('src', thumb2);
            this._thumbpane2.addEvent('click', this._onClickThumb2.bind(this));
            this._thumbpane2.mooTouchAdd({
                'click': true
            });
            this._thumbpane2.show();
        } else this._thumbpane2.hide();

        if (thumb3 != null) {
            this._thumbpane3.set('src', thumb3);
            this._thumbpane3.addEvent('click', this._onClickThumb3.bind(this));
            this._thumbpane3.mooTouchAdd({
                'click': true
            });
            this._thumbpane3.show();
        } else this._thumbpane3.hide();

        if (thumb4 != null) {
            this._thumbpane4.set('src', thumb4);
            this._thumbpane4.addEvent('click', this._onClickThumb4.bind(this));
            this._thumbpane4.mooTouchAdd({
                'click': true
            });
            this._thumbpane4.show();
        } else this._thumbpane4.hide();

        if (thumb5 != null) {
            this._thumbpane5.set('src', thumb5);
            this._thumbpane5.addEvent('click', this._onClickThumb5.bind(this));
            this._thumbpane5.mooTouchAdd({
                'click': true
            });
            this._thumbpane5.show();
        } else this._thumbpane5.hide();

        if (thumb6 != null) {
            this._thumbpane6.set('src', thumb6);
            this._thumbpane6.addEvent('click', this._onClickThumb6.bind(this));
            this._thumbpane6.mooTouchAdd({
                'click': true
            });
            this._thumbpane6.show();
        } else this._thumbpane6.hide();

        if (thumb7 != null) {
            this._thumbpane7.set('src', thumb7);
            this._thumbpane7.addEvent('click', this._onClickThumb7.bind(this));
            this._thumbpane7.mooTouchAdd({
                'click': true
            });
            this._thumbpane7.show();
        } else this._thumbpane7.hide();

        if (thumb8 != null) {
            this._thumbpane8.set('src', thumb8);
            this._thumbpane8.addEvent('click', this._onClickThumb8.bind(this));
            this._thumbpane8.mooTouchAdd({
                'click': true
            });
            this._thumbpane8.show();
        } else this._thumbpane8.hide();

        if (thumb9 != null) {
            this._thumbpane9.set('src', thumb9);
            this._thumbpane9.addEvent('click', this._onClickThumb9.bind(this));
            this._thumbpane9.mooTouchAdd({
                'click': true
            });
            this._thumbpane9.show();
        } else this._thumbpane9.hide();

        if (thumb10 != null) {
            this._thumbpane10.set('src', thumb10);
            this._thumbpane10.addEvent('click', this._onClickThumb10.bind(this));
            this._thumbpane10.mooTouchAdd({
                'click': true
            });
            this._thumbpane10.show();
        } else this._thumbpane10.hide();
    },

    _onClickRightThumb4: function (e) {
        this._onClickBtnImages();
        this._sku.set('html', this._item4InfoArray['sku']);
        this._title.set('html', this._item4InfoArray['title']);
        this._desc.set('html', this._item4InfoArray['desc']);
        this._price.set('html', this._item4InfoArray['price']);
        this._colors.set('html', this._item4InfoArray['colors']);
        this._bottomintro.setStyle('display', 'none');
        this._bottomintrobg.setStyle('display', 'none');
        this._bottomtext.setStyle('display', 'block');
        this._imgpane1.setStyle('display', 'block');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
        largeimg1 = this._item4InfoArray['image'];
        largeimg2 = this._item4InfoArray['image2'];
        largeimg3 = this._item4InfoArray['image3'];
        largeimg4 = this._item4InfoArray['image4'];
        largeimg5 = this._item4InfoArray['image5'];
        largeimg6 = this._item4InfoArray['image6'];
        largeimg7 = this._item4InfoArray['image7'];
        largeimg8 = this._item4InfoArray['image8'];
        largeimg9 = this._item4InfoArray['image9'];
        largeimg10 = this._item4InfoArray['image10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._imgpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
        this._imgpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large2');
        this._imgpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large3');
        this._imgpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large4');
        this._imgpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large5');
        this._imgpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large6');
        this._imgpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large7');
        this._imgpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large8');
        this._imgpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large9');
        this._imgpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large10');

        if (largeimg1 != null) {
            this._imgpane1.set('src', largeimg1);
            this._imgpane1.mooTouchAdd({
                'click': true
            });
        } else this._imgpane1.hide();

        if (largeimg2 != null) {
            this._imgpane2.set('src', largeimg2);
            this._imgpane2.mooTouchAdd({
                'click': true
            });
        } else this._imgpane2.hide();

        if (largeimg3 != null) {
            this._imgpane3.set('src', largeimg3);
            this._imgpane3.mooTouchAdd({
                'click': true
            });
        } else this._imgpane3.hide();

        if (largeimg4 != null) {
            this._imgpane4.set('src', largeimg4);
            this._imgpane4.mooTouchAdd({
                'click': true
            });
        } else this._imgpane4.hide();

        if (largeimg5 != null) {
            this._imgpane5.set('src', largeimg5);
            this._imgpane5.mooTouchAdd({
                'click': true
            });
        } else this._imgpane5.hide();

        if (largeimg6 != null) {
            this._imgpane6.set('src', largeimg6);
            this._imgpane6.mooTouchAdd({
                'click': true
            });
        } else this._imgpane6.hide();

        if (largeimg7 != null) {
            this._imgpane7.set('src', largeimg7);
            this._imgpane7.mooTouchAdd({
                'click': true
            });
        } else this._imgpane7.hide();

        if (largeimg8 != null) {
            this._imgpane8.set('src', largeimg8);
            this._imgpane8.mooTouchAdd({
                'click': true
            });
        } else this._imgpane8.hide();

        if (largeimg9 != null) {
            this._imgpane9.set('src', largeimg9);
            this._imgpane9.mooTouchAdd({
                'click': true
            });
        } else this._imgpane9.hide();

        if (largeimg10 != null) {
            this._imgpane10.set('src', largeimg10);
            this._imgpane10.mooTouchAdd({
                'click': true
            });
        } else this._imgpane10.hide();

        this._theUrl = this._item4InfoArray['dest'];

        thumb1 = this._item4InfoArray['image'];
        thumb2 = this._item4InfoArray['thumb2'];
        thumb3 = this._item4InfoArray['thumb3'];
        thumb4 = this._item4InfoArray['thumb4'];
        thumb5 = this._item4InfoArray['thumb5'];
        thumb6 = this._item4InfoArray['thumb6'];
        thumb7 = this._item4InfoArray['thumb7'];
        thumb8 = this._item4InfoArray['thumb8'];
        thumb9 = this._item4InfoArray['thumb9'];
        thumb10 = this._item4InfoArray['thumb10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._thumbpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb1');
        this._thumbpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb2');
        this._thumbpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb3');
        this._thumbpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb4');
        this._thumbpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb5');
        this._thumbpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb6');
        this._thumbpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb7');
        this._thumbpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb8');
        this._thumbpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb9');
        this._thumbpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb10');

        if (thumb1 != null) {
            this._thumbpane1.set('src', thumb1);
            this._thumbpane1.addEvent('click', this._onClickThumb1.bind(this));
            this._thumbpane1.mooTouchAdd({
                'click': true
            });
            this._thumbpane1.show();
        } else this._thumbpane1.hide();

        if (thumb2 != null) {
            this._thumbpane2.set('src', thumb2);
            this._thumbpane2.addEvent('click', this._onClickThumb2.bind(this));
            this._thumbpane2.mooTouchAdd({
                'click': true
            });
            this._thumbpane2.show();
        } else this._thumbpane2.hide();

        if (thumb3 != null) {
            this._thumbpane3.set('src', thumb3);
            this._thumbpane3.addEvent('click', this._onClickThumb3.bind(this));
            this._thumbpane3.mooTouchAdd({
                'click': true
            });
            this._thumbpane3.show();
        } else this._thumbpane3.hide();

        if (thumb4 != null) {
            this._thumbpane4.set('src', thumb4);
            this._thumbpane4.addEvent('click', this._onClickThumb4.bind(this));
            this._thumbpane4.mooTouchAdd({
                'click': true
            });
            this._thumbpane4.show();
        } else this._thumbpane4.hide();

        if (thumb5 != null) {
            this._thumbpane5.set('src', thumb5);
            this._thumbpane5.addEvent('click', this._onClickThumb5.bind(this));
            this._thumbpane5.mooTouchAdd({
                'click': true
            });
            this._thumbpane5.show();
        } else this._thumbpane5.hide();

        if (thumb6 != null) {
            this._thumbpane6.set('src', thumb6);
            this._thumbpane6.addEvent('click', this._onClickThumb6.bind(this));
            this._thumbpane6.mooTouchAdd({
                'click': true
            });
            this._thumbpane6.show();
        } else this._thumbpane6.hide();

        if (thumb7 != null) {
            this._thumbpane7.set('src', thumb7);
            this._thumbpane7.addEvent('click', this._onClickThumb7.bind(this));
            this._thumbpane7.mooTouchAdd({
                'click': true
            });
            this._thumbpane7.show();
        } else this._thumbpane7.hide();

        if (thumb8 != null) {
            this._thumbpane8.set('src', thumb8);
            this._thumbpane8.addEvent('click', this._onClickThumb8.bind(this));
            this._thumbpane8.mooTouchAdd({
                'click': true
            });
            this._thumbpane8.show();
        } else this._thumbpane8.hide();

        if (thumb9 != null) {
            this._thumbpane9.set('src', thumb9);
            this._thumbpane9.addEvent('click', this._onClickThumb9.bind(this));
            this._thumbpane9.mooTouchAdd({
                'click': true
            });
            this._thumbpane9.show();
        } else this._thumbpane9.hide();

        if (thumb10 != null) {
            this._thumbpane10.set('src', thumb10);
            this._thumbpane10.addEvent('click', this._onClickThumb10.bind(this));
            this._thumbpane10.mooTouchAdd({
                'click': true
            });
            this._thumbpane10.show();
        } else this._thumbpane10.hide();
    },

    _onClickRightThumb5: function (e) {
        this._onClickBtnImages();
        this._sku.set('html', this._item5InfoArray['sku']);
        this._title.set('html', this._item5InfoArray['title']);
        this._desc.set('html', this._item5InfoArray['desc']);
        this._price.set('html', this._item5InfoArray['price']);
        this._colors.set('html', this._item5InfoArray['colors']);
        this._bottomintro.setStyle('display', 'none');
        this._bottomintrobg.setStyle('display', 'none');
        this._bottomtext.setStyle('display', 'block');
        this._imgpane1.setStyle('display', 'block');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
        largeimg1 = this._item5InfoArray['image'];
        largeimg2 = this._item5InfoArray['image2'];
        largeimg3 = this._item5InfoArray['image3'];
        largeimg4 = this._item5InfoArray['image4'];
        largeimg5 = this._item5InfoArray['image5'];
        largeimg6 = this._item5InfoArray['image6'];
        largeimg7 = this._item5InfoArray['image7'];
        largeimg8 = this._item5InfoArray['image8'];
        largeimg9 = this._item5InfoArray['image9'];
        largeimg10 = this._item5InfoArray['image10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._imgpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
        this._imgpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large2');
        this._imgpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large3');
        this._imgpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large4');
        this._imgpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large5');
        this._imgpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large6');
        this._imgpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large7');
        this._imgpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large8');
        this._imgpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large9');
        this._imgpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large10');

        if (largeimg1 != null) {
            this._imgpane1.set('src', largeimg1);
            this._imgpane1.mooTouchAdd({
                'click': true
            });
        } else this._imgpane1.hide();

        if (largeimg2 != null) {
            this._imgpane2.set('src', largeimg2);
            this._imgpane2.mooTouchAdd({
                'click': true
            });
        } else this._imgpane2.hide();

        if (largeimg3 != null) {
            this._imgpane3.set('src', largeimg3);
            this._imgpane3.mooTouchAdd({
                'click': true
            });
        } else this._imgpane3.hide();

        if (largeimg4 != null) {
            this._imgpane4.set('src', largeimg4);
            this._imgpane4.mooTouchAdd({
                'click': true
            });
        } else this._imgpane4.hide();

        if (largeimg5 != null) {
            this._imgpane5.set('src', largeimg5);
            this._imgpane5.mooTouchAdd({
                'click': true
            });
        } else this._imgpane5.hide();

        if (largeimg6 != null) {
            this._imgpane6.set('src', largeimg6);
            this._imgpane6.mooTouchAdd({
                'click': true
            });
        } else this._imgpane6.hide();

        if (largeimg7 != null) {
            this._imgpane7.set('src', largeimg7);
            this._imgpane7.mooTouchAdd({
                'click': true
            });
        } else this._imgpane7.hide();

        if (largeimg8 != null) {
            this._imgpane8.set('src', largeimg8);
            this._imgpane8.mooTouchAdd({
                'click': true
            });
        } else this._imgpane8.hide();

        if (largeimg9 != null) {
            this._imgpane9.set('src', largeimg9);
            this._imgpane9.mooTouchAdd({
                'click': true
            });
        } else this._imgpane9.hide();

        if (largeimg10 != null) {
            this._imgpane10.set('src', largeimg10);
            this._imgpane10.mooTouchAdd({
                'click': true
            });
        } else this._imgpane10.hide();

        this._theUrl = this._item5InfoArray['dest'];

        thumb1 = this._item5InfoArray['image'];
        thumb2 = this._item5InfoArray['thumb2'];
        thumb3 = this._item5InfoArray['thumb3'];
        thumb4 = this._item5InfoArray['thumb4'];
        thumb5 = this._item5InfoArray['thumb5'];
        thumb6 = this._item5InfoArray['thumb6'];
        thumb7 = this._item5InfoArray['thumb7'];
        thumb8 = this._item5InfoArray['thumb8'];
        thumb9 = this._item5InfoArray['thumb9'];
        thumb10 = this._item5InfoArray['thumb10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._thumbpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb1');
        this._thumbpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb2');
        this._thumbpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb3');
        this._thumbpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb4');
        this._thumbpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb5');
        this._thumbpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb6');
        this._thumbpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb7');
        this._thumbpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb8');
        this._thumbpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb9');
        this._thumbpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb10');

        if (thumb1 != null) {
            this._thumbpane1.set('src', thumb1);
            this._thumbpane1.addEvent('click', this._onClickThumb1.bind(this));
            this._thumbpane1.mooTouchAdd({
                'click': true
            });
            this._thumbpane1.show();
        } else this._thumbpane1.hide();

        if (thumb2 != null) {
            this._thumbpane2.set('src', thumb2);
            this._thumbpane2.addEvent('click', this._onClickThumb2.bind(this));
            this._thumbpane2.mooTouchAdd({
                'click': true
            });
            this._thumbpane2.show();
        } else this._thumbpane2.hide();

        if (thumb3 != null) {
            this._thumbpane3.set('src', thumb3);
            this._thumbpane3.addEvent('click', this._onClickThumb3.bind(this));
            this._thumbpane3.mooTouchAdd({
                'click': true
            });
            this._thumbpane3.show();
        } else this._thumbpane3.hide();

        if (thumb4 != null) {
            this._thumbpane4.set('src', thumb4);
            this._thumbpane4.addEvent('click', this._onClickThumb4.bind(this));
            this._thumbpane4.mooTouchAdd({
                'click': true
            });
            this._thumbpane4.show();
        } else this._thumbpane4.hide();

        if (thumb5 != null) {
            this._thumbpane5.set('src', thumb5);
            this._thumbpane5.addEvent('click', this._onClickThumb5.bind(this));
            this._thumbpane5.mooTouchAdd({
                'click': true
            });
            this._thumbpane5.show();
        } else this._thumbpane5.hide();

        if (thumb6 != null) {
            this._thumbpane6.set('src', thumb6);
            this._thumbpane6.addEvent('click', this._onClickThumb6.bind(this));
            this._thumbpane6.mooTouchAdd({
                'click': true
            });
            this._thumbpane6.show();
        } else this._thumbpane6.hide();

        if (thumb7 != null) {
            this._thumbpane7.set('src', thumb7);
            this._thumbpane7.addEvent('click', this._onClickThumb7.bind(this));
            this._thumbpane7.mooTouchAdd({
                'click': true
            });
            this._thumbpane7.show();
        } else this._thumbpane7.hide();

        if (thumb8 != null) {
            this._thumbpane8.set('src', thumb8);
            this._thumbpane8.addEvent('click', this._onClickThumb8.bind(this));
            this._thumbpane8.mooTouchAdd({
                'click': true
            });
            this._thumbpane8.show();
        } else this._thumbpane8.hide();

        if (thumb9 != null) {
            this._thumbpane9.set('src', thumb9);
            this._thumbpane9.addEvent('click', this._onClickThumb9.bind(this));
            this._thumbpane9.mooTouchAdd({
                'click': true
            });
            this._thumbpane9.show();
        } else this._thumbpane9.hide();

        if (thumb10 != null) {
            this._thumbpane10.set('src', thumb10);
            this._thumbpane10.addEvent('click', this._onClickThumb10.bind(this));
            this._thumbpane10.mooTouchAdd({
                'click': true
            });
            this._thumbpane10.show();
        } else this._thumbpane10.hide();
    },
	
    _onClickRightThumb6: function (e) {
        this._onClickBtnImages();
        this._sku.set('html', this._item6InfoArray['sku']);
        this._title.set('html', this._item6InfoArray['title']);
        this._desc.set('html', this._item6InfoArray['desc']);
        this._price.set('html', this._item6InfoArray['price']);
        this._colors.set('html', this._item6InfoArray['colors']);
        this._bottomintro.setStyle('display', 'none');
        this._bottomintrobg.setStyle('display', 'none');
        this._bottomtext.setStyle('display', 'block');
        this._imgpane1.setStyle('display', 'block');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
        largeimg1 = this._item6InfoArray['image'];
        largeimg2 = this._item6InfoArray['image2'];
        largeimg3 = this._item6InfoArray['image3'];
        largeimg4 = this._item6InfoArray['image4'];
        largeimg5 = this._item6InfoArray['image5'];
        largeimg6 = this._item6InfoArray['image6'];
        largeimg7 = this._item6InfoArray['image7'];
        largeimg8 = this._item6InfoArray['image8'];
        largeimg9 = this._item6InfoArray['image9'];
        largeimg10 = this._item6InfoArray['image10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._imgpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
        this._imgpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large2');
        this._imgpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large3');
        this._imgpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large4');
        this._imgpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large5');
        this._imgpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large6');
        this._imgpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large7');
        this._imgpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large8');
        this._imgpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large9');
        this._imgpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large10');

        if (largeimg1 != null) {
            this._imgpane1.set('src', largeimg1);
            this._imgpane1.mooTouchAdd({
                'click': true
            });
        } else this._imgpane1.hide();

        if (largeimg2 != null) {
            this._imgpane2.set('src', largeimg2);
            this._imgpane2.mooTouchAdd({
                'click': true
            });
        } else this._imgpane2.hide();

        if (largeimg3 != null) {
            this._imgpane3.set('src', largeimg3);
            this._imgpane3.mooTouchAdd({
                'click': true
            });
        } else this._imgpane3.hide();

        if (largeimg4 != null) {
            this._imgpane4.set('src', largeimg4);
            this._imgpane4.mooTouchAdd({
                'click': true
            });
        } else this._imgpane4.hide();

        if (largeimg5 != null) {
            this._imgpane5.set('src', largeimg5);
            this._imgpane5.mooTouchAdd({
                'click': true
            });
        } else this._imgpane5.hide();

        if (largeimg6 != null) {
            this._imgpane6.set('src', largeimg6);
            this._imgpane6.mooTouchAdd({
                'click': true
            });
        } else this._imgpane6.hide();

        if (largeimg7 != null) {
            this._imgpane7.set('src', largeimg7);
            this._imgpane7.mooTouchAdd({
                'click': true
            });
        } else this._imgpane7.hide();

        if (largeimg8 != null) {
            this._imgpane8.set('src', largeimg8);
            this._imgpane8.mooTouchAdd({
                'click': true
            });
        } else this._imgpane8.hide();

        if (largeimg9 != null) {
            this._imgpane9.set('src', largeimg9);
            this._imgpane9.mooTouchAdd({
                'click': true
            });
        } else this._imgpane9.hide();

        if (largeimg10 != null) {
            this._imgpane10.set('src', largeimg10);
            this._imgpane10.mooTouchAdd({
                'click': true
            });
        } else this._imgpane10.hide();

        this._theUrl = this._item6InfoArray['dest'];

        thumb1 = this._item6InfoArray['image'];
        thumb2 = this._item6InfoArray['thumb2'];
        thumb3 = this._item6InfoArray['thumb3'];
        thumb4 = this._item6InfoArray['thumb4'];
        thumb5 = this._item6InfoArray['thumb5'];
        thumb6 = this._item6InfoArray['thumb6'];
        thumb7 = this._item6InfoArray['thumb7'];
        thumb8 = this._item6InfoArray['thumb8'];
        thumb9 = this._item6InfoArray['thumb9'];
        thumb10 = this._item6InfoArray['thumb10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._thumbpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb1');
        this._thumbpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb2');
        this._thumbpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb3');
        this._thumbpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb4');
        this._thumbpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb5');
        this._thumbpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb6');
        this._thumbpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb7');
        this._thumbpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb8');
        this._thumbpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb9');
        this._thumbpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb10');

        if (thumb1 != null) {
            this._thumbpane1.set('src', thumb1);
            this._thumbpane1.addEvent('click', this._onClickThumb1.bind(this));
            this._thumbpane1.mooTouchAdd({
                'click': true
            });
            this._thumbpane1.show();
        } else this._thumbpane1.hide();

        if (thumb2 != null) {
            this._thumbpane2.set('src', thumb2);
            this._thumbpane2.addEvent('click', this._onClickThumb2.bind(this));
            this._thumbpane2.mooTouchAdd({
                'click': true
            });
            this._thumbpane2.show();
        } else this._thumbpane2.hide();

        if (thumb3 != null) {
            this._thumbpane3.set('src', thumb3);
            this._thumbpane3.addEvent('click', this._onClickThumb3.bind(this));
            this._thumbpane3.mooTouchAdd({
                'click': true
            });
            this._thumbpane3.show();
        } else this._thumbpane3.hide();

        if (thumb4 != null) {
            this._thumbpane4.set('src', thumb4);
            this._thumbpane4.addEvent('click', this._onClickThumb4.bind(this));
            this._thumbpane4.mooTouchAdd({
                'click': true
            });
            this._thumbpane4.show();
        } else this._thumbpane4.hide();

        if (thumb5 != null) {
            this._thumbpane5.set('src', thumb5);
            this._thumbpane5.addEvent('click', this._onClickThumb5.bind(this));
            this._thumbpane5.mooTouchAdd({
                'click': true
            });
            this._thumbpane5.show();
        } else this._thumbpane5.hide();

        if (thumb6 != null) {
            this._thumbpane6.set('src', thumb6);
            this._thumbpane6.addEvent('click', this._onClickThumb6.bind(this));
            this._thumbpane6.mooTouchAdd({
                'click': true
            });
            this._thumbpane6.show();
        } else this._thumbpane6.hide();

        if (thumb7 != null) {
            this._thumbpane7.set('src', thumb7);
            this._thumbpane7.addEvent('click', this._onClickThumb7.bind(this));
            this._thumbpane7.mooTouchAdd({
                'click': true
            });
            this._thumbpane7.show();
        } else this._thumbpane7.hide();

        if (thumb8 != null) {
            this._thumbpane8.set('src', thumb8);
            this._thumbpane8.addEvent('click', this._onClickThumb8.bind(this));
            this._thumbpane8.mooTouchAdd({
                'click': true
            });
            this._thumbpane8.show();
        } else this._thumbpane8.hide();

        if (thumb9 != null) {
            this._thumbpane9.set('src', thumb9);
            this._thumbpane9.addEvent('click', this._onClickThumb9.bind(this));
            this._thumbpane9.mooTouchAdd({
                'click': true
            });
            this._thumbpane9.show();
        } else this._thumbpane9.hide();

        if (thumb10 != null) {
            this._thumbpane10.set('src', thumb10);
            this._thumbpane10.addEvent('click', this._onClickThumb10.bind(this));
            this._thumbpane10.mooTouchAdd({
                'click': true
            });
            this._thumbpane10.show();
        } else this._thumbpane10.hide();
    },

    _onClickRightThumb7: function (e) {
        this._onClickBtnImages();
        this._sku.set('html', this._item7InfoArray['sku']);
        this._title.set('html', this._item7InfoArray['title']);
        this._desc.set('html', this._item7InfoArray['desc']);
        this._price.set('html', this._item7InfoArray['price']);
        this._colors.set('html', this._item7InfoArray['colors']);
        this._bottomintro.setStyle('display', 'none');
        this._bottomintrobg.setStyle('display', 'none');
        this._bottomtext.setStyle('display', 'block');
        this._imgpane1.setStyle('display', 'block');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
        largeimg1 = this._item7InfoArray['image'];
        largeimg2 = this._item7InfoArray['image2'];
        largeimg3 = this._item7InfoArray['image3'];
        largeimg4 = this._item7InfoArray['image4'];
        largeimg5 = this._item7InfoArray['image5'];
        largeimg6 = this._item7InfoArray['image6'];
        largeimg7 = this._item7InfoArray['image7'];
        largeimg8 = this._item7InfoArray['image8'];
        largeimg9 = this._item7InfoArray['image9'];
        largeimg10 = this._item7InfoArray['image10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._imgpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
        this._imgpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large2');
        this._imgpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large3');
        this._imgpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large4');
        this._imgpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large5');
        this._imgpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large6');
        this._imgpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large7');
        this._imgpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large8');
        this._imgpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large9');
        this._imgpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large10');

        if (largeimg1 != null) {
            this._imgpane1.set('src', largeimg1);
            this._imgpane1.mooTouchAdd({
                'click': true
            });
        } else this._imgpane1.hide();

        if (largeimg2 != null) {
            this._imgpane2.set('src', largeimg2);
            this._imgpane2.mooTouchAdd({
                'click': true
            });
        } else this._imgpane2.hide();

        if (largeimg3 != null) {
            this._imgpane3.set('src', largeimg3);
            this._imgpane3.mooTouchAdd({
                'click': true
            });
        } else this._imgpane3.hide();

        if (largeimg4 != null) {
            this._imgpane4.set('src', largeimg4);
            this._imgpane4.mooTouchAdd({
                'click': true
            });
        } else this._imgpane4.hide();

        if (largeimg5 != null) {
            this._imgpane5.set('src', largeimg5);
            this._imgpane5.mooTouchAdd({
                'click': true
            });
        } else this._imgpane5.hide();

        if (largeimg6 != null) {
            this._imgpane6.set('src', largeimg6);
            this._imgpane6.mooTouchAdd({
                'click': true
            });
        } else this._imgpane6.hide();

        if (largeimg7 != null) {
            this._imgpane7.set('src', largeimg7);
            this._imgpane7.mooTouchAdd({
                'click': true
            });
        } else this._imgpane7.hide();

        if (largeimg8 != null) {
            this._imgpane8.set('src', largeimg8);
            this._imgpane8.mooTouchAdd({
                'click': true
            });
        } else this._imgpane8.hide();

        if (largeimg9 != null) {
            this._imgpane9.set('src', largeimg9);
            this._imgpane9.mooTouchAdd({
                'click': true
            });
        } else this._imgpane9.hide();

        if (largeimg10 != null) {
            this._imgpane10.set('src', largeimg10);
            this._imgpane10.mooTouchAdd({
                'click': true
            });
        } else this._imgpane10.hide();

        this._theUrl = this._item7InfoArray['dest'];

        thumb1 = this._item7InfoArray['image'];
        thumb2 = this._item7InfoArray['thumb2'];
        thumb3 = this._item7InfoArray['thumb3'];
        thumb4 = this._item7InfoArray['thumb4'];
        thumb5 = this._item7InfoArray['thumb5'];
        thumb6 = this._item7InfoArray['thumb6'];
        thumb7 = this._item7InfoArray['thumb7'];
        thumb8 = this._item7InfoArray['thumb8'];
        thumb9 = this._item7InfoArray['thumb9'];
        thumb10 = this._item7InfoArray['thumb10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._thumbpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb1');
        this._thumbpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb2');
        this._thumbpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb3');
        this._thumbpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb4');
        this._thumbpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb5');
        this._thumbpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb6');
        this._thumbpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb7');
        this._thumbpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb8');
        this._thumbpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb9');
        this._thumbpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb10');

        if (thumb1 != null) {
            this._thumbpane1.set('src', thumb1);
            this._thumbpane1.addEvent('click', this._onClickThumb1.bind(this));
            this._thumbpane1.mooTouchAdd({
                'click': true
            });
            this._thumbpane1.show();
        } else this._thumbpane1.hide();

        if (thumb2 != null) {
            this._thumbpane2.set('src', thumb2);
            this._thumbpane2.addEvent('click', this._onClickThumb2.bind(this));
            this._thumbpane2.mooTouchAdd({
                'click': true
            });
            this._thumbpane2.show();
        } else this._thumbpane2.hide();

        if (thumb3 != null) {
            this._thumbpane3.set('src', thumb3);
            this._thumbpane3.addEvent('click', this._onClickThumb3.bind(this));
            this._thumbpane3.mooTouchAdd({
                'click': true
            });
            this._thumbpane3.show();
        } else this._thumbpane3.hide();

        if (thumb4 != null) {
            this._thumbpane4.set('src', thumb4);
            this._thumbpane4.addEvent('click', this._onClickThumb4.bind(this));
            this._thumbpane4.mooTouchAdd({
                'click': true
            });
            this._thumbpane4.show();
        } else this._thumbpane4.hide();

        if (thumb5 != null) {
            this._thumbpane5.set('src', thumb5);
            this._thumbpane5.addEvent('click', this._onClickThumb5.bind(this));
            this._thumbpane5.mooTouchAdd({
                'click': true
            });
            this._thumbpane5.show();
        } else this._thumbpane5.hide();

        if (thumb6 != null) {
            this._thumbpane6.set('src', thumb6);
            this._thumbpane6.addEvent('click', this._onClickThumb6.bind(this));
            this._thumbpane6.mooTouchAdd({
                'click': true
            });
            this._thumbpane6.show();
        } else this._thumbpane6.hide();

        if (thumb7 != null) {
            this._thumbpane7.set('src', thumb7);
            this._thumbpane7.addEvent('click', this._onClickThumb7.bind(this));
            this._thumbpane7.mooTouchAdd({
                'click': true
            });
            this._thumbpane7.show();
        } else this._thumbpane7.hide();

        if (thumb8 != null) {
            this._thumbpane8.set('src', thumb8);
            this._thumbpane8.addEvent('click', this._onClickThumb8.bind(this));
            this._thumbpane8.mooTouchAdd({
                'click': true
            });
            this._thumbpane8.show();
        } else this._thumbpane8.hide();

        if (thumb9 != null) {
            this._thumbpane9.set('src', thumb9);
            this._thumbpane9.addEvent('click', this._onClickThumb9.bind(this));
            this._thumbpane9.mooTouchAdd({
                'click': true
            });
            this._thumbpane9.show();
        } else this._thumbpane9.hide();

        if (thumb10 != null) {
            this._thumbpane10.set('src', thumb10);
            this._thumbpane10.addEvent('click', this._onClickThumb10.bind(this));
            this._thumbpane10.mooTouchAdd({
                'click': true
            });
            this._thumbpane10.show();
        } else this._thumbpane10.hide();
    },

    _onClickRightThumb8: function (e) {
        this._onClickBtnImages();
        this._sku.set('html', this._item8InfoArray['sku']);
        this._title.set('html', this._item8InfoArray['title']);
        this._desc.set('html', this._item8InfoArray['desc']);
        this._price.set('html', this._item8InfoArray['price']);
        this._colors.set('html', this._item8InfoArray['colors']);
        this._bottomintro.setStyle('display', 'none');
        this._bottomintrobg.setStyle('display', 'none');
        this._bottomtext.setStyle('display', 'block');
        this._imgpane1.setStyle('display', 'block');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
        largeimg1 = this._item8InfoArray['image'];
        largeimg2 = this._item8InfoArray['image2'];
        largeimg3 = this._item8InfoArray['image3'];
        largeimg4 = this._item8InfoArray['image4'];
        largeimg5 = this._item8InfoArray['image5'];
        largeimg6 = this._item8InfoArray['image6'];
        largeimg7 = this._item8InfoArray['image7'];
        largeimg8 = this._item8InfoArray['image8'];
        largeimg9 = this._item8InfoArray['image9'];
        largeimg10 = this._item8InfoArray['image10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._imgpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
        this._imgpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large2');
        this._imgpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large3');
        this._imgpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large4');
        this._imgpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large5');
        this._imgpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large6');
        this._imgpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large7');
        this._imgpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large8');
        this._imgpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large9');
        this._imgpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large10');

        if (largeimg1 != null) {
            this._imgpane1.set('src', largeimg1);
            this._imgpane1.mooTouchAdd({
                'click': true
            });
        } else this._imgpane1.hide();

        if (largeimg2 != null) {
            this._imgpane2.set('src', largeimg2);
            this._imgpane2.mooTouchAdd({
                'click': true
            });
        } else this._imgpane2.hide();

        if (largeimg3 != null) {
            this._imgpane3.set('src', largeimg3);
            this._imgpane3.mooTouchAdd({
                'click': true
            });
        } else this._imgpane3.hide();

        if (largeimg4 != null) {
            this._imgpane4.set('src', largeimg4);
            this._imgpane4.mooTouchAdd({
                'click': true
            });
        } else this._imgpane4.hide();

        if (largeimg5 != null) {
            this._imgpane5.set('src', largeimg5);
            this._imgpane5.mooTouchAdd({
                'click': true
            });
        } else this._imgpane5.hide();

        if (largeimg6 != null) {
            this._imgpane6.set('src', largeimg6);
            this._imgpane6.mooTouchAdd({
                'click': true
            });
        } else this._imgpane6.hide();

        if (largeimg7 != null) {
            this._imgpane7.set('src', largeimg7);
            this._imgpane7.mooTouchAdd({
                'click': true
            });
        } else this._imgpane7.hide();

        if (largeimg8 != null) {
            this._imgpane8.set('src', largeimg8);
            this._imgpane8.mooTouchAdd({
                'click': true
            });
        } else this._imgpane8.hide();

        if (largeimg9 != null) {
            this._imgpane9.set('src', largeimg9);
            this._imgpane9.mooTouchAdd({
                'click': true
            });
        } else this._imgpane9.hide();

        if (largeimg10 != null) {
            this._imgpane10.set('src', largeimg10);
            this._imgpane10.mooTouchAdd({
                'click': true
            });
        } else this._imgpane10.hide();

        this._theUrl = this._item8InfoArray['dest'];

        thumb1 = this._item8InfoArray['image'];
        thumb2 = this._item8InfoArray['thumb2'];
        thumb3 = this._item8InfoArray['thumb3'];
        thumb4 = this._item8InfoArray['thumb4'];
        thumb5 = this._item8InfoArray['thumb5'];
        thumb6 = this._item8InfoArray['thumb6'];
        thumb7 = this._item8InfoArray['thumb7'];
        thumb8 = this._item8InfoArray['thumb8'];
        thumb9 = this._item8InfoArray['thumb9'];
        thumb10 = this._item8InfoArray['thumb10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._thumbpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb1');
        this._thumbpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb2');
        this._thumbpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb3');
        this._thumbpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb4');
        this._thumbpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb5');
        this._thumbpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb6');
        this._thumbpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb7');
        this._thumbpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb8');
        this._thumbpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb9');
        this._thumbpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb10');

        if (thumb1 != null) {
            this._thumbpane1.set('src', thumb1);
            this._thumbpane1.addEvent('click', this._onClickThumb1.bind(this));
            this._thumbpane1.mooTouchAdd({
                'click': true
            });
            this._thumbpane1.show();
        } else this._thumbpane1.hide();

        if (thumb2 != null) {
            this._thumbpane2.set('src', thumb2);
            this._thumbpane2.addEvent('click', this._onClickThumb2.bind(this));
            this._thumbpane2.mooTouchAdd({
                'click': true
            });
            this._thumbpane2.show();
        } else this._thumbpane2.hide();

        if (thumb3 != null) {
            this._thumbpane3.set('src', thumb3);
            this._thumbpane3.addEvent('click', this._onClickThumb3.bind(this));
            this._thumbpane3.mooTouchAdd({
                'click': true
            });
            this._thumbpane3.show();
        } else this._thumbpane3.hide();

        if (thumb4 != null) {
            this._thumbpane4.set('src', thumb4);
            this._thumbpane4.addEvent('click', this._onClickThumb4.bind(this));
            this._thumbpane4.mooTouchAdd({
                'click': true
            });
            this._thumbpane4.show();
        } else this._thumbpane4.hide();

        if (thumb5 != null) {
            this._thumbpane5.set('src', thumb5);
            this._thumbpane5.addEvent('click', this._onClickThumb5.bind(this));
            this._thumbpane5.mooTouchAdd({
                'click': true
            });
            this._thumbpane5.show();
        } else this._thumbpane5.hide();

        if (thumb6 != null) {
            this._thumbpane6.set('src', thumb6);
            this._thumbpane6.addEvent('click', this._onClickThumb6.bind(this));
            this._thumbpane6.mooTouchAdd({
                'click': true
            });
            this._thumbpane6.show();
        } else this._thumbpane6.hide();

        if (thumb7 != null) {
            this._thumbpane7.set('src', thumb7);
            this._thumbpane7.addEvent('click', this._onClickThumb7.bind(this));
            this._thumbpane7.mooTouchAdd({
                'click': true
            });
            this._thumbpane7.show();
        } else this._thumbpane7.hide();

        if (thumb8 != null) {
            this._thumbpane8.set('src', thumb8);
            this._thumbpane8.addEvent('click', this._onClickThumb8.bind(this));
            this._thumbpane8.mooTouchAdd({
                'click': true
            });
            this._thumbpane8.show();
        } else this._thumbpane8.hide();

        if (thumb9 != null) {
            this._thumbpane9.set('src', thumb9);
            this._thumbpane9.addEvent('click', this._onClickThumb9.bind(this));
            this._thumbpane9.mooTouchAdd({
                'click': true
            });
            this._thumbpane9.show();
        } else this._thumbpane9.hide();

        if (thumb10 != null) {
            this._thumbpane10.set('src', thumb10);
            this._thumbpane10.addEvent('click', this._onClickThumb10.bind(this));
            this._thumbpane10.mooTouchAdd({
                'click': true
            });
            this._thumbpane10.show();
        } else this._thumbpane10.hide();
    },

    _onClickRightThumb9: function (e) {
        this._onClickBtnImages();
        this._sku.set('html', this._item9InfoArray['sku']);
        this._title.set('html', this._item9InfoArray['title']);
        this._desc.set('html', this._item9InfoArray['desc']);
        this._price.set('html', this._item9InfoArray['price']);
        this._colors.set('html', this._item9InfoArray['colors']);
        this._bottomintro.setStyle('display', 'none');
        this._bottomintrobg.setStyle('display', 'none');
        this._bottomtext.setStyle('display', 'block');
        this._imgpane1.setStyle('display', 'block');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
        largeimg1 = this._item9InfoArray['image'];
        largeimg2 = this._item9InfoArray['image2'];
        largeimg3 = this._item9InfoArray['image3'];
        largeimg4 = this._item9InfoArray['image4'];
        largeimg5 = this._item9InfoArray['image5'];
        largeimg6 = this._item9InfoArray['image6'];
        largeimg7 = this._item9InfoArray['image7'];
        largeimg8 = this._item9InfoArray['image8'];
        largeimg9 = this._item9InfoArray['image9'];
        largeimg10 = this._item9InfoArray['image10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._imgpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
        this._imgpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large2');
        this._imgpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large3');
        this._imgpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large4');
        this._imgpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large5');
        this._imgpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large6');
        this._imgpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large7');
        this._imgpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large8');
        this._imgpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large9');
        this._imgpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large10');

        if (largeimg1 != null) {
            this._imgpane1.set('src', largeimg1);
            this._imgpane1.mooTouchAdd({
                'click': true
            });
        } else this._imgpane1.hide();

        if (largeimg2 != null) {
            this._imgpane2.set('src', largeimg2);
            this._imgpane2.mooTouchAdd({
                'click': true
            });
        } else this._imgpane2.hide();

        if (largeimg3 != null) {
            this._imgpane3.set('src', largeimg3);
            this._imgpane3.mooTouchAdd({
                'click': true
            });
        } else this._imgpane3.hide();

        if (largeimg4 != null) {
            this._imgpane4.set('src', largeimg4);
            this._imgpane4.mooTouchAdd({
                'click': true
            });
        } else this._imgpane4.hide();

        if (largeimg5 != null) {
            this._imgpane5.set('src', largeimg5);
            this._imgpane5.mooTouchAdd({
                'click': true
            });
        } else this._imgpane5.hide();

        if (largeimg6 != null) {
            this._imgpane6.set('src', largeimg6);
            this._imgpane6.mooTouchAdd({
                'click': true
            });
        } else this._imgpane6.hide();

        if (largeimg7 != null) {
            this._imgpane7.set('src', largeimg7);
            this._imgpane7.mooTouchAdd({
                'click': true
            });
        } else this._imgpane7.hide();

        if (largeimg8 != null) {
            this._imgpane8.set('src', largeimg8);
            this._imgpane8.mooTouchAdd({
                'click': true
            });
        } else this._imgpane8.hide();

        if (largeimg9 != null) {
            this._imgpane9.set('src', largeimg9);
            this._imgpane9.mooTouchAdd({
                'click': true
            });
        } else this._imgpane9.hide();

        if (largeimg10 != null) {
            this._imgpane10.set('src', largeimg10);
            this._imgpane10.mooTouchAdd({
                'click': true
            });
        } else this._imgpane10.hide();

        this._theUrl = this._item9InfoArray['dest'];

        thumb1 = this._item9InfoArray['image'];
        thumb2 = this._item9InfoArray['thumb2'];
        thumb3 = this._item9InfoArray['thumb3'];
        thumb4 = this._item9InfoArray['thumb4'];
        thumb5 = this._item9InfoArray['thumb5'];
        thumb6 = this._item9InfoArray['thumb6'];
        thumb7 = this._item9InfoArray['thumb7'];
        thumb8 = this._item9InfoArray['thumb8'];
        thumb9 = this._item9InfoArray['thumb9'];
        thumb10 = this._item9InfoArray['thumb10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._thumbpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb1');
        this._thumbpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb2');
        this._thumbpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb3');
        this._thumbpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb4');
        this._thumbpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb5');
        this._thumbpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb6');
        this._thumbpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb7');
        this._thumbpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb8');
        this._thumbpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb9');
        this._thumbpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb10');

        if (thumb1 != null) {
            this._thumbpane1.set('src', thumb1);
            this._thumbpane1.addEvent('click', this._onClickThumb1.bind(this));
            this._thumbpane1.mooTouchAdd({
                'click': true
            });
            this._thumbpane1.show();
        } else this._thumbpane1.hide();

        if (thumb2 != null) {
            this._thumbpane2.set('src', thumb2);
            this._thumbpane2.addEvent('click', this._onClickThumb2.bind(this));
            this._thumbpane2.mooTouchAdd({
                'click': true
            });
            this._thumbpane2.show();
        } else this._thumbpane2.hide();

        if (thumb3 != null) {
            this._thumbpane3.set('src', thumb3);
            this._thumbpane3.addEvent('click', this._onClickThumb3.bind(this));
            this._thumbpane3.mooTouchAdd({
                'click': true
            });
            this._thumbpane3.show();
        } else this._thumbpane3.hide();

        if (thumb4 != null) {
            this._thumbpane4.set('src', thumb4);
            this._thumbpane4.addEvent('click', this._onClickThumb4.bind(this));
            this._thumbpane4.mooTouchAdd({
                'click': true
            });
            this._thumbpane4.show();
        } else this._thumbpane4.hide();

        if (thumb5 != null) {
            this._thumbpane5.set('src', thumb5);
            this._thumbpane5.addEvent('click', this._onClickThumb5.bind(this));
            this._thumbpane5.mooTouchAdd({
                'click': true
            });
            this._thumbpane5.show();
        } else this._thumbpane5.hide();

        if (thumb6 != null) {
            this._thumbpane6.set('src', thumb6);
            this._thumbpane6.addEvent('click', this._onClickThumb6.bind(this));
            this._thumbpane6.mooTouchAdd({
                'click': true
            });
            this._thumbpane6.show();
        } else this._thumbpane6.hide();

        if (thumb7 != null) {
            this._thumbpane7.set('src', thumb7);
            this._thumbpane7.addEvent('click', this._onClickThumb7.bind(this));
            this._thumbpane7.mooTouchAdd({
                'click': true
            });
            this._thumbpane7.show();
        } else this._thumbpane7.hide();

        if (thumb8 != null) {
            this._thumbpane8.set('src', thumb8);
            this._thumbpane8.addEvent('click', this._onClickThumb8.bind(this));
            this._thumbpane8.mooTouchAdd({
                'click': true
            });
            this._thumbpane8.show();
        } else this._thumbpane8.hide();

        if (thumb9 != null) {
            this._thumbpane9.set('src', thumb9);
            this._thumbpane9.addEvent('click', this._onClickThumb9.bind(this));
            this._thumbpane9.mooTouchAdd({
                'click': true
            });
            this._thumbpane9.show();
        } else this._thumbpane9.hide();

        if (thumb10 != null) {
            this._thumbpane10.set('src', thumb10);
            this._thumbpane10.addEvent('click', this._onClickThumb10.bind(this));
            this._thumbpane10.mooTouchAdd({
                'click': true
            });
            this._thumbpane10.show();
        } else this._thumbpane10.hide();
    },

    _onClickRightThumb10: function (e) {
        this._onClickBtnImages();
        this._sku.set('html', this._item10InfoArray['sku']);
        this._title.set('html', this._item10InfoArray['title']);
        this._desc.set('html', this._item10InfoArray['desc']);
        this._price.set('html', this._item10InfoArray['price']);
        this._colors.set('html', this._item10InfoArray['colors']);
        this._bottomintro.setStyle('display', 'none');
        this._bottomintrobg.setStyle('display', 'none');
        this._bottomtext.setStyle('display', 'block');
        this._imgpane1.setStyle('display', 'block');
        this._imgpane2.setStyle('display', 'none');
        this._imgpane3.setStyle('display', 'none');
        this._imgpane4.setStyle('display', 'none');
        this._imgpane5.setStyle('display', 'none');
        this._imgpane6.setStyle('display', 'none');
        this._imgpane7.setStyle('display', 'none');
        this._imgpane8.setStyle('display', 'none');
        this._imgpane9.setStyle('display', 'none');
        this._imgpane10.setStyle('display', 'none');
        largeimg1 = this._item10InfoArray['image'];
        largeimg2 = this._item10InfoArray['image2'];
        largeimg3 = this._item10InfoArray['image3'];
        largeimg4 = this._item10InfoArray['image4'];
        largeimg5 = this._item10InfoArray['image5'];
        largeimg6 = this._item10InfoArray['image6'];
        largeimg7 = this._item10InfoArray['image7'];
        largeimg8 = this._item10InfoArray['image8'];
        largeimg9 = this._item10InfoArray['image9'];
        largeimg10 = this._item10InfoArray['image10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._imgpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large');
        this._imgpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large2');
        this._imgpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large3');
        this._imgpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large4');
        this._imgpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large5');
        this._imgpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large6');
        this._imgpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large7');
        this._imgpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large8');
        this._imgpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large9');
        this._imgpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_images_large10');

        if (largeimg1 != null) {
            this._imgpane1.set('src', largeimg1);
            this._imgpane1.mooTouchAdd({
                'click': true
            });
        } else this._imgpane1.hide();

        if (largeimg2 != null) {
            this._imgpane2.set('src', largeimg2);
            this._imgpane2.mooTouchAdd({
                'click': true
            });
        } else this._imgpane2.hide();

        if (largeimg3 != null) {
            this._imgpane3.set('src', largeimg3);
            this._imgpane3.mooTouchAdd({
                'click': true
            });
        } else this._imgpane3.hide();

        if (largeimg4 != null) {
            this._imgpane4.set('src', largeimg4);
            this._imgpane4.mooTouchAdd({
                'click': true
            });
        } else this._imgpane4.hide();

        if (largeimg5 != null) {
            this._imgpane5.set('src', largeimg5);
            this._imgpane5.mooTouchAdd({
                'click': true
            });
        } else this._imgpane5.hide();

        if (largeimg6 != null) {
            this._imgpane6.set('src', largeimg6);
            this._imgpane6.mooTouchAdd({
                'click': true
            });
        } else this._imgpane6.hide();

        if (largeimg7 != null) {
            this._imgpane7.set('src', largeimg7);
            this._imgpane7.mooTouchAdd({
                'click': true
            });
        } else this._imgpane7.hide();

        if (largeimg8 != null) {
            this._imgpane8.set('src', largeimg8);
            this._imgpane8.mooTouchAdd({
                'click': true
            });
        } else this._imgpane8.hide();

        if (largeimg9 != null) {
            this._imgpane9.set('src', largeimg9);
            this._imgpane9.mooTouchAdd({
                'click': true
            });
        } else this._imgpane9.hide();

        if (largeimg10 != null) {
            this._imgpane10.set('src', largeimg10);
            this._imgpane10.mooTouchAdd({
                'click': true
            });
        } else this._imgpane10.hide();

        this._theUrl = this._item10InfoArray['dest'];

        thumb1 = this._item10InfoArray['image'];
        thumb2 = this._item10InfoArray['thumb2'];
        thumb3 = this._item10InfoArray['thumb3'];
        thumb4 = this._item10InfoArray['thumb4'];
        thumb5 = this._item10InfoArray['thumb5'];
        thumb6 = this._item10InfoArray['thumb6'];
        thumb7 = this._item10InfoArray['thumb7'];
        thumb8 = this._item10InfoArray['thumb8'];
        thumb9 = this._item10InfoArray['thumb9'];
        thumb10 = this._item10InfoArray['thumb10'];

        this._book = this._appState.get(currentBook);
        var sectionPath = this._book.getSectionHtmlFolder(this._book.getSectionIndex(this._appState.get(currentBookPageDest).BookPageIndex));
        this._thumbpane1 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb1');
        this._thumbpane2 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb2');
        this._thumbpane3 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb3');
        this._thumbpane4 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb4');
        this._thumbpane5 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb5');
        this._thumbpane6 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb6');
        this._thumbpane7 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb7');
        this._thumbpane8 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb8');
        this._thumbpane9 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb9');
        this._thumbpane10 = this._widgetRootElement.getElement('#WeddingstarDetail_thumb10');

        if (thumb1 != null) {
            this._thumbpane1.set('src', thumb1);
            this._thumbpane1.addEvent('click', this._onClickThumb1.bind(this));
            this._thumbpane1.mooTouchAdd({
                'click': true
            });
            this._thumbpane1.show();
        } else this._thumbpane1.hide();

        if (thumb2 != null) {
            this._thumbpane2.set('src', thumb2);
            this._thumbpane2.addEvent('click', this._onClickThumb2.bind(this));
            this._thumbpane2.mooTouchAdd({
                'click': true
            });
            this._thumbpane2.show();
        } else this._thumbpane2.hide();

        if (thumb3 != null) {
            this._thumbpane3.set('src', thumb3);
            this._thumbpane3.addEvent('click', this._onClickThumb3.bind(this));
            this._thumbpane3.mooTouchAdd({
                'click': true
            });
            this._thumbpane3.show();
        } else this._thumbpane3.hide();

        if (thumb4 != null) {
            this._thumbpane4.set('src', thumb4);
            this._thumbpane4.addEvent('click', this._onClickThumb4.bind(this));
            this._thumbpane4.mooTouchAdd({
                'click': true
            });
            this._thumbpane4.show();
        } else this._thumbpane4.hide();

        if (thumb5 != null) {
            this._thumbpane5.set('src', thumb5);
            this._thumbpane5.addEvent('click', this._onClickThumb5.bind(this));
            this._thumbpane5.mooTouchAdd({
                'click': true
            });
            this._thumbpane5.show();
        } else this._thumbpane5.hide();

        if (thumb6 != null) {
            this._thumbpane6.set('src', thumb6);
            this._thumbpane6.addEvent('click', this._onClickThumb6.bind(this));
            this._thumbpane6.mooTouchAdd({
                'click': true
            });
            this._thumbpane6.show();
        } else this._thumbpane6.hide();

        if (thumb7 != null) {
            this._thumbpane7.set('src', thumb7);
            this._thumbpane7.addEvent('click', this._onClickThumb7.bind(this));
            this._thumbpane7.mooTouchAdd({
                'click': true
            });
            this._thumbpane7.show();
        } else this._thumbpane7.hide();

        if (thumb8 != null) {
            this._thumbpane8.set('src', thumb8);
            this._thumbpane8.addEvent('click', this._onClickThumb8.bind(this));
            this._thumbpane8.mooTouchAdd({
                'click': true
            });
            this._thumbpane8.show();
        } else this._thumbpane8.hide();

        if (thumb9 != null) {
            this._thumbpane9.set('src', thumb9);
            this._thumbpane9.addEvent('click', this._onClickThumb9.bind(this));
            this._thumbpane9.mooTouchAdd({
                'click': true
            });
            this._thumbpane9.show();
        } else this._thumbpane9.hide();

        if (thumb10 != null) {
            this._thumbpane10.set('src', thumb10);
            this._thumbpane10.addEvent('click', this._onClickThumb10.bind(this));
            this._thumbpane10.mooTouchAdd({
                'click': true
            });
            this._thumbpane10.show();
        } else this._thumbpane10.hide();
    },
	
    _ie_comma_safety: 0 // Keep as last member of class (doesn't have trailing comma)
});