// -----------------------------------------------------------------------
// Javascript State management - sharing same client cookies as ASP
//                      Do not use special characters in name or key
//                      string arguments for cross compatibility between
//						server-side ASP and client-side Javascript 
//						(use only a-zA-Z0-9)
// -----------------------------------------------------------------------

function c2kCookie(name, days)
{
	var m_name = name;
	var m_days = days;

	var m_args = "";

	if (m_days)
	{   	
		var expire = new Date();
		expire.setTime(expire.getTime() + m_days*24*60*60*1000);
		m_args += "; expires=" + expire.toUTCString() ;
  	}
		  
	this.getCookie = function()
	{
		var theMatch;

		// This checks if the first cookie is the one we want
		theMatch = document.cookie.match(new RegExp("(^" + m_name + "=)([^;]*)(;|$)"));
		if (theMatch)
			return decodeURIComponent(theMatch[2]);

		// This checks if the cookie is somewhere further into the cookie string
		theMatch = document.cookie.match(new RegExp("(; " + m_name + "=)([^;]*)(;|$)"));

		return decodeURIComponent(theMatch ? theMatch[2] :null);
	}  
	    
	this.setValue = function(key, value)
	{
		var theCookie, newCookie;

		// The ASP side expects escape rather than encodeURI
		//value = window.encodeURI ? encodeURI(value) : escape(value);
		//value = escape(value);

		theCookie = this.getCookie();
		if (theCookie)
			theCookie = "&" + theCookie;
		newCookie = null;

		if (value)
		{
			if (!theCookie)
			{
				newCookie = "&" + key + "=" + value;
			}
			else
			{
				if (new RegExp("&" + key + "=").test(theCookie))
					newCookie = theCookie.replace(new RegExp("&" + key + "=([^&;]*)"), "&"+key+"="+value);
				else
					newCookie = theCookie + "&"+key+"="+value;
			}
		}
		else if (new RegExp("&" + key + "=").test(theCookie) )
		{
			newCookie = theCookie.replace(new RegExp("&" + key + "=([^&;]*)"), "");
		}
	
		//if (newCookie)
		{
			newCookie = m_name + "=" + encodeURIComponent(newCookie.substr(1));
			document.cookie = newCookie + m_args;
		}			
	}
	  
	this.getValue = function(key)
	{
		var theCookie, theMatch, theValue;

		theCookie = this.getCookie();
		if (theCookie)
		{
			theCookie = "&" + theCookie;
			theMatch = theCookie.match(new RegExp("&" + key + "=([^&;]*)"));
	
			if (theMatch)
			{
				theValue = theMatch[1];

				if (theValue)
				{ 
					// The ASP side performed escape rather than encodeURI
					//return window.decodeURI ? decodeURI(theValue) : unescape(theValue);
					//return unescape(theValue);
					return theValue;
				}
			}
		}
		return "";
	}
	
	this.autoClear = function()
	{
		var theIso8601ForceClearDateStr, theIso8601ForceClearDateObj;
		var thePreviousAutoClearDateStr, thePreviousAutoClearDateObj;
		var theGlobalForceClearDateStr, theGlobalForceClearDateObj;
			
		//theGlobalForceClearDateStr = Skin.getInstance().get('GlobalSharedObjectForceClear','');
		theGlobalForceClearDateStr = strGlobalForceClear;
		if (theGlobalForceClearDateStr == '')
			theGlobalForceClearDateObj = new Date(0);
		else
			theGlobalForceClearDateObj = new Date(theGlobalForceClearDateStr);
		theIso8601ForceClearDateStr = strCookieForceClear;
		if (theIso8601ForceClearDateStr == '')
			theIso8601ForceClearDateObj = new Date(0);
		else
			theIso8601ForceClearDateObj = new Date(theIso8601ForceClearDateStr);
		if (theGlobalForceClearDateObj > theIso8601ForceClearDateObj)
			theIso8601ForceClearDateObj = theGlobalForceClearDateObj;

		thePreviousAutoClearDateStr = this.getValue('iso8601AutoClearTimeStamp');
		if ((!thePreviousAutoClearDateStr) || (thePreviousAutoClearDateStr == ''))
			thePreviousAutoClearDateObj = new Date(0);
		else
			thePreviousAutoClearDateObj = new Date(thePreviousAutoClearDateStr);
			
		if (thePreviousAutoClearDateObj < theIso8601ForceClearDateObj)
		{
			// AutoClear the Cookie
			newCookie = m_name + "=" + encodeURIComponent('iso8601AutoClearTimeStamp='+new Date().toISOString());
			document.cookie = newCookie + m_args;
		}
	}
}

// allocate object for handling session cookies
var c2kSession = new c2kCookie("EdgeCookiexS1");

// allocate object for handling persistent cookies
var c2kPersist = new c2kCookie("EdgeCookiexP1",365);

// --------------------
// Example usage
// c2kSession.setValue("KEY","Gibbs");
// alert(c2kSession.getValue("KEY"));
// --------------------